"""
List of arabic roots ("racines arabes").
Auto-generated with `python -m scripts`.
"""

# START
racines_schemes_arabes = {
    "ar-'Sl": {
        "aa_sens": "racine, soir",
        "ar-**a*²a": "",
        "ar-*a**iy²@ũ": "lettre radicale",
        "ar-*a**iy²ũ": "radical",
        "ar-*a**ũ": "racine, origine",
        "ar-*a*a*a-u": "atteindre la racine",
        "ar-*a*a*ũ": "{{g}} serpent",
        "ar-*a*i*a-a": "se gâter",
        "ar-*a*u*a": "être enraciné",
        "ar-*a*²a*a": "raffermir",
        "ar-*a*î*@ũ": "soirée",
        "ar-*a*î*ũ": "soirée, noble",
        "ar-*i*â*@ũ": "fermeté",
        "ar-*ta*a*a": "",
        "ar-*u*û*iy²ũ": "savant",
        "ar-*u*û*ũ": "{{p}} principes, rudiments",
        "ar-*â*a*a": "",
        "ar-a**a*a": "arriver dans la soirée",
        "ar-a**u*ũ": "{{p}} racines",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "déraciner",
        "ar-sti**â*ũ": "extermination",
        "ar-ta*a*²a*a": "prendre pied",
        "ar-ta*â*a*a": "",
    },  # 24
    "ar-'Vn": {
        "aa_sens": "oreille, entendre",
        "ar-*a*a*a-u": "écouter, annoncer",
        "ar-*a*i*a-a": "écouter, permettre",
        "ar-*a*²a*a": "crier ; repousser",
        "ar-*a*â*ũ": "[[adhan]], appel à la prière",
        "ar-*a*î*ũ": "appel à la prière",
        "ar-*i**ũ": "permission",
        "ar-*u**ũ": "oreille",
        "ar-*u*ay*ũ": "petite oreille",
        "ar-*â*i*ũ": "huissier",
        "ar-a**a*a": "informer ; apprendre",
        "ar-ma**a*@ũ": "minaret",
        "ar-mi**a*@ũ": "minaret",
        "ar-mu*a*²i*ũ": "[[muezzin]]",
        "ar-sta**a*a": "demander la permission",
        "ar-sti**â*ũ": "demande de permission",
        "ar-ta*a*²a*a": "apprendre, se permettre",
    },  # 17
    "ar-'XV": {
        "aa_sens": "prendre, saisir, extraire",
        "ar-*a**@ũ": "stratagème",
        "ar-*a**ũ": "châtiment, habitude",
        "ar-*a*a*a-u": "prendre",
        "ar-*a*i*a-a": "s'aigrir",
        "ar-*a*u*ũ": "chassie",
        "ar-*a*²a*a": "saisir",
        "ar-*a*î*ũ": "captif",
        "ar-*i*â*@ũ": "vivier ; fief",
        "ar-*ta*a*a": "se choisir",
        "ar-*â*a*a": "punir",
        "ar-*â*i*@ũ": "engourdissement",
        "ar-ma**a*ũ": "moyen de saisie",
        "ar-ma**û*ũ": "saisi",
        "ar-sta**a*a": "occuper, prendre",
        "ar-ta**î*ũ": "ensorcellement",
    },  # 16
    "ar-'Xr": {
        "aa_sens": "fin",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "",
        "ar-*a*a*iy²ũ": "dernier, extrême",
        "ar-*a*i*a-a": "",
        "ar-*a*i*iy²ũ": "dernier, extrême",
        "ar-*a*i*ũ": "lointain",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "tarder, rester derrière",
        "ar-*a*î*ũ": "dernier, récent",
        "ar-*ta*a*a": "",
        "ar-*u*u*ũ": "partie postérieure, fin",
        "ar-*â*a*a": "mettre à la fin",
        "ar-*â*i*ũ": "dernier, fin",
        "ar-a**a*a": "",
        "ar-mi**â*ũ": "palmier à dattes hivernales",
        "ar-mu**i*ũ": "partie postérieure",
        "ar-mu*a*²a*ũ": "placé à la fin",
        "ar-mu*a*²i*ũ": "qui fait retarder",
        "ar-muta*a*²i*ũ": "moderne",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "rester derrière, tarder",
        "ar-ta**î*ũ": "délai",
        "ar-ta*a*²a*a": "rester en arrière, tarder",
        "ar-ta*â*a*a": "",
    },  # 25
    "ar-'bb": {
        "aa_sens": "bouger, onduler",
        "ar-**a*²a": "",
        "ar-*a**ũ": "intention ; fourrage",
        "ar-*a*a*a-u": "remuer, mettre en mouvement ; regretter",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "crier, pousser des cris",
        "ar-*a*â*@ũ": "manière de vivre ; conduite",
        "ar-*a*â*ũ": "vague, grande masse d'eau",
        "ar-*a*î*ũ": "Abib, moi de juillet syrien",
        "ar-*i*â*@ũ": "manière de vivre ; conduite",
        "ar-*ta*a*a": "remuer, saisir ; désirer",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "s'enrouer ; être saisi d'étonnement",
        "ar-ta*â*a*a": "",
    },  # 18
    "ar-'bl": {
        "aa_sens": "paître, troupeau",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "objet de désir",
        "ar-*a**ũ": "multiplication",
        "ar-*a*a*a-u": "se multiplier",
        "ar-*a*a*ũ": "frais, vert",
        "ar-*a*i*a-a": "renoncer à l'attachement",
        "ar-*a*²a*a": "",
        "ar-*a*²â*ũ": "pâtre de chameaux",
        "ar-*a*â*@ũ": "gestion des biens",
        "ar-*a*î*@ũ": "botte de foin",
        "ar-*a*î*ũ": "affligé",
        "ar-*a*û*ũ": "troupe",
        "ar-*a2â2î*u": "Ababils",
        "ar-*i**@ũ": "haine",
        "ar-*i**iy²ũ": "de chameau",
        "ar-*i**ũ": "race de chameaux",
        "ar-*i*i*iy²ũ": "de chameau",
        "ar-*i*i*ũ": "race de chameaux",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "malheur",
        "ar-*u*ay*@ũ": "petit chameau",
        "ar-*u*u*ũ": "reste de fourrage",
        "ar-*u*²u*@ũ": "tribu",
        "ar-*u*²â*ũ": "{{p}} pâtres de chameaux",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "pâtre de chameaux",
        "ar-a**a*a": "",
        "ar-a**â*u": "{{p}} chameaux",
        "ar-ma**a*@ũ": "pays à chameau",
        "ar-ma**û*ũ": "acheté",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 36
    "ar-'kd": {
        "aa_sens": "ferme, solide",
        "ar-*a*a*a-u": "battre le blé",
        "ar-*a*²a*a": "consolider",
        "ar-*a*î*ũ": "certain",
        "ar-*i*â*ũ": "courroie affermissant l'[[arçon]]",
        "ar-a**a*a": "raffermir",
        "ar-ta**î*ũ": "consolidation",
        "ar-ta*a*²a*a": "se raffermir",
    },  # 8
    "ar-'kl": {
        "aa_sens": "manger, ronger, démanger",
        "ar-*a**@ũ": "repas, calomnie",
        "ar-*a**ũ": "aliment",
        "ar-*a*a*a-u": "manger",
        "ar-*a*i*@ũ": "prurit, gangrène",
        "ar-*a*i*a-a": "être usé",
        "ar-*a*i*ũ": "prurit, gangrène",
        "ar-*a*u*ũ": "{{p}} aliments",
        "ar-*a*²a*a": "dévorer ; faire manger",
        "ar-*a*²â*ũ": "gros mangeur",
        "ar-*a*â*ũ": "prurit",
        "ar-*a*î*ũ": "mangeant ; mangeable",
        "ar-*a*û*@ũ": "bête à l'engrais",
        "ar-*a*û*ũ": "gros mangeur",
        "ar-*i**@ũ": "calomnie",
        "ar-*i*â*ũ": "prurit",
        "ar-*ta*a*a": "être rongé",
        "ar-*u**@ũ": "morceau, bouchée",
        "ar-*u*a*@ũ": "gros mangeur",
        "ar-a**i*@ũ": "troupeau ; gangrène",
        "ar-ma**a*ũ": "grenier",
        "ar-ma**i*ũ": "profit ; vivres",
        "ar-ma**û*ũ": "mangé ; usé",
        "ar-mi**a*@ũ": "grande écuelle",
        "ar-mi**a*ũ": "instrument pour manger",
        "ar-musta**i*@ũ": "{{p}} profiteurs",
        "ar-sta**a*a": "demander à manger",
        "ar-ta*a*²a*a": "être dévoré",
    },  # 28
    "ar-'lh": {
        "aa_sens": "adorer, divin",
        "ar-*a**âniy²@ũ": "état de ce qui est divin",
        "ar-*a*a*a-u": "adorer",
        "ar-*a*a*ũ": "protection",
        "ar-*a*i*a-a": "protéger, chercher assistance",
        "ar-*a*²a*a": "prendre comme dieu ; prendre comme esclave",
        "ar-*a*â*@ũ": "divinité, état divin",
        "ar-*i*a*@ũ": "{{f}} déesse ; {{p}} idoles ; culte",
        "ar-*i*a*iy²@ũ": "{{f}} relatif au divin",
        "ar-*i*a*iy²ũ": "relatif au divin",
        "ar-*i*a*ũ": "dieu, divinité",
        "ar-*i*â*@ũ": "adoration",
        "ar-*i*â*iy²@ũ": "{{f}} divine",
        "ar-*i*â*iy²ũ": "divin",
        "ar-*i*â*ũ": "dieu, divinité",
        "ar-*u*û*@ũ": "divinité, état divin",
        "ar-*u*û*iy²@ũ": "état de ce qui est divin",
        "ar-*â*i*@ũ": "{{p}} dieux, divinités",
        "ar-*â*i*ũ": "stupéfait",
        "ar-a**a*a": "protéger, assister",
        "ar-el*i*â*u": "([[الله]]) Allah",
        "ar-sta**a*a": "ressembler à un dieu",
        "ar-ta*a*²a*a": "adorer, rendre un culte",
    },  # 23
    "ar-'ml": {
        "aa_sens": "espoir, espérer",
        "ar-**a*²a": "",
        "ar-*a**ũ": "espoir",
        "ar-*a*a*@ũ": "champion",
        "ar-*a*a*a-u": "espérer",
        "ar-*a*a*ũ": "espoir",
        "ar-*a*u*a": "avoir le visage allongé",
        "ar-*a*²a*a": "convoiter",
        "ar-*a*î*ũ": "grande dune",
        "ar-*i**@ũ": "espoir",
        "ar-*i**ũ": "espoir",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-a**â*ũ": "({{p}}) espoir, pensées",
        "ar-ma**a*ũ": "lieu ou temps espéré",
        "ar-ma**û*ũ": "objet espéré",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "inspecter",
        "ar-ta*â*a*a": "",
    },  # 21
    "ar-'mm": {
        "aa_sens": "diriger",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**iy²@ũ": "maternité",
        "ar-*a**ũ": "projet",
        "ar-*a*a*a-u": "prescrire",
        "ar-*a*a*ũ": "pas loin",
        "ar-*a*i*a-a": "être mère",
        "ar-*a*²a*a": "faire faire",
        "ar-*a*â*@ũ": "troupeau de trois cents chameaux",
        "ar-*a*â*iy²ũ": "de l'avant",
        "ar-*a*â*ũ": "le devant",
        "ar-*a*âyi*u": "{{p}} blessés à la tête",
        "ar-*a*î*ũ": "blessé à la tête",
        "ar-*a*û*@ũ": "maternité",
        "ar-*i**@ũ": "règle de vie",
        "ar-*i*â*@ũ": "rang d'imam",
        "ar-*i*â*ũ": "chef",
        "ar-*ta*a*a": "imiter",
        "ar-*u**@ũ": "communauté",
        "ar-*u**iy²@ũ": "ignorance",
        "ar-*u**iy²ũ": "maternel",
        "ar-*u**ânu": "maternel",
        "ar-*u**ũ": "mère",
        "ar-*u*a*iy²ũ": "international",
        "ar-*u*a*ũ": "{{p}} nations",
        "ar-*u*ay*@ũ": "petite mère",
        "ar-*u*û*@ũ": "maternité",
        "ar-*â*a*a": "être évident",
        "ar-a**a*a": "",
        "ar-el*i*â*iy²@u": "imamites",
        "ar-ma**û*ũ": "blessé à la tête",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "prendre pour chef",
        "ar-ta**î*ũ": "nationaliser",
        "ar-ta*a*²a*a": "avoir en vue",
        "ar-ta*â*a*a": "",
    },  # 37
    "ar-'mn": {
        "aa_sens": "sûreté",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "foi sincère",
        "ar-*a**ũ": "sécurité",
        "ar-*a*a*@ũ": "bonne foi",
        "ar-*a*a*a-a": "avoir confiance",
        "ar-*a*a*ũ": "sécurité",
        "ar-*a*i*@ũ": "homme sûr",
        "ar-*a*i*a-a": "être en sûreté",
        "ar-*a*i*ũ": "en sûreté",
        "ar-*a*u*a": "être fidèle",
        "ar-*a*²a*a": "considérer comme sûr",
        "ar-*a*â*@ũ": "sécurité",
        "ar-*a*â*ũ": "sécurité",
        "ar-*a*î*ũ": "constant",
        "ar-*a*û*ũ": "qui ne bronche pas",
        "ar-*i**ũ": "sécurité",
        "ar-*i*â*@ũ": "fidélité",
        "ar-*ta*a*a": "se fier",
        "ar-*ti*â*ũ": "crédit",
        "ar-*u*a*@ũ": "homme de confiance",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "homme sûr",
        "ar-*â*i*ũ": "en sûreté",
        "ar-a**a*a": "rassurer",
        "ar-a**a*u": "meilleure part",
        "ar-ma**a*ũ": "endroit sûr",
        "ar-ma**û*ũ": "constant",
        "ar-mu**i*ũ": "croyant",
        "ar-mu*ta*a*ũ": "confident",
        "ar-musta**i*ũ": "protégé",
        "ar-muta*a*²i*ũ": "confiant",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "avoir confiance",
        "ar-sti**â*ũ": "confiance",
        "ar-ta**î*ũ": "sécurité",
        "ar-ta*a*²a*a": "accorder confiance",
        "ar-ta*â*a*a": "",
    },  # 39
    "ar-'mr": {
        "aa_sens": "ordre, avis, chef",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "autorité",
        "ar-*a**ũ": "commandement",
        "ar-*a*a*@ũ": "cairn",
        "ar-*a*a*a-u": "ordonner",
        "ar-*a*a*ũ": "un",
        "ar-*a*i*a-a": "être chef",
        "ar-*a*i*ũ": "comblé de bénédiction",
        "ar-*a*u*a": "être chef",
        "ar-*a*²a*a": "investir comme chef",
        "ar-*a*²a*ũ": "idiot",
        "ar-*a*²â*ũ": "qui incite à",
        "ar-*a*â*ũ": "point de rendez-vous",
        "ar-*a*î*@ũ": "({{f}}) chef",
        "ar-*a*î*iy²ũ": "appartenant au prince",
        "ar-*a*î*ũ": "émir, prince",
        "ar-*a*û*ũ": "qui commande",
        "ar-*awâ*i*u": "({{p}}) ordres",
        "ar-*i**@ũ": "administration",
        "ar-*i**ũ": "difficile, grave",
        "ar-*i*²a*ũ": "idiot",
        "ar-*i*â*@ũ": "gouvernement",
        "ar-*i*â*ũ": "édit",
        "ar-*ta*a*a": "se faire ordonner",
        "ar-*â*a*a": "consulter",
        "ar-*â*i*@ũ": "ordre",
        "ar-*â*i*ũ": "qui commande",
        "ar-a**a*a": "ordonner",
        "ar-ma**û*ũ": "qui obéit",
        "ar-mu*a*²a*ũ": "détenant le pouvoir",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "demander l'avis",
        "ar-ta**u*iy²ũ": "individu",
        "ar-ta**û*@ũ": "cellule",
        "ar-ta**û*ũ": "ministère",
        "ar-ta*a*²a*a": "régner",
        "ar-ta*â*a*a": "délibérer",
        "ar-tu**u*iy²ũ": "individu",
        "ar-ya**û*ũ": "bête fauve",
    },  # 40
    "ar-'nF": {
        "aa_sens": "féminin, tendre",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*u*a": "être tendre",
        "ar-*a*²a*a": "mettre au féminin",
        "ar-*a*î*ũ": "doux",
        "ar-*ta*a*a": "",
        "ar-*u**é": "femelle",
        "ar-*u*û*ũ": "féminité",
        "ar-*â*a*a": "",
        "ar-a**a*a": "mettre au monde une femelle",
        "ar-a**a*ũ": "mou, féminin",
        "ar-mi**â*ũ": "sol riche",
        "ar-mu**i*ũ": "qui enfante des filles",
        "ar-mu*a*²a*ũ": "féminin",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "forme féminine",
        "ar-ta*a*²a*a": "passer au féminin",
        "ar-ta*â*a*a": "",
    },  # 20
    "ar-'rD": {
        "aa_sens": "poudre, terre, territoire",
        "ar-*a**iy²ũ": "artichaud",
        "ar-*a**ũ": "terre, terrain, sol",
        "ar-*a*a*a-u": "réduire en poussière, ronger",
        "ar-*a*a*ũ": "ver de bois",
        "ar-*a*i*a-a": "être purulent",
        "ar-*a*u*a": "être herbu, convenable",
        "ar-*a*²a*a": "arrêter, s'arrêter",
        "ar-*a*î*ũ": "abondant ; digne ; large",
        "ar-ma**û*ũ": "épileptique ; réduit en poussière",
        "ar-sta**a*a": "être purulent ; se fixer",
        "ar-ta*a*²a*a": "se fixer, peser",
    },  # 12
    "ar-'rX": {
        "aa_sens": "date",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "mettre la date",
        "ar-*a*²a*a": "inscrire la date",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "date donnée",
        "ar-*â*a*a": "",
        "ar-a**a*a": "dater",
        "ar-mu*a*²a*ũ": "de telle date",
        "ar-mu*a*²i*ũ": "chroniqueur",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*iy²ũ": "historique",
        "ar-ta**î*ũ": "époque d'un fait",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 17
    "ar-'sm": {
        "aa_sens": "nommer (voir [[س م و]])",
        "ar-**a*²a": "",
        "ar-*a**â'u": "noms",
        "ar-*a**âwâtũ": "noms",
        "ar-*a*a*a-u": "",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "",
        "ar-*a*â*iy²ũ": "noms",
        "ar-*i**iy²@ũ": "({{f}}) du nom, nominal",
        "ar-*i**iy²ũ": "du nom, nominal",
        "ar-*i**ũ": "nom",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "nom",
        "ar-*â**ũ": "nom",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 21
    "ar-'ty": {
        "aa_sens": "arriver",
        "ar-**â*ũ": "don, présent",
        "ar-*a*a*a-i": "arriver, amener",
        "ar-*a*i*@ũ": "ce qui doit avoir lieu",
        "ar-*a*²a*a": "ouvrir le chemin",
        "ar-*i**ânũ": "arrivée ; coït",
        "ar-*i*a*ũ": "débris flottants",
        "ar-*â*a*a": "tomber d'accord",
        "ar-*â*i*@ũ": "ce qui doit avoir lieu",
        "ar-*â*i*ũ": "fleuve",
        "ar-a**a*a": "donner, offrir",
        "ar-ma**a*ũ": "côté en face",
        "ar-ma**i*ũ": "lieu et temps de la venue",
        "ar-ma**û*ũ": "futur, qui doit venir",
        "ar-mu**i*ũ": "qui fait venir",
        "ar-sta**a*a": "demander la venue",
        "ar-ta*a*²a*a": "être prêt, avoir lieu",
        "ar-ta*â*a*a": "lier compagnie",
    },  # 18
    "ar-'wn": {
        "aa_sens": "douceur ,repos",
        "ar-*a**ũ": "avance tranquille",
        "ar-*a*a*a-u": "flâner",
        "ar-*a*a*ũ": "instant, temps",
        "ar-*a*²a*a": "être rassasié",
        "ar-*a*â*ũ": "temps, saison",
        "ar-*â*i*ũ": "bien portant",
        "ar-ta*a*²a*a": "s'être rassasié",
    },  # 8
    "ar-3Cr": {
        "aa_sens": "dix",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "{{m}} dix",
        "ar-*a**ũ": "{{f}} dix",
        "ar-*a*a*@ũ": "{{m}} dix",
        "ar-*a*a*a-u": "imposer la dîme",
        "ar-*a*a*ũ": "{{f}} dix",
        "ar-*a*i*@ũ": "{{m}} dix",
        "ar-*a*²a*a": "décimer",
        "ar-*a*²â*ũ": "percepteur",
        "ar-*a*âyi*u": "{{p}} familles",
        "ar-*a*î*@ũ": "famille",
        "ar-*a*î*ũ": "époux",
        "ar-*a*û*â'u": "dix Moharrem",
        "ar-*awâ*i*u": "chameau sobre",
        "ar-*i**@ũ": "société",
        "ar-*i**ũ": "dizaine",
        "ar-*i*â*ũ": "{{p}} chamelles gravides",
        "ar-*ta*a*a": "",
        "ar-*u**awâtũ": "dixaine",
        "ar-*u**ũ": "dixième",
        "ar-*u*a*@ũ": "asclepias arborescent",
        "ar-*u*a*â'u": "chamelle gravide",
        "ar-*u*a*ũ": "décade",
        "ar-*u*â*@ũ": "dixième",
        "ar-*u*â*iy²ũ": "long de dix aunes",
        "ar-*u*â*ũ": "dixaine",
        "ar-*u*û*ũ": "imposition",
        "ar-*â*a*a": "fréquenter",
        "ar-*â*i*@ũ": "dixième",
        "ar-*â*i*âtũ": "hyènes",
        "ar-*â*i*ũ": "dixième",
        "ar-*â*û*ũ": "dix Moharrem",
        "ar-a**a*a": "être dix",
        "ar-a**a*u": "stupide",
        "ar-a**u*â'u": "{{p}} dixièmes",
        "ar-a**â*iy²ũ": "décimal",
        "ar-a**â*ũ": "{{p}} dizaines",
        "ar-a*â*î*u": "{{p}} dizaines",
        "ar-ma**a*ũ": "réunion",
        "ar-ma*â*i*u": "{{p}} réunions",
        "ar-mi**â*ũ": "dixième",
        "ar-mu*a*²i*ũ": "dont les chamelles ont mis bas",
        "ar-mu*â*a*@ũ": "rapport de société",
        "ar-mu*â*i*ũ": "familier",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "se fréquenter",
    },  # 50
    "ar-3Dl": {
        "aa_sens": "dur",
        "ar-***ũ": "",
        "ar-**a'a*²a": "être touffu",
        "ar-**a*²a": "",
        "ar-*a**ũ": "opposition",
        "ar-*a*a*@ũ": "muscle",
        "ar-*a*a*a-u": "s'opposer au mariage",
        "ar-*a*a*iy²ũ": "musculaire",
        "ar-*a*a*ũ": "musculation",
        "ar-*a*i*@ũ": "{{f}} musclée",
        "ar-*a*i*a-a": "se muscler",
        "ar-*a*i*ũ": "musclé",
        "ar-*a*u*@ũ": "{{f}} musclée",
        "ar-*a*u*ũ": "musclé",
        "ar-*a*²a*a": "tourmenter",
        "ar-*i**ânũ": "opposition",
        "ar-*i**ũ": "dur à cuire",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "malheur",
        "ar-*u**ũ": "{{p}} malheurs",
        "ar-*u*a*ũ": "{{p}} malheurs",
        "ar-*u*â*ũ": "intraitable",
        "ar-*â*a*a": "",
        "ar-a**a*a": "être difficile",
        "ar-mu**i*@ũ": "énigme",
        "ar-mu**i*ũ": "difficile",
        "ar-mu*a*²i*ũ": "difficile",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "être difficile",
        "ar-ta*â*a*a": "",
    },  # 31
    "ar-3Sm": {
        "aa_sens": "préserver, poignet",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**â'u": "chamois",
        "ar-*a*a*a-i": "préserver",
        "ar-*a*i*a-a": "être balzan",
        "ar-*a*²a*a": "",
        "ar-*a*â*ũ": "collier de chien",
        "ar-*a*î*ũ": "sueur, tache",
        "ar-*a*û*ũ": "vorace",
        "ar-*ay*û*ũ": "gourmand",
        "ar-*i**@ũ": "protection, chasteté",
        "ar-*i*â*iy²ũ": "vertueux",
        "ar-*i*â*ũ": "cordon",
        "ar-*ta*a*a": "se garantir",
        "ar-*u**@ũ": "fait d'être balzan",
        "ar-*u**ũ": "restes, traces",
        "ar-*u*u*ũ": "restes, traces",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "capitale",
        "ar-*â*i*ũ": "prohibé",
        "ar-a**a*a": "saisir, serrer",
        "ar-a**a*u": "balzan",
        "ar-mi**a*ũ": "poignet",
        "ar-mu*ta*a*ũ": "asile, refuge",
        "ar-musta**i*ũ": "qui s'accroche",
        "ar-n*a*a*a": "se défendre",
        "ar-sta**a*a": "se préserver",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 30
    "ar-3TC": {
        "aa_sens": "soif",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "accès de soif",
        "ar-*a**ân@ũ": "altérée",
        "ar-*a**ânu": "altéré de soif",
        "ar-*a**ũ": "soif",
        "ar-*a*a*a-u": "supporter mieux la soif",
        "ar-*a*a*ũ": "soif",
        "ar-*a*i*a-a": "avoir soif",
        "ar-*a*i*ũ": "assoiffé",
        "ar-*a*u*ũ": "assoiffé",
        "ar-*a*²a*a": "assoiffer",
        "ar-*i*â*ũ": "qui a soif",
        "ar-*ta*a*a": "",
        "ar-*u*â*ũ": "soif excessive",
        "ar-*â*a*a": "se défier sur la soif",
        "ar-*â*i*ũ": "assoiffé",
        "ar-a**a*a": "assoiffer",
        "ar-ma**a*@ũ": "desséché",
        "ar-ma**a*ũ": "moment de soif",
        "ar-ma**û*ũ": "ardemment désiré",
        "ar-ma*â*i*u": "{{p}} terres desséchées",
        "ar-mi**â*ũ": "qui a des chameaux assoiffés",
        "ar-mu*a*²a*ũ": "assoiffé",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "supporter la soif",
        "ar-ta*â*a*a": "",
    },  # 29
    "ar-3Tw": {
        "aa_sens": "se déployer pour prendre quelque chose",
        "ar-**a*²a": "",
        "ar-*a**ãé": "puissant (arc)",
        "ar-*a**ũ": "qui s'étire pour prendre",
        "ar-*a*a*a-u": "prendre, recevoir",
        "ar-*a*i*iy²@ũ": "cadeau, gage",
        "ar-*a*²a*a": "servir, presser",
        "ar-*a*â*@ũ": "don, présent",
        "ar-*a*â*ũ": "cadeau, solde",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "prendre, donner",
        "ar-*â*i*ũ": "qui prend",
        "ar-a**a*a": "donner, accorder",
        "ar-mi**â*ũ": "donneur",
        "ar-mu**i*ũ": "qui donne",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "demander",
        "ar-ta*a*²a*a": "demander, se presser",
        "ar-ta*â*a*a": "s'emparer",
    },  # 19
    "ar-3Yn": {
        "aa_sens": "œil",
        "ar-***ũ": "",
        "ar-*a*a*ũ": "maisonnée",
        "ar-a**u*âtũ": "collection d'yeux",
        "ar-a**u*ũ": "{{p}} yeux",
        "ar-a**â*ũ": "{{p}} yeux",
        "ar-ma**û*ũ": "obtenu en creusant",
    },  # 7
    "ar-3Zm": {
        "aa_sens": "grand, grave",
        "ar-**a*²a": "",
        "ar-**â*@ũ": "magnificence",
        "ar-*a**@ũ": "fait de frapper un os",
        "ar-*a**iy²ũ": "osseux",
        "ar-*a**ãé": "pigeon",
        "ar-*a**ũ": "os",
        "ar-*a*a*@ũ": "partie principale",
        "ar-*a*a*a-u": "donner un os",
        "ar-*a*a*ûtũ": "taille énorme",
        "ar-*a*a*ũ": "don d'un os",
        "ar-*a*i*@ũ": "cherchant un gros pénis",
        "ar-*a*u*a": "être grand",
        "ar-*a*²a*a": "agrandir",
        "ar-*a*â*@ũ": "grande taille",
        "ar-*a*âyi*u": "{{p}} grands malheurs",
        "ar-*a*î*@ũ": "grand malheur",
        "ar-*a*î*ũ": "grand, gros",
        "ar-*i**ũ": "grande taille",
        "ar-*i*a*ũ": "grande taille",
        "ar-*i*â*@ũ": "magnificence",
        "ar-*i*â*iy²ũ": "allié aux grands",
        "ar-*i*â*ũ": "{{p}} grands, gros",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "fesse postiche",
        "ar-*u**é": "{{f}} plus grande, plus grave",
        "ar-*u**ũ": "grosseur",
        "ar-*u*a*â'u": "{{p}} grands, gros",
        "ar-*u*â*ũ": "grand",
        "ar-*â*a*a": "",
        "ar-a**a*a": "honorer",
        "ar-a**a*u": "plus grand, plus grave",
        "ar-a**u*ũ": "{{p}} ossements",
        "ar-mu**a*@ũ": "évènement grave",
        "ar-mu**a*ũ": "honoré, exalté",
        "ar-mu*a*²a*ũ": "splendide, glorieux",
        "ar-muta*â*i*ũ": "arrogant",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "trouver grand",
        "ar-ta**î*ũ": "glorification",
        "ar-ta*a*²a*a": "paraître grand",
        "ar-ta*â*a*a": "passer pour grand",
    },  # 42
    "ar-3b'": {
        "aa_sens": "aranger",
        "ar-**a*²a": "",
        "ar-*a**ũ": "sacoche",
        "ar-*a*a*a-a": "disposer, assortir",
        "ar-*a*²a*a": "ranger",
        "ar-*a*â*@ũ": "aba",
        "ar-*a*â*ũ": "aba",
        "ar-*i**ũ": "fardeau",
        "ar-*ta*a*a": "appliquer",
        "ar-*â*a*a": "",
        "ar-a**a*a": "mettre en bon ordre",
        "ar-ma**a*ũ": "chemin",
        "ar-mi**a*@ũ": "tampon",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 17
    "ar-3cq": {
        "aa_sens": "amoureux, amant",
        "ar-**a*²a": "",
        "ar-*a*i*a-a": "être épris",
        "ar-*a*²a*a": "assembler, emboîter",
        "ar-*a*²â*@ũ": "femme à amants",
        "ar-*a*²â*ũ": "homme à femmes",
        "ar-*a*î*@ũ": "maîtresse",
        "ar-*a*î*ũ": "amant",
        "ar-*i**ũ": "entichement",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "entichement",
        "ar-*u*u*ũ": "{{p}} jardiniers soigneux",
        "ar-*â*a*a": "s'enamourer",
        "ar-*â*i*ũ": "amoureux",
        "ar-a**a*a": "",
        "ar-ma**a*ũ": "le fait d'être entiché",
        "ar-ma**û*@ũ": "maitresse, chérie",
        "ar-ma**û*ũ": "amant, chéri",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*@ũ": "engrenage ; assemblage",
        "ar-ta*a*²a*a": "s'emboiter ; devenir amoureux",
        "ar-ta*â*a*a": "s'aimer réciproquement",
        "ar-ta*â*u*ũ": "emboîture ; amour réciproque",
    },  # 24
    "ar-3dd": {
        "aa_sens": "préparer, nombre, compter",
        "ar-*a**ânũ": "le temps où ça se passe",
        "ar-*a**ũ": "le fait de compter",
        "ar-*a*a*a-u": "compter",
        "ar-*a*a*ũ": "décompte, âge",
        "ar-*a*²a*a": "énumérer, amasser",
        "ar-*a*î*@ũ": "part, lot",
        "ar-*a*î*ũ": "nombre ; du nombre, semblable",
        "ar-*i**@ũ": "un nombre déterminé",
        "ar-*i**ũ": "grand nombre, foule, intarissable",
        "ar-*i*â*ũ": "le fait de compter parmi ; compte ; camarade ; paroxisme",
        "ar-*ta*a*a": "être prêt ; être compté",
        "ar-*u**@ũ": "préparation, réserve pour l'avenir, équipement",
        "ar-*u**ũ": "Petits signes qui couvrent quelquefois le visage des belles personnes",
        "ar-*â*a*a": "compter parmi ; produire un effet tardif",
        "ar-a**a*a": "préparer d'avance, équiper",
        "ar-a**â*ũ": "(pl) décomptes, âges",
        "ar-ma**a*iy²ũ": "de Maadd, Maaddites",
        "ar-ma**a*ũ": "flanc où reposent les côtés de la selle ; Maadd fils d'Adnan père des Maaddites",
        "ar-ma**û*ũ": "compté ; comptant ; peu nombreux",
        "ar-mu**i*ũ": "bien préparé, prêt à partir",
        "ar-mu*a**ũ": "préparé ; compté",
        "ar-mu*ay*a*iy²ũ": "Nom d'un homme très-laid, mais très-éloquent",
        "ar-mu*â*a*@ũ": "le fait de compter parmi",
        "ar-sta**a*a": "se disposer ; avoir des dispositions",
        "ar-sti**â*@ũ": "chose prête, préparée, apprêtée",
        "ar-sti**â*ũ": "préparation ; capacité",
        "ar-ta**â*ũ": "calcul, compte, énumération",
        "ar-ta**î*ũ": "le fait d'énumérer, d'amasser",
        "ar-ta*a*²a*a": "se préparer ; se multiplier",
        "ar-ta*â*a*a": "excéder, dépasser le compte",
        "ar-tama**a*a": "faire le maaddite",
    },  # 32
    "ar-3jm": {
        "aa_sens": "mâcher",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "le fait de parler comme un étranger",
        "ar-*a**@ũ": "palmier",
        "ar-*a**iy²ũ": "prudent",
        "ar-*a**â'u": "à voix basse",
        "ar-*a**ũ": "noyau",
        "ar-*a*a*@ũ": "barbarisme",
        "ar-*a*a*a-u": "mordre",
        "ar-*a*a*iy²ũ": "non arabe",
        "ar-*a*a*ũ": "étranger",
        "ar-*a*²a*a": "mettre les points diacritiques",
        "ar-*a*²â*ũ": "grosse chauve-souris",
        "ar-*a*â*iy²@ũ": "pâtisserie",
        "ar-*i**@ũ": "masse de sable",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "masse de sable",
        "ar-*u**ũ": "barbares",
        "ar-*u*u*ũ": "qui se contente de plantes épineuses",
        "ar-*u*â*ũ": "noyau dur",
        "ar-*u*û*ũ": "morsure",
        "ar-*â*a*a": "éprouver avec les dents",
        "ar-*â*i*ũ": "qui mord",
        "ar-a**a*a": "parler comme un étranger",
        "ar-a**a*iy²ũ": "non arabe",
        "ar-a**a*u": "non arabe",
        "ar-a**â*ũ": "{{p}} étrangers",
        "ar-a*â*i*u": "{{p}} étrangers",
        "ar-el*awâ*i*u": "les dents",
        "ar-ma**a*@ũ": "chamelle grasse",
        "ar-ma**a*ũ": "homme peu commun",
        "ar-ma**û*ũ": "robuste",
        "ar-mu**a*ũ": "dictionnaire",
        "ar-musta**i*ũ": "qui parle comme un étranger",
        "ar-n*a*a*a": "être inintelligible",
        "ar-sta**a*a": "se taire",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "être obscur",
    },  # 39
    "ar-3lY": {
        "aa_sens": "monter, s'élever",
        "ar-*i*a*ũ": "chefs",
    },  # 2
    "ar-3lm": {
        "aa_sens": "marquer, distinguer, savoir",
        "ar-**a*²a": "",
        "ar-**â*ũ": "notification",
        "ar-*a**â'u": "{{f}} marquée d'un bec de lièvre",
        "ar-*a**ũ": "l'univers",
        "ar-*a*a*a-i": "marquer",
        "ar-*a*a*a-u": "marquer",
        "ar-*a*a*ũ": "signe, marque",
        "ar-*a*i*a-a": "savoir",
        "ar-*a*²a*a": "mettre une marque ; instruire",
        "ar-*a*²â*@ũ": "très savant",
        "ar-*a*²â*ũ": "très savant",
        "ar-*a*â*@ũ": "marque",
        "ar-*a*î*ũ": "docte, [[ouléma]]",
        "ar-*ay*a*ũ": "mer",
        "ar-*ay*â*ũ": "hyène mâle",
        "ar-*i**iy²ũ": "scientifique",
        "ar-*i**ũ": "science",
        "ar-*i*²â*ũ": "enseignement, instruction",
        "ar-*i*â*ũ": "{{p}} signes, marques",
        "ar-*ta*a*a": "savoir",
        "ar-*u*a*â'u": "{{p}} [[ouléma]]s",
        "ar-*u*²â*iy²ũ": "d'un esprit vif",
        "ar-*u*²â*ũ": "sorte de faucon",
        "ar-*u*â*ũ": "sorte de faucon",
        "ar-*u*û*ũ": "{{p}} sciences",
        "ar-*â*a*a": "rivaliser de savoir",
        "ar-*â*a*iy²ũ": "habitant du monde",
        "ar-*â*a*ũ": "monde",
        "ar-*â*i*@ũ": "[[almée]]",
        "ar-*â*i*iy²@ũ": "l'état de savoir",
        "ar-*â*i*ũ": "savant",
        "ar-a**a*a": "faire savoir, marquer",
        "ar-a**a*u": "plus savant",
        "ar-a**a*ũ": "marqué d'un bec de lièvre",
        "ar-a**â*ũ": "{{p}} signes, marques",
        "ar-ma**a*ũ": "lieu indiqué, école",
        "ar-ma**û*ũ": "connu",
        "ar-ma*â*î*u": "salaire fixe",
        "ar-mu**a*ũ": "qui porte une marque",
        "ar-mu**i*ũ": "qui informe",
        "ar-mu*a*²a*@ũ": "instruite ; chien de chasse",
        "ar-mu*a*²a*ũ": "instruit",
        "ar-mu*a*²i*@ũ": "institutrice",
        "ar-mu*a*²i*ũ": "précepteur",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "désirer savoir",
        "ar-ta**î*ũ": "instruction",
        "ar-ta*a*²a*a": "apprendre, savoir",
        "ar-ta*a*²u*ũ": "apprentissage",
        "ar-ta*â*a*a": "savoir",
        "ar-u**û*@ũ": "signe, marque",
    },  # 52
    "ar-3lw": {
        "aa_sens": "supériorité, hauteur",
        "ar-**a*²a": "",
        "ar-*a**iy²ũ": "supérieur",
        "ar-*a**ũ": "partie supérieure, haut",
        "ar-*a*a*@ũ": "enclume",
        "ar-*a*a*a-u": "être haut",
        "ar-*a*a*iy²@ũ": "parenté à Ali",
        "ar-*a*a*iy²ũ": "d'un ordre supérieur",
        "ar-*a*i*a-a": "être de rang élevé",
        "ar-*a*i*iy²ũ": "supérieur, Ali",
        "ar-*a*i*ũ": "partie supérieure",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "enlever",
        "ar-*a*â*ũ": "grandeur, noblesse",
        "ar-*i**é": "qui dépasse la mesure",
        "ar-*i*â*@ũ": "partie supérieure, couronnement",
        "ar-*ta*a*a": "être haut",
        "ar-*u*â*@ũ": "partie supérieure",
        "ar-*u*û*ũ": "élévation",
        "ar-*â*a*a": "promouvoir",
        "ar-*â*i*@ũ": "partie élevée",
        "ar-*â*i*iy²ũ": "originaire d'Arabie centrale",
        "ar-*â*i*ũ": "élevé",
        "ar-a**a*a": "gravir",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "atteindre l'apogée",
        "ar-ta*â*a*a": "être fier",
        "ar-ta*â*u*ũ": "orgueil",
    },  # 28
    "ar-3ly": {
        "aa_sens": "monter, s'élever",
        "ar-**a*²a": "",
        "ar-*2aw2a*a": "<!--(xii)-->monter",
        "ar-*a**ũ": "ascension",
        "ar-*a*a*a-i": "monter",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*wâ*ũ": "belle et grande action",
        "ar-*a*²a*a": "élever, monter",
        "ar-*a*â*@ũ": "lieu élevé",
        "ar-*a*î*ũ": "grand ; Ali",
        "ar-*i**ânũ": "voix forte",
        "ar-*i**ũ": "ascension",
        "ar-*ta*a*a": "monter, gravir",
        "ar-*ti*â*ũ": "ascension, élévation",
        "ar-*u**â": "Koreïchites",
        "ar-*u**â'u": "chose grande, excellente",
        "ar-*u*a*ũ": "noblesse",
        "ar-*u*²î*@ũ": "salle d'apparat",
        "ar-*u*â*@ũ": "partie supérieure",
        "ar-*â*a*a": "gravir, s'élever",
        "ar-a**a*a": "élever",
        "ar-a**a*u": "culminant, excellent",
        "ar-ma**a*@ũ": "grandeur",
        "ar-mu*a*i*ũ": "haut",
        "ar-mu*a*²a*ũ": "élevé, grand",
        "ar-mu*a*²i*ũ": "qui élève",
        "ar-mu*ta*i*ũ": "élevé, haut",
        "ar-muta*â*i*ũ": "exalté, sublime",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "s'élever",
        "ar-sti**â*ũ": "emphase",
        "ar-ta*a*²a*a": "s'élever",
        "ar-ta*â*a*a": "être élevé",
        "ar-ta*â*u*ũ": "élévation",
    },  # 35
    "ar-3ml": {
        "aa_sens": "faire, faire de l'argent",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "mauvais coup",
        "ar-*a**ũ": "circonscription administrative",
        "ar-*a*a*@ũ": "{{p}} travailleurs",
        "ar-*a*a*a-a": "faire, agir",
        "ar-*a*a*iy²ũ": "artificiel",
        "ar-*a*a*ũ": "ouvrage, occupation",
        "ar-*a*i*@ũ": "œuvre",
        "ar-*a*i*a-a": "faire, agir",
        "ar-*a*i*ũ": "travailleur",
        "ar-*a*²a*a": "payer un travail",
        "ar-*a*²â*@ũ": "ouvrier habile",
        "ar-*a*²â*ũ": "grand travailleur",
        "ar-*a*â*@ũ": "salaire",
        "ar-*a*û*ũ": "qui travaille",
        "ar-*i**@ũ": "manière de faire, main-d’œuvre",
        "ar-*i*â*@ũ": "département",
        "ar-*ta*a*a": "employer, uiliser",
        "ar-*u**@ũ": "salaire, main-d’œuvre",
        "ar-*u*â*@ũ": "salaire",
        "ar-*â*a*a": "être en commerce avec",
        "ar-*â*i*@ũ": "qui travaille, qui régit",
        "ar-*â*i*ũ": "ouvrier, gouverneur",
        "ar-a**a*a": "mettre en œuvre",
        "ar-ma**û*ũ": "travaillé",
        "ar-mi**a*ũ": "lieu d'une action",
        "ar-mu*â*a*@ũ": "province, commerce",
        "ar-mu*â*i*iy²ũ": "qui cherche à faire fortune",
        "ar-musta**i*@ũ": "pot de chambre",
        "ar-musta**i*ũ": "employé",
        "ar-n*a*a*a": "être fait",
        "ar-sta**a*a": "employer comme agent",
        "ar-sti**â*ũ": "emploi",
        "ar-ta*a*²a*a": "s'appliquer à",
        "ar-ta*â*a*a": "agir de concert",
        "ar-ya**a*@ũ": "excellente chamelle",
        "ar-ya**a*ũ": "excellent chameau",
    },  # 38
    "ar-3mq": {
        "aa_sens": "notion de profondeur",
        "ar-*a**ũ": "le fait de se prolonger ; la profondeur",
        "ar-*a*a*@ũ": "sédiment dépôt",
        "ar-*a*i*a-a": "être long, se prolonger",
        "ar-*a*u*a": "être profond",
        "ar-*a*²a*a": "rendre profond, enfoncer, plonger, approfondir",
        "ar-*a*â*@ũ": "la profondeur, la prolongation",
        "ar-*a*î*ũ": "profond, long, interminable",
        "ar-*i**é": "sorte de plante que les chameaux recherchent",
        "ar-*ta*a*a": "rendre profond",
        "ar-*u**ũ": "profondeur",
        "ar-*u*u*ũ": "profondeur",
        "ar-*â*i*ũ": "qui se nourit de {{ar-mot|3imqé}}",
        "ar-a**a*a": "rendre profond",
        "ar-ta**î*ũ": "le fait de rendre profond, d'enfoncer",
        "ar-ta*a*²a*a": "approfondir un sujet, étudier à fond",
    },  # 16
    "ar-3mr": {
        "aa_sens": "prospérer",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "voile de tête",
        "ar-*a**ânu": "Amran",
        "ar-*a**ũ": "vie",
        "ar-*a*a*a-u": "conserver",
        "ar-*a*a*ũ": "manche",
        "ar-*a*i*a-a": "être florissant",
        "ar-*a*u*a": "être florissant",
        "ar-*a*²a*a": "garnir, cultiver",
        "ar-*a*²â*@ũ": "architectes, colons",
        "ar-*a*²â*ũ": "défricheur",
        "ar-*a*â*@ũ": "coiffure, tribu",
        "ar-*a*â*ũ": "décoration florale",
        "ar-*a*âyi*u": "{{p}} cultures, tribus",
        "ar-*a*î*@ũ": "ruche",
        "ar-*a*î*ũ": "populeux",
        "ar-*aw*a*@ũ": "cohue",
        "ar-*awâ*i*u": "{{p}} serpents",
        "ar-*i*â*@ũ": "culture, tribu",
        "ar-*ta*a*a": "séjourner",
        "ar-*u**@ũ": "petit pèlerinage",
        "ar-*u**ânũ": "civilisation",
        "ar-*u**é": "viager",
        "ar-*u**ũ": "âge",
        "ar-*u*a*ũ": "prospérité",
        "ar-*u*ay*@ũ": "petite tribu",
        "ar-*u*u*ũ": "âge, vie",
        "ar-*u*²a*ũ": "génie domestique",
        "ar-*u*â*@ũ": "salaire",
        "ar-*u*û*ũ": "Amr",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "serpent",
        "ar-*â*i*ũ": "peuplé, cultivé",
        "ar-a**a*a": "peupler",
        "ar-a**a*u": "mieux habité",
        "ar-a**u*ũ": "Amr",
        "ar-a**â*ũ": "{{p}} vies",
        "ar-ma**a*iy²ũ": "cultivé et fertile",
        "ar-ma**a*ũ": "pays cultivé",
        "ar-ma**û*ũ": "fréquenté",
        "ar-mi**â*ũ": "architecte",
        "ar-mu**a*ũ": "viager",
        "ar-mu*a*²a*ũ": "florissant",
        "ar-mu*a*²i*ũ": "qui rend florissant",
        "ar-mu*ta*i*ũ": "pèlerin",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "établir comme habitant",
        "ar-ta**û*ũ": "chevreau",
        "ar-ta*a*²a*a": "visiter les lieux saints",
        "ar-ta*â*a*a": "",
    },  # 51
    "ar-3rb": {
        "aa_sens": "arabe, vif",
        "ar-**a*²a": "",
        "ar-**â*ũ": "syntaxe désinentielle",
        "ar-*a**â'u": "arabe pur sang",
        "ar-*a**ũ": "vivacité",
        "ar-*a*a*@ũ": "chariot, roue",
        "ar-*a*a*a-i": "manger",
        "ar-*a*a*iy²@ũ": "arabe",
        "ar-*a*a*iy²ũ": "arabe",
        "ar-*a*a*ũ": "arabe",
        "ar-*a*i*@ũ": "femme vive",
        "ar-*a*i*a-a": "être vif, être profond",
        "ar-*a*i*âtũ": "{{p}} femmes vives",
        "ar-*a*i*ũ": "pur",
        "ar-*a*u*a": "être purement arabe",
        "ar-*a*²a*a": "arabiser",
        "ar-*a*²â*ũ": "faiseur de sac",
        "ar-*a*â*@ũ": "sac",
        "ar-*a*â*ũ": "taureaux à poil ras",
        "ar-*a*î*ũ": "grande quantité d'eau",
        "ar-*a*û*@ũ": "femme vive",
        "ar-*a*û*ũ": "femme vive",
        "ar-*i**ũ": "[[béhen]] séché",
        "ar-*i*â*@ũ": "langage obscène",
        "ar-*i*â*ũ": "arabe pur sang",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "population arabe",
        "ar-*u*3u3ũ": "grande quantité d'eau",
        "ar-*u*ay*ũ": "tribu arabe pur sang",
        "ar-*u*u*ũ": "{{p}} femmes vives",
        "ar-*u*û*@ũ": "arabisme",
        "ar-*u*û*iy²@ũ": "arabisme",
        "ar-*u*û*â'u": "septième ciel",
        "ar-*u*û*ũ": "pureté de l'arabe",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "profond, pur-sang",
        "ar-a**a*a": "parler clairement",
        "ar-a**u*ũ": "de race arabe",
        "ar-a**â*iy²ũ": "bédouin",
        "ar-a**â*ũ": "bédouin",
        "ar-a*â*î*u": "{{p}} bédouins",
        "ar-ma**i*@ũ": "pur sang",
        "ar-mu**a*ũ": "déclinable",
        "ar-mu**i*ũ": "exprimant clairement",
        "ar-musta**i*@ũ": "mozarabe",
        "ar-muta*a*²i*ũ": "devenu arabe",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "s'assimiler arabe",
        "ar-ta**î*ũ": "traduction en arabe",
        "ar-ta*a*²a*a": "devenir arabe",
        "ar-ta*â*a*a": "",
    },  # 51
    "ar-3rf": {
        "aa_sens": "connaître",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*2aw2a*a": "avoir une crinière dressée",
        "ar-*a**@ũ": "odeur, ulcère",
        "ar-*a**â'u": "hyène",
        "ar-*a**ânũ": "qui sait",
        "ar-*a**ũ": "odeur",
        "ar-*a*a*@ũ": "mont Arafat",
        "ar-*a*a*a-i": "connaître",
        "ar-*a*a*âtũ": "mont Arafat",
        "ar-*a*a*ũ": "le fait d'être parfumé",
        "ar-*a*i*a-a": "sentir le parfum",
        "ar-*a*u*a": "devenir devin",
        "ar-*a*²a*a": "informer, définir",
        "ar-*a*²â*ũ": "devin, médecin",
        "ar-*a*î*ũ": "bien renseigné",
        "ar-*a*û*@ũ": "qui s'y connaît",
        "ar-*a*û*ũ": "persévérant",
        "ar-*i**@ũ": "informations",
        "ar-*i**âniy²ũ": "de la vie mystique",
        "ar-*i**ânũ": "connaissance",
        "ar-*i**ũ": "patience",
        "ar-*i*i*²ânũ": "sorte de gros insecte",
        "ar-*i*â*@ũ": "profession de devin",
        "ar-*ta*a*a": "apprendre",
        "ar-*ti*â*ũ": "aveu, confession",
        "ar-*u**@ũ": "hauteur, colline",
        "ar-*u**iy²@ũ": "aphorisme",
        "ar-*u**iy²ũ": "consacré par l'usage",
        "ar-*u**ũ": "connaissance",
        "ar-*u*a*â'u": "{{p}} préposés",
        "ar-*u*a*ũ": "{{p}} hauteur, colline",
        "ar-*u*i*a": "avoir des ulcères aux mains",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "bien, bienfait",
        "ar-*â*i*ũ": "connaisseur, notoire",
        "ar-a**a*a": "avoir une belle crinière",
        "ar-a**a*u": "qui porte une crinière",
        "ar-a**â*ũ": "hauteurs, séparation",
        "ar-ma**a*@ũ": "endroit où la crinière pousse",
        "ar-ma**a*ũ": "connu",
        "ar-ma**i*@ũ": "connaissance",
        "ar-ma**û*ũ": "connu",
        "ar-ma*â*i*u": "traits, visage",
        "ar-mu*a*²a*ũ": "déterminé",
        "ar-mu*ta*a*ũ": "ce qui est admis",
        "ar-mu*ta*i*ũ": "qui signale",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "chercher à se faire connaître",
        "ar-ta**î*ũ": "définition",
        "ar-ta*a*²a*a": "s'informer",
        "ar-ta*a*²u*ũ": "connaissance et amour de Dieu",
        "ar-ta*â*a*a": "faire connaissance",
        "ar-ta*â*î*u": "{{p}} définitions",
    },  # 55
    "ar-3sl": {
        "aa_sens": "miel",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "un peu de miel",
        "ar-*a**ânũ": "course",
        "ar-*a*a*a-u": "sucrer au miel",
        "ar-*a*a*iy²ũ": "mielleux",
        "ar-*a*a*ũ": "miel",
        "ar-*a*i*ũ": "qui frappe vite et fort",
        "ar-*a*²a*a": "sucrer",
        "ar-*a*²â*@ũ": "ruche",
        "ar-*a*²â*ũ": "apiculteur",
        "ar-*a*î*ũ": "homme colérique",
        "ar-*a*û*ũ": "qui vibre",
        "ar-*i**ũ": "homme qui a soin des troupeaux",
        "ar-*ta*a*a": "",
        "ar-*u**ânũ": "{{p}} miels",
        "ar-*u*ay*@ũ": "goutte de jouissance",
        "ar-*u*u*ũ": "{{p}}",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "qui donne du miel",
        "ar-*â*i*âtũ": "{{p}} loups",
        "ar-*â*i*ũ": "qui prend le miel",
        "ar-a**a*a": "",
        "ar-ma**a*@ũ": "ruche pleine",
        "ar-mu*a*²a*ũ": "sucré",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "demander à sucrer",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 29
    "ar-3wd": {
        "aa_sens": "coutume, revenir",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "retour",
        "ar-*a**ũ": "répétition",
        "ar-*a*a*@ũ": "habitude, coutume",
        "ar-*a*a*a-u": "revenir",
        "ar-*a*a*iy²ũ": "D'Adites",
        "ar-*a*a*ũ": "Ad",
        "ar-*a*²a*a": "habituer",
        "ar-*a*²â*ũ": "qui revient souvent",
        "ar-*a*â*@ũ": "joueuse de luth",
        "ar-*a*â*i": "reviens!",
        "ar-*a*â*ũ": "récompense",
        "ar-*a*âyi*u": "{{p}} coutumes",
        "ar-*a*î*@ũ": "usage, retour",
        "ar-*a*î*ũ": "coutume",
        "ar-*awâ*i*u": "{{p}} bénéfices",
        "ar-*i**ânũ": "{{p}} bois",
        "ar-*i**ũ": "habitude",
        "ar-*i*â*@ũ": "fréquentation",
        "ar-*i*â*ũ": "répétition",
        "ar-*ta*a*a": "s'en retourner",
        "ar-*ti*â*iy²ũ": "habituel",
        "ar-*ti*â*ũ": "coutume",
        "ar-*u**ũ": "bois, luth",
        "ar-*u*ay*ũ": "petit morceau de bois",
        "ar-*u*²â*ũ": "joueuse de luth",
        "ar-*u*â*@ũ": "retour",
        "ar-*â*a*a": "répéter",
        "ar-*â*i*@ũ": "bénéfice",
        "ar-*â*i*iy²@ũ": "appartenance",
        "ar-*â*i*ũ": "qui retourne",
        "ar-a**a*a": "répéter",
        "ar-a**a*u": "plus avantageux",
        "ar-a**â*ũ": "{{p}} bois",
        "ar-i**â*@ũ": "répétition",
        "ar-ma**a*ũ": "retour",
        "ar-ma**û*ũ": "à qui l'on fait des visites",
        "ar-mu**i*ũ": "qui réitère",
        "ar-mu*a*²a*ũ": "habitué",
        "ar-mu*a*²i*ũ": "qui habitue",
        "ar-mu*ta*a*iy²ũ": "habituel",
        "ar-mu*ta*a*ũ": "habitué",
        "ar-mu*â*a*@ũ": "habitude",
        "ar-mu*â*i*ũ": "appliqué",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "se faire répéter",
        "ar-sti**â*@ũ": "reconquête",
        "ar-ta**î*ũ": "accoutumance",
        "ar-ta*a*²a*a": "s'habituer à",
        "ar-ta*a*²u*ũ": "accoutumance",
        "ar-ta*â*a*a": "revenir à la charge",
    },  # 53
    "ar-3yn": {
        "aa_sens": "œil",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**iy²@ũ": "vente à l’œil",
        "ar-*a**iy²ũ": "de Aïntab",
        "ar-*a**â'u": "trouée",
        "ar-*a**ânũ": "écoulement",
        "ar-*a**ũ": "œil",
        "ar-*a*a*a-i": "couler",
        "ar-*a*i*a-a": "avoir de grands yeux",
        "ar-*a*²a*a": "percer",
        "ar-*a*²a*ũ": "troué",
        "ar-*a*²i*ũ": "troué",
        "ar-*a*û*ũ": "qui regarde",
        "ar-*i**@ũ": "choix",
        "ar-*i**ũ": "buffle",
        "ar-*i*â*@ũ": "espion",
        "ar-*i*â*ũ": "personne",
        "ar-*ta*a*a": "épier",
        "ar-*u*a*ũ": "{{p}} personnes",
        "ar-*u*ay*@ũ": "petit œil",
        "ar-*u*u*ũ": "{{p}} qui regardent",
        "ar-*u*û*ũ": "lunettes",
        "ar-*â*a*a": "regarder",
        "ar-*â*i*@ũ": "regard",
        "ar-*â*i*ũ": "homme",
        "ar-a**a*a": "jeter le mauvais œil",
        "ar-a**a*u": "à grand yeux",
        "ar-a**i*@ũ": "{{p}} personnes",
        "ar-ma**a*ũ": "station",
        "ar-ma**i*ũ": "source",
        "ar-mu*a*²a*ũ": "à pois",
        "ar-mu*â*a*@ũ": "constat de visu",
        "ar-muta*a*²a*ũ": "fixé",
        "ar-muta*a*²i*ũ": "poreux",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "être évident",
        "ar-ta*â*a*a": "",
    },  # 39
    "ar-Cbb": {
        "aa_sens": "adolescence",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "jeune femme",
        "ar-*a**ũ": "jeune femme",
        "ar-*a*a*@ũ": "{{p}} jeunes",
        "ar-*a*a*a-i": "grandir",
        "ar-*a*a*a-u": "être ardent",
        "ar-*a*a*ũ": "jeune",
        "ar-*a*²a*a": "louer une femme",
        "ar-*a*â*ũ": "jeunesse",
        "ar-*a*î*@ũ": "jeune femme",
        "ar-*a*î*iy²@ũ": "jeunesse",
        "ar-*a*û*ũ": "amadou",
        "ar-*i*â*@ũ": "flûte",
        "ar-*i*â*ũ": "vivacité",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "jeunesse",
        "ar-*u*û*ũ": "combustion",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "jeune femme",
        "ar-*â*i*ũ": "jeune homme",
        "ar-a**a*a": "exciter",
        "ar-ma**û*ũ": "brûlant",
        "ar-mi**a*ũ": "jeune animal",
        "ar-mu**a*ũ": "jeune homme",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "exprimer sa passion",
        "ar-ta*a*²u*ũ": "pédérastie",
        "ar-ta*â*a*a": "",
    },  # 31
    "ar-Cdd": {
        "aa_sens": "dureté",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "charge",
        "ar-*a**ũ": "force",
        "ar-*a*a*a-i": "serrer",
        "ar-*a*u*a": "courir",
        "ar-*a*²a*a": "renforcer",
        "ar-*a*²â*ũ": "violent",
        "ar-*a*î*@ũ": "calamité",
        "ar-*a*î*ũ": "violent",
        "ar-*i**@ũ": "sévérité",
        "ar-*i*â*ũ": "{{p}} violents",
        "ar-*ta*a*a": "persister",
        "ar-*u**é": "malheur",
        "ar-*â*a*a": "malmener",
        "ar-*â*i*ũ": "qui serre",
        "ar-a**a*a": "avoir une bête de somme",
        "ar-a**a*u": "plus intense",
        "ar-a**i*â'u": "{{p}} violents",
        "ar-a**u*ũ": "vigueur",
        "ar-ma**û*ũ": "lié",
        "ar-mu**i*ũ": "qui serre",
        "ar-muta*a*²i*ũ": "sévère",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "renforcement",
        "ar-ta*a*²a*a": "être renforcé",
        "ar-ta*â*a*a": "",
        "ar-u**u*ũ": "vigueur",
    },  # 30
    "ar-Chd": {
        "aa_sens": "être témoin, être présent",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "miel",
        "ar-*a*a*a-a": "témoigner",
        "ar-*a*u*a": "attester",
        "ar-*a*²a*a": "éjaculer",
        "ar-*a*²â*ũ": "toujours présent",
        "ar-*a*â*@ũ": "témoignage",
        "ar-*a*î*@ũ": "agneau rôti",
        "ar-*a*î*ũ": "témoin",
        "ar-*awâ*i*u": "{{p}} exemples",
        "ar-*i*â*ũ": "{{p}} miels",
        "ar-*ta*a*a": "",
        "ar-*ti*â*@ũ": "témoignage",
        "ar-*u**ũ": "miel",
        "ar-*u*a*â'u": "{{p}} témoins",
        "ar-*u*²a*ũ": "{{p}} témoins",
        "ar-*u*û*ũ": "vision de Dieu",
        "ar-*â*a*a": "assister à une scène",
        "ar-*â*i*@ũ": "exemple",
        "ar-*â*i*ũ": "témoin",
        "ar-a**a*a": "citer comme témoin",
        "ar-a**â*ũ": "{{p}} témoins",
        "ar-ma**a*@ũ": "lieu de réunion",
        "ar-ma**a*ũ": "lieu de réunion",
        "ar-ma**u*@ũ": "lieu de réunion",
        "ar-ma**û*ũ": "attesté",
        "ar-mu**a*ũ": "martyr",
        "ar-mu*â*a*@ũ": "présence",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "invoquer le témoignage",
        "ar-ta*a*²a*a": "prononcer l'acte de foi",
        "ar-ta*â*a*a": "",
    },  # 34
    "ar-Chr": {
        "aa_sens": "public",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "annonce",
        "ar-*a**iy²@ũ": "salaire mensuel",
        "ar-*a**iy²ũ": "mensuel",
        "ar-*a**ũ": "mois",
        "ar-*a*a*a-a": "faire connaître",
        "ar-*a*²a*a": "publier",
        "ar-*a*î*@ũ": "grande",
        "ar-*a*î*ũ": "célèbre",
        "ar-*i*â*ũ": "engagement au mois",
        "ar-*ta*a*a": "devenir public",
        "ar-*ti*â*ũ": "célébrité",
        "ar-*u**@ũ": "renommée",
        "ar-*â*a*a": "s'engager au mois",
        "ar-a**a*a": "rendre public",
        "ar-a**a*u": "plus célèbre",
        "ar-a*â*i*u": "blanc narcisse",
        "ar-ma**û*@ũ": "chose connue",
        "ar-ma**û*ũ": "connu",
        "ar-mu*a*²a*ũ": "notoire",
        "ar-mu*â*a*@ũ": "salaire mensuel",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 27
    "ar-Ckl": {
        "aa_sens": "mêler, nouer",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "ambigüité",
        "ar-*a**@ũ": "coquette",
        "ar-*a**iy²@ũ": "formalisme",
        "ar-*a**iy²ũ": "formel",
        "ar-*a**â'u": "{{f}} mêlée",
        "ar-*a**ũ": "semblable",
        "ar-*a*a*a-u": "lier",
        "ar-*a*i*@ũ": "coquette",
        "ar-*a*i*a-a": "être embrouillé",
        "ar-*a*²a*a": "entraver, teinter",
        "ar-*a*î*ũ": "sang et écume",
        "ar-*a*û*ũ": "{{p}} ressemblances",
        "ar-*aw*a*ũ": "flanc",
        "ar-*awâ*i*u": "{{p}} flanc, côté",
        "ar-*i**ũ": "image, figure",
        "ar-*i*a*ũ": "entrave",
        "ar-*i*â*@ũ": "nuance mêlée",
        "ar-*i*â*ũ": "entrave",
        "ar-*ta*a*a": "s'embrouiller",
        "ar-*u**@ũ": "mêlé rouge et blanc",
        "ar-*u**iy²ũ": "hargneux",
        "ar-*u**ũ": "{{p}} couleur mêlées",
        "ar-*u*u*ũ": "{{p}} entraves",
        "ar-*â*a*a": "s'accorder",
        "ar-*â*i*@ũ": "flanc, côté",
        "ar-*â*i*ũ": "tache blanche",
        "ar-a**a*@ũ": "complication, besoin",
        "ar-a**a*a": "devenir douteux",
        "ar-a**a*u": "couleur mêlées",
        "ar-a**â*ũ": "{{p}} ressemblances",
        "ar-ma**û*ũ": "marqué",
        "ar-ma*â*i*ũ": "{{p}} difficultés",
        "ar-mu**i*@ũ": "difficulté",
        "ar-mu**i*ũ": "difficulté",
        "ar-mu*a*²a*ũ": "divers",
        "ar-mu*â*a*@ũ": "assimilation impropre",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "considérer comme douteux",
        "ar-ta**î*@ũ": "assortiment",
        "ar-ta**î*ũ": "formation",
        "ar-ta*a*²a*a": "prendre forme",
        "ar-ta*â*a*a": "être analogue",
        "ar-ta*â*u*ũ": "similarité",
    },  # 46
    "ar-Ckr": {
        "aa_sens": "grâce, graisse",
        "ar-**a*²a": "",
        "ar-*a**ãé": "viande grasse",
        "ar-*a**ũ": "vulve",
        "ar-*a*a*a-u": "remercier, louer",
        "ar-*a*a*iy²@ũ": "abondance de lait",
        "ar-*a*i*@ũ": "abondance de lait",
        "ar-*a*i*a-a": "avoir du lait en abondance",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "",
        "ar-*a*²a*ũ": "pot au feu",
        "ar-*a*âyi*u": "toupet",
        "ar-*a*î*ũ": "serviette",
        "ar-*a*û*ũ": "remerciant, engraissant",
        "ar-*i**ũ": "vulve",
        "ar-*ta*a*a": "être intense",
        "ar-*u**@ũ": "abondance de lait",
        "ar-*u**iy²ũ": "reconnaissant",
        "ar-*u**ânũ": "gratitude",
        "ar-*u**ũ": "remerciement",
        "ar-*u*û*ũ": "reconnaissant",
        "ar-*â*a*a": "témoigner sa reconnaissance",
        "ar-*â*i*@ũ": "sac",
        "ar-*â*i*iy²ũ": "mercenaire",
        "ar-*â*i*ũ": "reconnaissant",
        "ar-a**a*a": "avoir un lait abondant",
        "ar-ma**û*ũ": "agréable, récompensé",
        "ar-mi**â*ũ": "qui a du lait en abondance",
        "ar-mu**i*ũ": "laiteux",
        "ar-mu*ta*i*ũ": "violent, intense",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "remercier vivement",
        "ar-ta*â*a*a": "",
    },  # 34
    "ar-Crq": {
        "aa_sens": "orient, dessécher",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "rayonnement",
        "ar-*2aw2a*a": "se baigner de larmes",
        "ar-*a**@ũ": "soleil levant",
        "ar-*a**iy²@ũ": "{{f}} orientale",
        "ar-*a**iy²ũ": "oriental",
        "ar-*a**â'u": "{{f}} à l'oreille fendue",
        "ar-*a**ũ": "lever de soleil",
        "ar-*a*a*@ũ": "incision",
        "ar-*a*a*a-u": "se lever",
        "ar-*a*a*ũ": "soleil",
        "ar-*a*i*@ũ": "levant",
        "ar-*a*i*a-a": "rougir",
        "ar-*a*i*ũ": "sans graisse",
        "ar-*a*²a*a": "fendre",
        "ar-*a*²â*ũ": "pompe aspirante",
        "ar-*a*â*iy²ũ": "terre desséchée",
        "ar-*a*î*ũ": "soleil levant",
        "ar-*i**ũ": "rayon de lumière",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "angoisse",
        "ar-*u**ũ": "{{p}} Levants",
        "ar-*u*ay*@ũ": "première lueur",
        "ar-*u*û*ũ": "lever du soleil",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "soleil levant",
        "ar-*â*û*ũ": "plâtre",
        "ar-a**a*a": "briller",
        "ar-a**a*u": "à l'oreille fendue",
        "ar-ma**a*@ũ": "solarium",
        "ar-ma**a*ũ": "levant",
        "ar-ma**i*iy²ũ": "oriental",
        "ar-ma**i*ũ": "levant",
        "ar-ma**u*@ũ": "solarium",
        "ar-ma**u*ũ": "levant",
        "ar-ma**â*ũ": "solarium",
        "ar-ma**î*ũ": "solarium",
        "ar-ma*â*i*@ũ": "{{p}} orientaux",
        "ar-mi**â*ũ": "solarium",
        "ar-mu*a*²a*ũ": "teint en rouge",
        "ar-musta**i*ũ": "orientalisé",
        "ar-n*a*a*a": "se gercer",
        "ar-sta**a*a": "s'orientaliser",
        "ar-sti**â*ũ": "orientalisation",
        "ar-ta**î*ũ": "dessication",
        "ar-ta*a*²a*a": "se mettre au soleil",
        "ar-ta*â*a*a": "",
    },  # 49
    "ar-DXm": {
        "aa_sens": "grand, gros",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*ũ": "corpulent",
        "ar-*a*u*a": "être de forte taille",
        "ar-*a*²a*a": "",
        "ar-*i**@ũ": "{{f}} corpulente",
        "ar-*i*â*ũ": "{{p}} corpulents",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "grand, large",
        "ar-*u*â*ũ": "corpulent",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-a**a*u": "très gros, plus gros",
        "ar-mi**a*ũ": "amplificateur",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
        "ar-u**û*@ũ": "fesse postiche",
    },  # 20
    "ar-Dmr": {
        "aa_sens": "mince, caché",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "idée",
        "ar-*Ta*a*a": "maigrir",
        "ar-*a**ũ": "mince",
        "ar-*a*a*a-u": "être mince",
        "ar-*a*u*a": "être mince",
        "ar-*a*²a*a": "émacier",
        "ar-*a*âyi*u": "{{p}} latents",
        "ar-*a*î*ũ": "latent",
        "ar-*i*â*ũ": "incertain",
        "ar-*u**ũ": "absence de ventre",
        "ar-*u*u*ũ": "absence de ventre",
        "ar-*u*²ay*é": "melon",
        "ar-*u*û*ũ": "être mince",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "mince",
        "ar-a**a*a": "cacher",
        "ar-ma**a*@ũ": "arcanes",
        "ar-ma**a*ũ": "caché",
        "ar-mi**â*ũ": "hippodrome",
        "ar-mu*Ta*i*ũ": "mince",
        "ar-mun*a*i*ũ": "fané",
        "ar-n*a*a*a": "se dessécher",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "maigrir",
        "ar-ta*â*a*a": "",
    },  # 28
    "ar-F3b": {
        "aa_sens": "faire couler",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "torrent, canal",
        "ar-*a*a*a-a": "faire couler",
        "ar-*a*a*ũ": "torrent, canal",
        "ar-*a*²a*a": "",
        "ar-*ta*a*a": "couler",
        "ar-*u**ânũ": "serpent",
        "ar-*u*a*@ũ": "lézard venimeux",
        "ar-*u*u*@ũ": "lézard venimeux",
        "ar-*u*û*ũ": "fiel",
        "ar-*â*a*a": "",
        "ar-a**a*a": "couler",
        "ar-a**û*ũ": "liquide",
        "ar-ma**a*ũ": "canal, chenal",
        "ar-n*a*a*a": "couler",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
        "ar-u**u*ânũ": "visage éclatant",
    },  # 21
    "ar-F3lb": {
        "aa_sens": "renard",
        "ar-**a*²a": "",
        "ar-*a**a*@ũ": "{{f}} renarde",
        "ar-*a**a*a": "renard",
        "ar-*a**a*iy²ũ": "vulpin",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "",
        "ar-*a*â*i*u": "{{p}} renards",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-mu*a**i*ũ": "pays à renard",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 16
    "ar-FlF": {
        "aa_sens": "relatif au chiffre [[trois]]",
    },  # 1
    "ar-FnW": {
        "aa_sens": "plier en deux",
        "ar-*a**iy²@ũ": "dualisme",
        "ar-ma**a*iy²@ũ": "exception",
    },  # 3
    "ar-Fny": {
        "aa_sens": "plier, doubler, deux",
        "ar-**a*²a": "",
        "ar-*2aw2a*a": "être courbé",
        "ar-*a*a*a-i": "plier en deux",
        "ar-*a*i*a-a": "",
        "ar-*a*i*iy²ũ": "qui perd ses dents",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "doubler",
        "ar-*a*â*ũ": "éloge, louange",
        "ar-*a*î*@ũ": "éloge ; incisives ; lacets",
        "ar-*i**ũ": "second",
        "ar-*i*a*ũ": "répétition ; second",
        "ar-*i*â*@ũ": "corde, bride",
        "ar-*i*â*ũ": "chant ; corde",
        "ar-*u**ânũ": "second en dignité",
        "ar-*u*â*iy²ũ": "bilitère",
        "ar-*u*â*ũ": "deux",
        "ar-*²a*a*a": "fléchir",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "{{f}} seconde",
        "ar-*â*i*ũ": "deuxième, double",
        "ar-a**a*a": "seconder",
        "ar-ma**a*@ũ": "sinuosité",
        "ar-ma**a*ũ": "joint ; détour",
        "ar-ma**û*ũ": "plié, recourbé",
        "ar-ma*â*i*ũ": "Coran",
        "ar-mi**a*@ũ": "qualité ; corde",
        "ar-mu**a*@ũ": "lettre marquée de deux points",
        "ar-mu*a*²a*ũ": "duel",
        "ar-musta**i*ũ": "excepté",
        "ar-n*a*a*a": "fléchir",
        "ar-sta**a*a": "exclure",
        "ar-sti**â*ũ": "exception",
        "ar-ta**i*@ũ": "duel",
        "ar-ta*a*²a*a": "se plier",
        "ar-ta*â*a*a": "",
    },  # 36
    "ar-Fqf": {
        "aa_sens": "éduqué",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "intelligent",
        "ar-*a*a*a-a": "redresser, surpasser",
        "ar-*a*i*a-a": "rencontrer",
        "ar-*a*i*ũ": "intelligent",
        "ar-*a*u*a": "être intelligent",
        "ar-*a*u*ũ": "intelligent",
        "ar-*a*²a*a": "former",
        "ar-*a*â*@ũ": "culture",
        "ar-*a*â*ũ": "femme très intelligente",
        "ar-*a*î*ũ": "très piquant",
        "ar-*i*â*ũ": "débat",
        "ar-*i*î*ũ": "très piquant",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "disputer, débattre",
        "ar-a**a*a": "faire rencontrer",
        "ar-mu*a*²a*ũ": "redressé",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "lutter, disputer",
    },  # 23
    "ar-Fql": {
        "aa_sens": "peser",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "pesanteur",
        "ar-*a**ũ": "charges",
        "ar-*a*a*@ũ": "bagages",
        "ar-*a*a*a-u": "soulever",
        "ar-*a*a*ũ": "bagages",
        "ar-*a*i*@ũ": "bagages",
        "ar-*a*i*a-a": "être gravement malade",
        "ar-*a*u*a": "être lourd",
        "ar-*a*²a*a": "alourdir",
        "ar-*a*â*ũ": "lourd",
        "ar-*a*î*@ũ": "{{f}} lourde",
        "ar-*a*î*ũ": "lourd",
        "ar-*awâ*i*u": "{{p}} pesants",
        "ar-*i**ũ": "poids",
        "ar-*i*a*@ũ": "bagages",
        "ar-*i*a*ũ": "lourdeur",
        "ar-*i*â*ũ": "{{p}} lourds",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "{{p}} lourds",
        "ar-*u*a*â'u": "{{p}} lourds",
        "ar-*u*â*ũ": "lourd",
        "ar-*â*a*a": "se nourrir de mets lourds",
        "ar-*â*i*ũ": "pesant",
        "ar-a**a*a": "surcharger",
        "ar-a**a*u": "très lourd",
        "ar-a**â*u": "{{p}} poids",
        "ar-ma*â*î*u": "{{p}} poids",
        "ar-mi**â*ũ": "poids",
        "ar-mu**i*@ũ": "charge lourde",
        "ar-mu**i*ũ": "pesant",
        "ar-musta**a*ũ": "accablé",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "trouver lourd",
        "ar-ta**î*ũ": "lettre avec techdid",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "s'appesantir",
    },  # 39
    "ar-FrFr": {
        "aa_sens": "bavarder",
        "ar-***ũ": "",
        "ar-*a**a*@ũ": "bavardage",
        "ar-*a**a*a": "bavarder",
        "ar-*a**â*@ũ": "{{f}} bavarde",
        "ar-*a**â*ũ": "bavard",
        "ar-*a**û*@ũ": "prolifique",
    },  # 7
    "ar-HSn": {
        "aa_sens": "fortifier ; chaste ; perte",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**â'u": "pudique",
        "ar-*a*a*a-u": "être fortifié",
        "ar-*a*u*a": "être vertueux",
        "ar-*a*²a*a": "fortifier, préserver",
        "ar-*a*â*ũ": "femme vertueuse",
        "ar-*a*î*ũ": "fort, prison",
        "ar-*i**ũ": "citadelle",
        "ar-*i*â*ũ": "étalon",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "chasteté",
        "ar-*u*ay*ũ": "fortin",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "qui garde",
        "ar-a**a*a": "conserver intact",
        "ar-a**i*@ũ": "pointes",
        "ar-mi**a*ũ": "verrou",
        "ar-mu**a*@ũ": "femme vertueuse",
        "ar-mu**a*ũ": "chaste, marié",
        "ar-mu**i*@ũ": "femme vertueuse",
        "ar-mu*a*²a*ũ": "fortifié",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "se retrancher",
        "ar-ta*a*²u*ũ": "chasteté",
        "ar-ta*â*a*a": "",
    },  # 28
    "ar-HZZ": {
        "aa_sens": "chance",
        "ar-**a*²a": "",
        "ar-*a**ũ": "sort",
        "ar-*a*i*a-a": "être chanceux",
        "ar-*a*²a*a": "",
        "ar-*a*î*ũ": "fortuné",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "devenir heureux",
        "ar-ma**û*ũ": "content",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 14
    "ar-Hbb": {
        "aa_sens": "aimer / graine",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "une baie",
        "ar-*a**âtũ": "{{p}} baies",
        "ar-*a**ũ": "graines",
        "ar-*a*a*@ũ": "objet aimé",
        "ar-*a*a*a-i": "désirer",
        "ar-*a*a*ũ": "belles dents",
        "ar-*a*i*a-a": "aimer",
        "ar-*a*u*a": "être aimé",
        "ar-*a*²a*a": "faire aimer",
        "ar-*a*â'i*u": "{{p}} chéries",
        "ar-*a*â*ũ": "but",
        "ar-*a*î*@ũ": "{{f}} chérie",
        "ar-*a*î*ũ": "chéri",
        "ar-*i**@ũ": "graine",
        "ar-*i**ânũ": "{{p}} chéris",
        "ar-*i**ũ": "chéri",
        "ar-*i*a*@ũ": "{{p}} chéris",
        "ar-*i*a*ũ": "graine",
        "ar-*i*â*ũ": "fait de cultiver l'amitié",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "amour",
        "ar-*u**iy²ũ": "amical",
        "ar-*u**ânũ": "{{p}} graines",
        "ar-*u**ũ": "amour",
        "ar-*u*a*ũ": "{{p}} amants",
        "ar-*u*ay*@ũ": "{{f}} chère amie",
        "ar-*u*ay*ũ": "cher ami",
        "ar-*u*ay²i*@ũ": "{{f}} petite chérie",
        "ar-*u*ay²i*ũ": "petit chéri",
        "ar-*u*²â*ũ": "qui vend des cruches",
        "ar-*u*â*@ũ": "{{f}} amie",
        "ar-*u*â*ũ": "ami",
        "ar-*u*û*@ũ": "bubon",
        "ar-*u*û*âtũ": "{{p}} graines",
        "ar-*u*û*ũ": "{{p}} chéris",
        "ar-*â*a*a": "cultiver l'amitié",
        "ar-a**a*a": "chérir",
        "ar-a**a*u": "préférable",
        "ar-a**i*@ũ": "{{p}} chéris",
        "ar-a**i*â'u": "{{p}} chéris",
        "ar-a**â*ũ": "{{p}} chéris",
        "ar-ma**a*@ũ": "amour",
        "ar-ma**û*@ũ": "{{f}} amante",
        "ar-ma**û*ũ": "amant",
        "ar-mu**a*@ũ": "{{f}} aimée",
        "ar-mu**a*ũ": "aimé",
        "ar-mu**i*@ũ": "{{f}} amie",
        "ar-mu**i*ũ": "ami",
        "ar-mu*a*²a*ũ": "plaisant",
        "ar-mu*â*a*@ũ": "fait de cultiver l'amitié",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "trouver bon",
        "ar-ta*a*²a*a": "témoigner de l'amour",
        "ar-ta*a*²u*ũ": "courtiser",
        "ar-ta*â*a*a": "s'aimer réciproquement",
        "ar-ta*â*u*ũ": "amour mutuel",
    },  # 59
    "ar-Hdd": {
        "aa_sens": "coupant, acéré",
        "ar-*a**ũ": "aiguisé",
        "ar-*a*a*a-i": "être tranchant, être furieux, s'emporter",
        "ar-*a*a*a-u": "aiguiser ; empêcher, limiter",
        "ar-*a*a*ũ": "obstacle ; refuge ; chose interdite ; invocation vaine",
        "ar-*a*²a*a": "aiguiser ; circonscrire ; rendre visite",
        "ar-*a*²â*ũ": "qui met obstacle ; geôlier ; porte de prison",
        "ar-*a*â*@ũ": "épouse",
        "ar-*a*î*ũ": "limitrophe ; tranchant ; fort ; fer, cuirasse",
        "ar-*i**@ũ": "le tranchant ; l'acuité visuelle",
        "ar-*i*â*ũ": "deuil, vêtement de deuil",
        "ar-*u**@ũ": "reste d'eau ou de lait",
        "ar-*u**ũ": "séparé ; neutralisé",
        "ar-*u*²â*ũ": "aigü, tranchant, affilé",
        "ar-*u*â*ũ": "coupant ; violent ; courroucé",
        "ar-*â*a*a": "entraver ; combattre",
        "ar-*â*a*ũ": "aigü, affilé ; fort",
        "ar-a**a*a": "ôter ses ornements ; fixer des yeux",
        "ar-a**a*ũ": "qui a les dents pointues ; féroce",
        "ar-ma**a*ũ": "refuge",
        "ar-ma**û*ũ": "isolé ; borné ; neutralisé",
        "ar-mu**i*ũ": "qui prend le deuil",
        "ar-mu*ta*a*ũ": "irrité ; refuge",
        "ar-mu*â*a*@ũ": "limite ; démarcation",
        "ar-musta**a*ũ": "fer à aiguiser",
        "ar-n*a*a*a": "être aiguisé ; être en colère",
        "ar-sta**a*a": "aiguiser ; raser ; se mettre en colère",
        "ar-ta*a*²a*a": "être déterminé",
        "ar-ta*â*a*a": "se combattre",
    },  # 29
    "ar-HfZ": {
        "aa_sens": "garder",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "mémoire",
        "ar-*a*a*@ũ": "anges",
        "ar-*a*i*a-a": "garder",
        "ar-*a*²a*a": "faire apprendre",
        "ar-*a*î*@ũ": "colère",
        "ar-*a*î*ũ": "gardien",
        "ar-*i**@ũ": "colère",
        "ar-*i**ũ": "attention",
        "ar-*i*â*ũ": "esprit de famille",
        "ar-*ta*a*a": "retenir",
        "ar-*u*²â*ũ": "{{p}} gardiens",
        "ar-*â*a*a": "protéger",
        "ar-*â*i*ũ": "gardien",
        "ar-a**a*a": "provoquer",
        "ar-ma**û*ũ": "conservé",
        "ar-mu**i*@ũ": "injure",
        "ar-mu*â*a*@ũ": "conservation",
        "ar-mu*â*i*ũ": "gardien",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "retenir",
        "ar-ta*a*²a*a": "être prudent",
        "ar-ta*â*a*a": "",
    },  # 25
    "ar-Hjb": {
        "aa_sens": "voiler",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "exclusion",
        "ar-*a*a*@ũ": "extrémité de la hanche",
        "ar-*a*a*a-i": "cacher",
        "ar-*a*a*ũ": "respiration",
        "ar-*a*i*ũ": "colline",
        "ar-*a*²a*a": "séquestrer",
        "ar-*i*â*@ũ": "chambellan",
        "ar-*i*â*ũ": "voile",
        "ar-*ta*a*a": "être voilé",
        "ar-*â*a*a": "se cacher l'un à l'autre",
        "ar-*â*i*ũ": "sourcil",
        "ar-a**a*a": "",
        "ar-ma**û*ũ": "aveugle",
        "ar-mu*a*²a*ũ": "séparé par un rideau",
        "ar-n*a*a*a": "dévoiler",
        "ar-sta**a*a": "prendre pour chambellan",
        "ar-ta*a*²a*a": "être voilé",
        "ar-ta*â*a*a": "",
    },  # 21
    "ar-Hml": {
        "aa_sens": "porter",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "charge, attaque",
        "ar-*a**ũ": "fœtus ; grossesse",
        "ar-*a*a*@ũ": "{{p}} portants",
        "ar-*a*a*a-i": "porter",
        "ar-*a*a*ũ": "agneau",
        "ar-*a*²a*a": "faire porter",
        "ar-*a*²â*@ũ": "porteuse",
        "ar-*a*²â*ũ": "portefaix",
        "ar-*a*â*î": "vendeur de rafraichissements",
        "ar-*a*î*@ũ": "ceinturon",
        "ar-*a*î*ũ": "bâtard",
        "ar-*a*û*@ũ": "bête de somme",
        "ar-*a*û*ũ": "patient",
        "ar-*i**@ũ": "translation, transport",
        "ar-*i**ũ": "charge",
        "ar-*i*²â*ũ": "chargement",
        "ar-*i*â*@ũ": "ceinturon",
        "ar-*i*â*ũ": "rançon",
        "ar-*ta*a*a": "emporter",
        "ar-*u**@ũ": "translation, transport",
        "ar-*u**ânũ": "portage",
        "ar-*u**ũ": "portage",
        "ar-*u*û*@ũ": "charge, fardeau",
        "ar-*u*û*ũ": "{{p}} fruits",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "{{f}} portant",
        "ar-*â*i*ũ": "portant",
        "ar-a**a*a": "charger",
        "ar-a**â*ũ": "{{p}} fruits",
        "ar-ma**i*ũ": "porteur",
        "ar-ma**û*@ũ": "espèce de froment",
        "ar-ma**û*ũ": "porté",
        "ar-ma*â*i*iy²ũ": "fabricant de {{ar-mot|maHmilũ}}",
        "ar-ma*â*i*u": "{{p}} porteurs",
        "ar-mu**i*ũ": "qui a du lait",
        "ar-mu*a*i*ũ": "ceinturon ; racine",
        "ar-musta**i*ũ": "qui fait supporter",
        "ar-muta*a*²a*ũ": "qui porte, qui supporte",
        "ar-n*a*a*a": "être porté à",
        "ar-sta**a*a": "se charger ; charger",
        "ar-ta**î*ũ": "chargement",
        "ar-ta*a*²a*a": "se charger",
        "ar-ta*a*²u*ũ": "être chargé",
        "ar-ta*â*a*a": "oppresser",
        "ar-ti**â*ũ": "être chargé",
    },  # 47
    "ar-Hmr": {
        "aa_sens": "relatif à la couleur [[rouge]], excessif",
        "ar-**a*²a": "devenir rouge ; être excessif",
        "ar-**â*²a": "devenir très rouge",
        "ar-*a**â'u": "chaleur brûlante de midi ; étranger",
        "ar-*a*a*a-u": "écorcher",
        "ar-*a*a*ũ": "le fait de devenir rouge de colère",
        "ar-*a*i*a-a": "devenir rouge de colère",
        "ar-*a*²a*a": "traiter d'âne ; marquer en rouge",
        "ar-*a*²â*@ũ": "cheval non pur-sang",
        "ar-*a*²â*ũ": "muletier, caravanier",
        "ar-*a*â*@ũ": "intensité de la chaleur d'été",
        "ar-*a*î*ũ": "sangle de selle",
        "ar-*i*i*²ũ": "violent (pluie), excessif",
        "ar-*i*ya*u": "Himyar fils de Saba ; Himyarites",
        "ar-*i*â*@ũ": "ânesse, grosse pierre",
        "ar-*i*â*ũ": "âne",
        "ar-*u**@ũ": "couleur rouge ; intensité",
        "ar-*u*a*@ũ": "un tamarin",
        "ar-*u*a*ũ": "asphalte, tamarin",
        "ar-*u*²a*@ũ": "un de ces passereau à tête rouge",
        "ar-*u*²a*ũ": "sorte de passereau à tête rouge",
        "ar-*â*i*@ũ": "muletiers, caravaniers",
        "ar-a**a*a": "faire que quelque chose devienne rouge",
        "ar-a**a*iy²ũ": "rouge, tirant sur le rouge",
        "ar-a**a*ũ": "rouge",
        "ar-mi**a*ũ": "racloir à écorcher, avare",
        "ar-mu*a*²a*ũ": "cheval non pur-sang ; rôti",
        "ar-ta**î*ũ": "le fait de marquer en rouge",
        "ar-ta**û*ũ": "onagre",
        "ar-ta*a*ya*a": "parler le himyarite, être méchant",
        "ar-ta*a*²a*a": "se faire traiter d'âne ; se faire marquer en rouge",
        "ar-ya**û*ũ": "rouge ; onagre ; animal rouge",
    },  # 32
    "ar-Hqb": {
        "aa_sens": "sangle, retenue",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*ũ": "sangle",
        "ar-*a*i*a-a": "être retenu",
        "ar-*a*²a*a": "sangler",
        "ar-*a*î*@ũ": "bagage",
        "ar-*a*î*ũ": "qui vient ensuite",
        "ar-*i**@ũ": "année",
        "ar-*i*a*ũ": "réunion",
        "ar-*i*â*ũ": "ceinture",
        "ar-*ta*a*a": "mettre en réserve",
        "ar-*u**@ũ": "absence de vent",
        "ar-*u**ũ": "âge",
        "ar-*u*u*ũ": "âge",
        "ar-*â*a*a": "",
        "ar-a**a*a": "serrer, sangler",
        "ar-a**a*u": "à bande blanche",
        "ar-mu**a*ũ": "renard",
        "ar-mu**i*ũ": "en croupe",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "stocker",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 24
    "ar-HrF": {
        "aa_sens": "labour, sillon",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "champ cultivé",
        "ar-*a*a*a-u": "labourer",
        "ar-*a*²a*a": "faire labourer",
        "ar-*a*²â*ũ": "laboureur",
        "ar-*a*â*ũ": "entaille",
        "ar-*a*î*@ũ": "bénéfice",
        "ar-*i*â*ũ": "flèche grossière",
        "ar-*ta*a*a": "labourer",
        "ar-*u**@ũ": "sillon du gland",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "laboureur",
        "ar-a**a*a": "abîmer",
        "ar-el*a*i*u": "lion",
        "ar-mi**a*ũ": "tison",
        "ar-mi**â*ũ": "tison",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 22
    "ar-Hrm": {
        "aa_sens": "interdire",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "consécration",
        "ar-*a**@ũ": "patronage",
        "ar-*a**é": "femelle en chaleur",
        "ar-*a**ũ": "désespoir",
        "ar-*a*a*@ũ": "attraction sexuelle",
        "ar-*a*a*a-i": "prohiber",
        "ar-*a*a*ũ": "espace sacré",
        "ar-*a*i*@ũ": "prohibition",
        "ar-*a*i*a-a": "être interdit",
        "ar-*a*i*ũ": "échec",
        "ar-*a*u*a": "être sacré",
        "ar-*a*²a*a": "rendre sacré",
        "ar-*a*â*iy²@ũ": "{{p}} brigands",
        "ar-*a*â*iy²ũ": "brigand",
        "ar-*a*â*ũ": "ce qui est illicite",
        "ar-*a*î*@ũ": "femmes",
        "ar-*a*î*iy²ũ": "de femme",
        "ar-*a*î*ũ": "harem",
        "ar-*a*û*ũ": "femelle non fécondée",
        "ar-*i**@ũ": "désir sexuel",
        "ar-*i**ânũ": "déception",
        "ar-*i**ũ": "action illicite",
        "ar-*i*a*ũ": "interdiction",
        "ar-*i*â*@ũ": "conservation",
        "ar-*i*â*ũ": "légère couverture d'été",
        "ar-*i*î*ũ": "prohibition",
        "ar-*ta*a*a": "être vénérable",
        "ar-*ti*â*ũ": "respect",
        "ar-*u**@ũ": "chose sacrée",
        "ar-*u**ũ": "chose sacrée",
        "ar-*u*a*@ũ": "chose sacrée",
        "ar-*u*a*âtũ": "{{p}} choses sacrées",
        "ar-*u*a*ũ": "{{p}} choses sacrées",
        "ar-*u*i*a": "être frustré",
        "ar-*u*u*@ũ": "précepte divin",
        "ar-*u*u*ũ": "femmes",
        "ar-*u*â*é": "{{p}} femelles en chaleur",
        "ar-*u*û*ũ": "excommunication",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "respecté",
        "ar-a**a*a": "déclarer illicite",
        "ar-a**â*ũ": "{{p}} espaces sacrés",
        "ar-ma**a*ũ": "interdit",
        "ar-ma**u*@ũ": "femme",
        "ar-ma**û*ũ": "repoussé",
        "ar-ma*â*i*u": "{{p}} [[mouharram]]s",
        "ar-ma*â*i*ũ": "{{p}} interdits",
        "ar-ma*â*î*u": "{{p}} [[mouharram]]s",
        "ar-mu**a*@ũ": "femme",
        "ar-mu**a*ũ": "défendu",
        "ar-mu**i*ũ": "en trêve",
        "ar-mu*a*²a*ũ": "inviolable",
        "ar-mu*ta*a*ũ": "respecté",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "juger interdit",
        "ar-ta**î*ũ": "prohibition",
        "ar-ta*a*²a*a": "être inviolable",
        "ar-ta*a*²u*@ũ": "vie de brigand",
        "ar-ta*â*a*a": "",
    },  # 62
    "ar-Hrr": {
        "aa_sens": "chaleur ou liberté",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "pays rocailleux",
        "ar-*a**ânu": "altéré de soif",
        "ar-*a**âtũ": "{{p}} pays rocailleux",
        "ar-*a**é": "{{f}} altérée de soif",
        "ar-*a**ũ": "chaleur",
        "ar-*a*i*a-a": "être chaud",
        "ar-*a*²a*a": "affranchir",
        "ar-*a*²â*ũ": "tisseur de soie",
        "ar-*a*â'i*ũ": "{{p}} vents chauds",
        "ar-*a*â*@ũ": "chaleur",
        "ar-*a*â*iy²@ũ": "calorie",
        "ar-*a*â*iy²ũ": "thermique",
        "ar-*a*â*é": "{{p}} altérés de soif",
        "ar-*a*â*ũ": "fait d'être libre",
        "ar-*a*î*@ũ": "bouillie",
        "ar-*a*î*iy²ũ": "marchand de soie",
        "ar-*a*î*ũ": "échauffé",
        "ar-*a*û*@ũ": "de bonne naissance",
        "ar-*a*û*ũ": "vent chaud",
        "ar-*i**@ũ": "soif violente",
        "ar-*i*â*ũ": "{{p}} altérés de soif",
        "ar-*ta*a*a": "s’enflammer",
        "ar-*u**@ũ": "{{f}} vertueuse",
        "ar-*u**iy²@ũ": "liberté",
        "ar-*u**ũ": "bien né",
        "ar-*u*ay*@ũ": "calorie",
        "ar-*u*û*ũ": "chaleur",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "rue",
        "ar-*â*i*ũ": "chaud",
        "ar-a**a*a": "être chaud",
        "ar-a**a*u": "plus chaud",
        "ar-ma**û*ũ": "échauffé",
        "ar-mi**a*ũ": "installation de chauffage",
        "ar-mi**â*ũ": "thermomètre",
        "ar-mu**a*ũ": "qui a des chameaux assoiffés",
        "ar-mu*a*²a*ũ": "tracé",
        "ar-mu*a*²i*ũ": "écrivain",
        "ar-muta*a*²i*ũ": "émancipé",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "être ardent",
        "ar-ta**î*iy²ũ": "libérateur",
        "ar-ta**î*ũ": "libération",
        "ar-ta*a*²a*a": "être exempté",
        "ar-ta*â*a*a": "",
        "ar-ta*â*î*u": "{{p}} vêtements de soie",
    },  # 48
    "ar-Hsb": {
        "aa_sens": "estimer",
        "ar-**a*²a": "être de poil tricolore",
        "ar-*a**ũ": "qui suffit",
        "ar-*a*a*a-u": "énumérer ; suffire",
        "ar-*a*a*ũ": "nombre",
        "ar-*a*i*a-a": "supposer",
        "ar-*a*u*a": "être considéré",
        "ar-*a*²a*a": "contenter",
        "ar-*i**@ũ": "compte, salaire",
        "ar-*i**ânũ": "opinion",
        "ar-*i*â*ũ": "calcul",
        "ar-*ta*a*a": "imputer",
        "ar-*u**ânũ": "châtiment, malheur",
        "ar-*â*a*a": "régler ses comptes",
        "ar-*â*a*ũ": "calculateur",
        "ar-*â*i*ũ": "qui compte",
        "ar-a**a*a": "satisfaire",
        "ar-a**a*u": "plus estimé",
        "ar-ma**û*ũ": "compte",
        "ar-mi**a*@ũ": "petit coussin",
        "ar-mu*a*²a*ũ": "honoré",
        "ar-mu*ta*i*ũ": "contrôleur des mesures",
        "ar-mu*â*i*ũ": "comptable",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "inhumation",
        "ar-ta*a*²a*a": "prendre des renseignements",
        "ar-ta*â*a*a": "",
    },  # 28
    "ar-Hsn": {
        "aa_sens": "relatif à l'idée de beauté, de bonté",
        "ar-**â*ũ": "bienfait, bienfaisance",
        "ar-*a**â'u": "({{f}}) belle femme, jolie femme",
        "ar-*a*a*a-u": "être beau ou bon (à un instant donné)",
        "ar-*a*a*ã": "bien",
        "ar-*a*a*ũ": "Hassan ; beau, bon",
        "ar-*a*u*a": "être beau ou bon (en permanence)",
        "ar-*a*²a*a": "embellir ; déclarer comme beau ; créer de la beauté",
        "ar-*a*²û*ũ": "petit oiseau du genre des passereaux, à plumage rouge, jaune, vert et bleu",
        "ar-*i**@ũ": "salaire, prix du travail",
        "ar-*u**é": "ce qui est beau moralement",
        "ar-*u**ũ": "beauté, bonté, adresse",
        "ar-*u*a*ũ": "parties du corps bien conformées, belles formes",
        "ar-*u*ay*â'u": "arbre dont les feuilles sont très petites",
        "ar-*u*ay*â@u": "c'est de son mieux",
        "ar-*u*ay*ũ": "Husseyn",
        "ar-*u*²â*ũ": "très beau, très bon",
        "ar-*u*â*ũ": "ce qui est habituellement et constamment beau",
        "ar-*â*a*a": "bien traiter ; rivaliser en beauté avec quelqu'un",
        "ar-*â*i*ũ": "beau",
        "ar-a**a*a": "faire devenir beau, faire le bien",
        "ar-a**a*u": "plus beau, meilleur",
        "ar-ma*â*i*u": "bonnes actions, belles qualité, beauté",
        "ar-mi**â*ũ": "bienfaisant",
        "ar-mu**i*ũ": "qui fait bien quelque chose ; qui fait du bien, bienfaisant, généreux",
        "ar-mu*a*²a*ũ": "beau (visage)",
        "ar-sta**a*a": "trouver beau et bon ; approuver, louer",
        "ar-ta**î*ũ": "le fait de créer de la beauté",
        "ar-ta*a*²a*a": "s'améliorer",
        "ar-u*ay*i*a": "rendre un peu beau",
    },  # 30
    "ar-RVw": {
        "aa_sens": "nourrir",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "nourrir",
        "ar-*a*a*iy²ũ": "chevreau",
        "ar-*a*a*ânũ": "vif",
        "ar-*a*i*iy²ũ": "chevreau",
        "ar-*a*²a*a": "nourrir",
        "ar-*i*â*iy²ũ": "alimentaire",
        "ar-*i*â*ũ": "aliment",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "jeter à terre",
        "ar-ta**i*@ũ": "nutrition",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 18
    "ar-RVy": {
        "aa_sens": "nourrir",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "nourrir",
        "ar-*a*²a*a": "nourrir",
        "ar-*i*â*ũ": "aliment",
        "ar-*ta*a*a": "se nourrir",
        "ar-*u*a*ũ": "urine",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "nutrition",
        "ar-*â*i*ũ": "nourrisseur",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*@ũ": "alimentation",
        "ar-ta*a*²a*a": "se nourrir",
        "ar-ta*â*a*a": "",
    },  # 17
    "ar-Rdw": {
        "aa_sens": "aube",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "matin",
        "ar-*a*a*@ũ": "matinée",
        "ar-*a*a*a-u": "venir le matin",
        "ar-*a*a*iy²ũ": "futur",
        "ar-*a*a*âtũ": "{{p}} matinées",
        "ar-*a*a*ũ": "demain",
        "ar-*a*i*a-a": "déjeuner",
        "ar-*a*i*iy²@ũ": "matinée",
        "ar-*a*i*iy²ũ": "de demain",
        "ar-*a*²a*a": "nourrir",
        "ar-*a*â*ũ": "déjeuner",
        "ar-*awâ*i*u": "{{f}} {{p}} matinales",
        "ar-*ta*a*a": "venir le matin",
        "ar-*u**@ũ": "matinée",
        "ar-*u*ay*@ũ": "grand matin",
        "ar-*u*û*ũ": "{{p}} matinées",
        "ar-*â*a*a": "venir le matin",
        "ar-*â*i*@ũ": "{{f}} matinale",
        "ar-*â*i*ũ": "matinal",
        "ar-a**a*a": "",
        "ar-a**i*@ũ": "{{p}} déjeuners",
        "ar-ma**a*@ũ": "lieu où l’on vient",
        "ar-ma**a*ũ": "lieu où l’on vient",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "déjeuner",
        "ar-ta*a*²a*a": "déjeuner",
        "ar-ta*â*a*a": "",
    },  # 30
    "ar-RmRm": {
        "aa_sens": "grogner",
        "ar-*a**a*@ũ": "murmure",
        "ar-*a**a*a": "mugir",
        "ar-ta*a**a*a": "marmonner",
    },  # 4
    "ar-Rrf": {
        "aa_sens": "puiser",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "cuillerée",
        "ar-*a**ũ": "le fait de puiser",
        "ar-*a*a*a-i": "couper",
        "ar-*a*a*a-u": "puiser",
        "ar-*a*a*ũ": "plante épineuse verte",
        "ar-*a*i*a-a": "avoir mal au ventre",
        "ar-*a*²a*a": "",
        "ar-*a*²a*ũ": "abondant",
        "ar-*a*î*@ũ": "semelle",
        "ar-*a*î*ũ": "chênaie",
        "ar-*a*û*ũ": "peu profond",
        "ar-*i**@ũ": "semelle",
        "ar-*i*â*@ũ": "contenu d'une main",
        "ar-*i*â*ũ": "grand gobelet",
        "ar-*ta*a*a": "prendre à la cuillère",
        "ar-*u**@ũ": "chambre",
        "ar-*u*u*ũ": "petit gobelet",
        "ar-*u*â*@ũ": "contenu d'une main",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "toupet",
        "ar-*â*i*ũ": "qui coupe",
        "ar-a**a*a": "",
        "ar-mi**a*@ũ": "cuillère",
        "ar-mi**a*ũ": "courant vite",
        "ar-mu*ay*i*@ũ": "petite cuillère",
        "ar-n*a*a*a": "être coupé",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "dépouiller",
        "ar-ta*â*a*a": "",
    },  # 32
    "ar-Rwl": {
        "aa_sens": "emporter",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ânũ": "mimosa",
        "ar-*a**ũ": "mal de tête",
        "ar-*a*a*a-u": "emporter",
        "ar-*a*²a*a": "",
        "ar-*a*î*@ũ": "inconvénient",
        "ar-*a*î*ũ": "qui fond sur quelqu'un",
        "ar-*i**@ũ": "attaque soudaine",
        "ar-*ta*a*a": "assassiner",
        "ar-*u**ũ": "[[goule]]",
        "ar-*u*ay*iy²@ũ": "grand malheur",
        "ar-*u*²a*ũ": "confortable",
        "ar-*â*a*a": "se dépêcher",
        "ar-a**a*a": "faire mourir",
        "ar-a**a*u": "délicat",
        "ar-ma**a*@ũ": "malheur",
        "ar-mi*Wa3ũ": "stylet",
        "ar-mu*â*i*ũ": "pressé",
        "ar-muta*â*i*ũ": "très rapide",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "devenir méconnaissable",
        "ar-ta*a*²a*a": "s'infiltrer",
        "ar-ta*â*a*a": "chercher à s'enlever mutuellement",
    },  # 25
    "ar-Rzl": {
        "aa_sens": "embobiner, marivauder",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "fil de coton",
        "ar-*a*a*a-i": "filer",
        "ar-*a*a*iy²ũ": "amoureux",
        "ar-*a*a*ũ": "propos galant",
        "ar-*a*i*a-a": "faire la cour",
        "ar-*a*i*ũ": "galant",
        "ar-*a*²a*a": "",
        "ar-*a*²â*@ũ": "araignée",
        "ar-*a*²â*ũ": "fileur",
        "ar-*a*â*@ũ": "{{f}} gazelle",
        "ar-*a*â*ũ": "gazelle",
        "ar-*a*î*ũ": "géranium",
        "ar-*awâ*i*u": "{{p}} fileuses",
        "ar-*i**@ũ": "{{p}} gazelles",
        "ar-*i**ânũ": "{{p}} gazelles",
        "ar-*ta*a*a": "filer",
        "ar-*u*ay*ũ": "délicat",
        "ar-*u*²a*ũ": "{{p}} fileuses",
        "ar-*â*a*a": "faire la cour",
        "ar-*â*i*ũ": "qui file",
        "ar-a**a*a": "faire tourner le fuseau",
        "ar-a**a*u": "poète érotique",
        "ar-ma**a*ũ": "fuseau",
        "ar-ma**i*iy²ũ": "tourneur",
        "ar-ma**i*ũ": "filature",
        "ar-ma**û*ũ": "filé",
        "ar-ma*â*i*u": "fuseau",
        "ar-mi**a*ũ": "fuseau",
        "ar-mu**a*ũ": "fuseau",
        "ar-mu**i*ũ": "qui a un petit",
        "ar-mu*ta*a*ũ": "ficelle",
        "ar-mu*â*a*@ũ": "flirt",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "faire la cour",
        "ar-ta*a*²u*ũ": "flirt",
        "ar-ta*â*a*a": "causer d'amour",
    },  # 40
    "ar-SHH": {
        "aa_sens": "correct, santé",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-a": "être correct",
        "ar-*a*²a*a": "corriger",
        "ar-*a*â*ũ": "entier, intègre",
        "ar-*a*î*ũ": "bien portant",
        "ar-*i**@ũ": "bonne santé",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "guérir",
        "ar-ma**a*@ũ": "bon pour la santé",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "trouver régulier",
        "ar-ta**î*ũ": "correction",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 17
    "ar-SRr": {
        "aa_sens": "petit, humble, méprisable",
        "ar-*a**ũ": "dédain, affront",
        "ar-*a*a*a-u": "être cadet, moins âgé",
        "ar-*a*i*a-a": "être petit, pas cher, méprisé",
        "ar-*a*u*a": "se faire petit, humble",
        "ar-*a*²a*a": "rendre petit, amoindrir, humilier",
        "ar-*a*â*@ũ": "petitesse, de peu d'importance",
        "ar-*a*â*ũ": "mépris, impuissance",
        "ar-*a*î*ũ": "petit, chétif",
        "ar-*i**@ũ": "petit, petites gens",
        "ar-*i**ũ": "petitesse, bas âge",
        "ar-*u**â'u": "({{f}}) la petite, la mineure",
        "ar-*u**ânu": "petit",
        "ar-*u*ay²i*ũ": "tout petit",
        "ar-*u*ay²î*ũ": "tout petitou",
        "ar-*u*â*ũ": "petit, chétif",
        "ar-*â*i*ũ": "humble d'esprit",
        "ar-a**a*a": "faire petitement, amoindrir, humilier",
        "ar-a**a*u": "le plus petit",
        "ar-mu**i*ũ": "qui rapetisse, qui fait en petit",
        "ar-mu*a*²a*@ũ": "forme de diminutif",
        "ar-sta**a*a": "considérer comme petit, mépriser",
        "ar-ta**î*ũ": "diminutif",
        "ar-ta*â*a*a": "paraître ou se sentir petit",
    },  # 24
    "ar-Sdr": {
        "aa_sens": "source, poitrail, prééminence",
        "ar-**a*²a": "",
        "ar-**â*ũ": "émanation",
        "ar-*a**iy²@ũ": "chemisette",
        "ar-*a**ũ": "partie antérieure",
        "ar-*a*a*a-u": "émaner",
        "ar-*a*a*ũ": "retour",
        "ar-*a*²a*a": "placer en tête",
        "ar-*a*â*@ũ": "haute vallée",
        "ar-*a*î*@ũ": "haute vallée",
        "ar-*i*â*ũ": "gilet",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "poitrine",
        "ar-*u*a*ũ": "{{p}} poitrines",
        "ar-*â*a*a": "contraindre",
        "ar-*â*i*ũ": "qui revient",
        "ar-a**a*a": "émettre",
        "ar-a**a*u": "à large poitrine",
        "ar-ma**a*iy²ũ": "de nom d'action",
        "ar-ma**a*ũ": "résultat, origine",
        "ar-ma**û*ũ": "blessé à la poitrine",
        "ar-mu**i*ũ": "qui fait paraître",
        "ar-mu*a*²a*ũ": "fort de poitrine",
        "ar-mu*â*a*@ũ": "contrainte",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "sangle de poitrail",
        "ar-ta*a*²a*a": "avoir la préséance",
        "ar-ta*â*a*a": "",
    },  # 29
    "ar-Sfr": {
        "aa_sens": "jaune ; vide ; sifflet",
        "ar-**a*²a": "être jaune ; être noir",
        "ar-**i3â3ũ": "pâleur",
        "ar-**â*²a": "être très jaune ; être très noir",
        "ar-*a**@ũ": "faim",
        "ar-*a**â'u": "abeille",
        "ar-*a**ũ": "vide, zéro ; cuivre",
        "ar-*a*a*a-i": "siffler",
        "ar-*a*a*iy²@ũ": "automne",
        "ar-*a*a*iy²ũ": "automne",
        "ar-*a*a*ũ": "jaunisse ; faim ; Safer",
        "ar-*a*i*a-a": "être vide",
        "ar-*a*i*ũ": "vide",
        "ar-*a*²a*a": "siffler ; jaunir ; vider",
        "ar-*a*²â*@ũ": "cul ; sifflet",
        "ar-*a*²â*ũ": "sifflet ; artisan en cuivre",
        "ar-*a*â*ũ": "herbe sèche",
        "ar-*a*î*@ũ": "dune",
        "ar-*a*î*ũ": "sifflement ; saphir",
        "ar-*i**ũ": "vide, zéro ; cuivre",
        "ar-*i*â*ũ": "débris interdentaire",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "jaune verdâtre",
        "ar-*u**iy²@ũ": "datte verte",
        "ar-*u**ũ": "vide, zéro ; cuivre ; or",
        "ar-*u*ay*ũ": "''cassia sophera''",
        "ar-*u*i*a": "être très bileux",
        "ar-*u*u*ũ": "vide",
        "ar-*u*â*@ũ": "herbe fanée",
        "ar-*u*â*iy²@ũ": "oiseau jaune",
        "ar-*u*â*ũ": "sifflement ; bile",
        "ar-*u*û*ũ": "vacuité",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "siffleur",
        "ar-a**a*a": "être vide ; vider",
        "ar-a**a*u": "plus vide",
        "ar-a**a*ũ": "jaune ; siffleur",
        "ar-ma**û*ũ": "affamé",
        "ar-mu**i*ũ": "pauvre",
        "ar-mu*a*²a*ũ": "affamé",
        "ar-mu*a*²i*@ũ": "jaune",
        "ar-mu*a*²i*ũ": "qui siffle",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "le fait de faire Sfr",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 47
    "ar-Slb": {
        "aa_sens": "dur",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "crucifixion",
        "ar-*a*a*a-i": "crucifier",
        "ar-*a*a*a-u": "brûler",
        "ar-*a*a*ũ": "moelle",
        "ar-*a*i*a-a": "être dur",
        "ar-*a*u*a": "être robuste",
        "ar-*a*²a*a": "mettre en croix",
        "ar-*a*â*@ũ": "force",
        "ar-*a*î*iy²ũ": "croisé",
        "ar-*a*î*ũ": "croix",
        "ar-*ta*a*a": "tirer la moelle",
        "ar-*u**iy²@ũ": "pierre à aiguiser",
        "ar-*u**iy²ũ": "pointu",
        "ar-*u**ũ": "dur",
        "ar-*u*²a*ũ": "pierre à aiguiser",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "reins",
        "ar-a**a*a": "lever la tête",
        "ar-ma**û*ũ": "crucifié",
        "ar-mu*a*i*ũ": "desséché",
        "ar-mu*a*²a*ũ": "mis en croix",
        "ar-muta*a*²i*ũ": "inflexible",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "crucifixion",
        "ar-ta*a*²a*a": "se durcir",
        "ar-ta*a*²u*ũ": "durcissement",
        "ar-ta*â*a*a": "",
    },  # 31
    "ar-Sn3": {
        "aa_sens": "faire, fabriquer",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*Ta*a*a": "travailler artistiquement",
        "ar-*Ti*â*ũ": "affectation",
        "ar-*a**@ũ": "art",
        "ar-*a**â'iy²ũ": "de Sana'a",
        "ar-*a**â'u": "Sana'a",
        "ar-*a**é": "{{p}} habiles",
        "ar-*a**ũ": "production",
        "ar-*a*a*a-a": "faire",
        "ar-*a*a*é": "{{p}} habiles",
        "ar-*a*a*ũ": "habile",
        "ar-*a*i*ũ": "habile",
        "ar-*a*²a*a": "arranger",
        "ar-*a*â*ũ": "habile",
        "ar-*a*âyi*u": "{{p}} arts",
        "ar-*a*î*@ũ": "ouvrage",
        "ar-*a*î*ũ": "œuvre",
        "ar-*i**ũ": "habile",
        "ar-*i*â*@ũ": "métier",
        "ar-*i*â*iy²ũ": "artificiel",
        "ar-*u**é": "{{p}} habiles",
        "ar-*u**ũ": "action",
        "ar-*u*²â*ũ": "{{p}} ouvriers",
        "ar-*â*a*a": "cajoler",
        "ar-*â*i*ũ": "artisan",
        "ar-a**a*a": "aider",
        "ar-a**â*ũ": "{{p}} habiles",
        "ar-ma**a*@ũ": "banquet",
        "ar-ma**a*ũ": "édifice",
        "ar-ma**u*@ũ": "édifice",
        "ar-ma**û*ũ": "artificiel",
        "ar-ma*â*i*u": "{{p}} ouvrages",
        "ar-mu*â*a*@ũ": "cajoler",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "faire faire",
        "ar-ta*a*²a*a": "s'arranger",
        "ar-ta*â*a*a": "",
    },  # 39
    "ar-Sqr": {
        "aa_sens": "fendre, brûler",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*²a": "être aigre",
        "ar-*a**@ũ": "un peu de lait aigre",
        "ar-*a**ũ": "faucon",
        "ar-*a*a*@ũ": "reste d'eau salie",
        "ar-*a*a*a-a": "tailler la pierre",
        "ar-*a*a*ũ": "miel",
        "ar-*a*i*ũ": "sucré",
        "ar-*a*²a*a": "allumer le feu",
        "ar-*a*²â*ũ": "fauconnier",
        "ar-*aw*a*ũ": "grand marteau",
        "ar-*ta*a*a": "",
        "ar-*u*a*ũ": "mensonge",
        "ar-*u*â*é": "mensonge",
        "ar-*u*û*ũ": "{{p}} faucon",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "calamité",
        "ar-*â*i*ũ": "qui brise",
        "ar-*â*û*@ũ": "voûte crânienne",
        "ar-*â*û*ũ": "grande hache",
        "ar-a**a*a": "produire une chaleur intense",
        "ar-a**a*u": "plus sucré",
        "ar-a**u*ũ": "{{p}} faucon",
        "ar-mu*a*²a*ũ": "sucré et amolli",
        "ar-n*a*a*a": "s'allumer",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 30
    "ar-Swt": {
        "aa_sens": "son, voix",
        "ar-*a**ũ": "son ; cri de détresse ; voix ; renommée",
        "ar-*a*a*a-u": "se faire entendre ; pousser un cri",
        "ar-*a*a*ũ": "doté d'une bonne voix ; qui pousse un cri",
        "ar-*a*²a*a": "rendre un son ; appeler quelqu'un",
        "ar-*a*²i*ũ": "doté d'une voix retentissante et sonore",
        "ar-*a*î*ũ": "doté d'une voix retentissante et sonore",
        "ar-*i**@ũ": "bonne réputation",
        "ar-*i**ũ": "renommée ; marteau ; fourbisseur de métal",
        "ar-a**a*a": "rendre un son ; appeler quelqu'un",
        "ar-a**â*ũ": "(pl) voix, cris de détresse, renommées",
        "ar-mi**â*ũ": "qui produit un son",
        "ar-n*a*a*a": "être appelé ; répondre à un appel ; rebrousser chemin",
        "ar-n*i*â*ũ": "le fait de répondre à un appel",
        "ar-ta**î*ũ": "le fait de pousser un cri",
    },  # 15
    "ar-Syf": {
        "aa_sens": "été, chaleur",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*Ta*a*a": "passer l'été",
        "ar-*a**@ũ": "été",
        "ar-*a**iy²ũ": "estival",
        "ar-*a**ũ": "été",
        "ar-*a*a*a-i": "passer l'été",
        "ar-*a*i*ũ": "chaud",
        "ar-*a*²a*a": "suffire pour l'été",
        "ar-*a*²i*ũ": "pluie d'été",
        "ar-*a*î*@ũ": "chaude",
        "ar-*a*î*ũ": "chaud",
        "ar-*u*i*a": "recevoir une pluie d'été",
        "ar-*â*a*a": "contracter pour l'été",
        "ar-a**a*a": "entrer en été",
        "ar-ma**i*ũ": "campement d'été",
        "ar-ma**û*ũ": "arrosé par une pluie d'été",
        "ar-mi**â*ũ": "arrosé en été",
        "ar-mu*Ta*a*ũ": "résidence d'été",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "passer l'été",
        "ar-ta*â*a*a": "",
    },  # 24
    "ar-T3m": {
        "aa_sens": "manger, avaler",
        "ar-*a**ũ": "goût, saveur ; appétit",
        "ar-*a*i*a-a": "manger, greffer",
        "ar-*a*²a*a": "greffer",
        "ar-*a*â*ũ": "nourriture, subsistances",
        "ar-*a*î*ũ": "bien nourri et gras",
        "ar-*a*û*@ũ": "(brebis) qui est à l'engrais",
        "ar-*a*û*ũ": "à l'engrais",
        "ar-*i**@ũ": "manière de manger ; régime ; (fig) manière de gagner sa vie",
        "ar-*ta*a*a": "être tout à fait mûr ; (fig.) complètement formé",
        "ar-*u**@ũ": "aliment ; amorce, appât",
        "ar-*u**ũ": "nourriture, manger ; satiété",
        "ar-*u*û*ũ": "bien nourri et gras",
        "ar-*â*a*a": "béqueter (se dit de pigeons)",
        "ar-*â*i*ũ": "rassasié ; (fig) qui a de quoi vivre",
        "ar-a**a*a": "nourrir qq de qqch ; greffer ; amorcer",
        "ar-ma**a*ũ": "lieu où l'on mange",
        "ar-mi**a*ũ": "glouton",
        "ar-mi**â*ũ": "très hospitalier, qui donne bien à manger",
        "ar-mu**a*@ũ": "friandise",
        "ar-mu**a*ũ": "nourri, (fig) qui a de quoi vivre",
        "ar-mu**i*@ũ": "{{f}} qui nourrit ; arc",
        "ar-mu**i*ũ": "qui nourrit, qui donne à manger",
        "ar-mu*a*²a*ũ": "bon à manger",
        "ar-mu*a*²i*ũ": "bon à manger",
        "ar-mu*â*a*@ũ": "(nv-iii) le fait de se béqueter",
        "ar-musta**a*ũ": "lèvres du cheval",
        "ar-sta**a*a": "demander à manger qqch",
        "ar-ta**î*ũ": "(nv-ii) le fait de greffer",
        "ar-ta*a*²a*a": "goûter, savourer",
        "ar-ta*â*a*a": "se béqueter",
    },  # 31
    "ar-THlb": {
        "aa_sens": "algue",
        "ar-*a**a*@ũ": "être couvert de mousse",
        "ar-*a**a*a": "être couvert de mousse",
        "ar-*a**a*ũ": "algue",
        "ar-*i**i*@ũ": "poil",
        "ar-*i**i*ũ": "algue, poils",
        "ar-*u**u*ũ": "algue",
        "ar-mu*a**a*ũ": "couvert de mousse",
        "ar-mu*a**i*ũ": "couvert de mousse",
    },  # 9
    "ar-Thr": {
        "aa_sens": "pureté",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "écarter, être pur",
        "ar-*a*i*ũ": "pur",
        "ar-*a*u*a": "être en état de pureté",
        "ar-*a*²a*a": "purifier",
        "ar-*a*â*@ũ": "propreté",
        "ar-*a*û*ũ": "détergent",
        "ar-*i**ânũ": "Téhéran",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "pureté",
        "ar-*u**ũ": "état de pureté",
        "ar-*²a*a*a": "se purifier",
        "ar-*â*a*a": "purifier, circoncire",
        "ar-*â*i*@ũ": "{{f}} pure",
        "ar-*â*i*ũ": "pur",
        "ar-a**a*a": "",
        "ar-a**â*ũ": "{{p}} purs",
        "ar-ma**a*@ũ": "toilettes",
        "ar-ma**a*ũ": "purgatoire",
        "ar-ma*â*i*u": "{{p}} toilettes",
        "ar-mu*a*²a*ũ": "immaculé",
        "ar-mu*a*²i*ũ": "désinfectant",
        "ar-muta*a*²i*ũ": "qui affecte la pureté",
        "ar-muta*â*i*ũ": "qui doit être purifié",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*iy²ũ": "détergent",
        "ar-ta**î*ũ": "purification",
        "ar-ta*a*²a*a": "se purifier",
        "ar-ta*â*a*a": "",
    },  # 31
    "ar-Tll": {
        "aa_sens": "déverser, rendre humide, douceur",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "air doux",
        "ar-*a**â'u": "sang versé impunément",
        "ar-*a**ũ": "déversement",
        "ar-*a*a*a-i": "déverser",
        "ar-*a*a*ũ": "surface marquée",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "",
        "ar-*a*â*@ũ": "forme extérieure",
        "ar-*a*î*ũ": "douceur",
        "ar-*i**â'ũ": "vin suave",
        "ar-*i**ũ": "serpent",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "gorge, gorgée",
        "ar-*u**â'u": "croûte sanguine",
        "ar-*u**ũ": "lait, sang",
        "ar-*â*a*a": "",
        "ar-a**a*a": "paraître sur une hauteur",
        "ar-ma**û*ũ": "déversé",
        "ar-mu**i*ũ": "incertain ; donnant sur",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "voir d'en haut",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "s'allonger pour voir au loin",
    },  # 26
    "ar-Twb": {
        "aa_sens": "brique, adobe",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "",
        "ar-*a*²â*ũ": "fabricant de briques",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "brique",
        "ar-*u**ũ": "briques",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 14
    "ar-Twf": {
        "aa_sens": "tourner autour, fragment",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "radeau d'outres",
        "ar-*a*a*a-u": "tourner autour",
        "ar-*a*a*ũ": "qui tourne",
        "ar-*a*²a*a": "circuler",
        "ar-*a*²â*ũ": "qui tourne",
        "ar-*a*â*ũ": "fragment",
        "ar-*u**ân@ũ": "coup de tempête",
        "ar-*u**ânũ": "sinistre",
        "ar-*u**ũ": "laine du cou",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "troupe",
        "ar-*â*i*ũ": "qui tourne",
        "ar-a**a*a": "tourner autour",
        "ar-ma**a*ũ": "lieu où l'on tourne",
        "ar-mu*a*²i*ũ": "cicerone",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "faire des rondes",
        "ar-ta*a*²a*a": "tourner autour",
        "ar-ta*â*a*a": "",
    },  # 22
    "ar-Tyr": {
        "aa_sens": "s'envoler, augure",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "légèreté",
        "ar-*a**iy²ũ": "aviaire",
        "ar-*a**ũ": "oiseau",
        "ar-*a*3û3@ũ": "inconstance",
        "ar-*a*a*a-i": "voler",
        "ar-*a*²a*a": "faire s'envoler",
        "ar-*a*²â*@ũ": "navire bon marcheur",
        "ar-*a*²â*ũ": "constamment volant",
        "ar-*a*²û*ũ": "remuant",
        "ar-*a*î*ũ": "oiseau",
        "ar-*i**@ũ": "mauvais augure",
        "ar-*i*a*@ũ": "mauvais augure",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "mauvais augure",
        "ar-*u*û*iy²ũ": "marchand d'oiseau",
        "ar-*u*û*ũ": "{{p}} oiseaux",
        "ar-*â*a*a": "faire voler",
        "ar-a**a*a": "dissiper",
        "ar-ma**a*@ũ": "abondant en oiseaux",
        "ar-ma**a*ũ": "vif ; volière",
        "ar-mu**a*ũ": "que l'on fait voler",
        "ar-mu*a*²a*ũ": "dessiné d'oiseaux",
        "ar-musta**a*ũ": "lancé à pleine vitesse",
        "ar-musta**i*ũ": "éparpillé",
        "ar-n*a*a*a": "être fendu",
        "ar-sta**a*a": "prendre sa volée",
        "ar-ta*a*²a*a": "mal augurer",
        "ar-ta*â*a*a": "tourbillonner",
    },  # 30
    "ar-V'b": {
        "aa_sens": "loup, toupet",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-a": "rassembler",
        "ar-*a*i*a-a": "ressembler à un loup",
        "ar-*a*u*a": "ressembler à un loup",
        "ar-*a*²a*a": "coiffer en toupet",
        "ar-*a*â*@ũ": "crainte des loups",
        "ar-*i**@ũ": "louve",
        "ar-*i**ũ": "loup",
        "ar-*ta*a*a": "",
        "ar-*u*â*@ũ": "toupet",
        "ar-*â*a*a": "",
        "ar-a**a*a": "coiffer en toupet",
        "ar-ma**û*ũ": "éprouvé par le loup",
        "ar-mu*a*²a*ũ": "coiffé en toupet",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "ressembler à un loup",
        "ar-ta*a*²a*a": "être affreux",
        "ar-ta*â*a*a": "",
    },  # 20
    "ar-Vhb": {
        "aa_sens": "or, partir",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*@ũ": "parcelle d'or",
        "ar-*a*a*a-a": "s'en aller",
        "ar-*a*a*iy²ũ": "d'or",
        "ar-*a*a*ũ": "or",
        "ar-*a*i*a-a": "être ébahi par l'or",
        "ar-*a*u*a": "être ébahi par l'or",
        "ar-*a*²a*a": "dorer",
        "ar-*a*â*ũ": "départ",
        "ar-*a*î*ũ": "doré",
        "ar-*a*û*ũ": "qui s'en va",
        "ar-*i**@ũ": "pluie fine",
        "ar-*i*â*ũ": "{{p}} pluies",
        "ar-*ta*a*a": "",
        "ar-*u**ânũ": "{{p}} ors",
        "ar-*u*û*ũ": "départ",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "qui passe",
        "ar-a**a*a": "renvoyer",
        "ar-a**â*ũ": "{{p}} ors",
        "ar-ma**a*ũ": "conduite",
        "ar-ma**i*ũ": "suggestion du démon",
        "ar-ma*â*i*u": "{{p}} dorés",
        "ar-mu*a*²a*ũ": "doré",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
        "ar-tama**a*a": "embrasser une secte",
    },  # 31
    "ar-Vmm": {
        "aa_sens": "défectueux",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "blâme",
        "ar-*a*a*a-u": "blâmer",
        "ar-*a*²a*a": "mépriser",
        "ar-*a*î*@ũ": "faiblesse de jambe",
        "ar-*a*î*ũ": "blâmé",
        "ar-*i**@ũ": "protection",
        "ar-*i**iy²ũ": "protégé",
        "ar-*i**ũ": "maigri",
        "ar-*i*â*ũ": "devoir",
        "ar-*ta*a*a": "",
        "ar-*u*â*@ũ": "le peu qui reste",
        "ar-*â*a*a": "",
        "ar-a**a*a": "protéger",
        "ar-a**a*u": "plus blâmable",
        "ar-ma**a*@ũ": "blâme",
        "ar-ma**û*ũ": "blâmé",
        "ar-mi**a*ũ": "qui n'a pas la force de marcher",
        "ar-mu**i*ũ": "objet de reproches",
        "ar-mu*a*²a*@ũ": "action blâmable",
        "ar-mu*a*²a*ũ": "objet de reproches",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "mériter la censure",
        "ar-ta*a*²a*a": "considérer blâmable",
        "ar-ta*â*a*a": "se faire des reproches",
    },  # 27
    "ar-Vrr": {
        "aa_sens": "poudre",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "atome",
        "ar-*a**iy²@ũ": "atomisme",
        "ar-*a**iy²ũ": "atomique",
        "ar-*a**ũ": "{{g}} atomes",
        "ar-*a*a*a-u": "répandre de la poudre",
        "ar-*a*²a*a": "",
        "ar-*a*î*@ũ": "collyre",
        "ar-*a*û*iy²ũ": "de poudre",
        "ar-*a*û*ũ": "poudre",
        "ar-*i*â*ũ": "violente colère",
        "ar-*ta*a*a": "",
        "ar-*u**iy²@ũ": "postérité",
        "ar-*u**iy²ũ": "de la postérité",
        "ar-*u*ay*@ũ": "particule subatomique",
        "ar-*u*â*@ũ": "broyat",
        "ar-*â*a*a": "être méchant",
        "ar-a**a*a": "",
        "ar-a**i*@ũ": "{{p}} poudres",
        "ar-mi**a*@ũ": "semoir",
        "ar-mu*â*i*ũ": "méchant",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 26
    "ar-XSS": {
        "aa_sens": "sortant du lot commun",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "jet d'eau.",
        "ar-*a**ũ": "laitue",
        "ar-*a*a*a-u": "distinguer",
        "ar-*a*²a*a": "particulariser",
        "ar-*a*â*@ũ": "crevasse",
        "ar-*a*â*ũ": "hiatus",
        "ar-*a*î*@ũ": "spécialité",
        "ar-*i**ânũ": "maison du prince",
        "ar-*i**ũ": "défectueux, incomplet",
        "ar-*i*²î*ũ": "particulier",
        "ar-*ta*a*a": "appartenir en propre",
        "ar-*u**ũ": "hutte",
        "ar-*u*â*@ũ": "grappillage",
        "ar-*u*û*iy²ũ": "privé",
        "ar-*u*û*ũ": "ce qui est propre",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "spécialité",
        "ar-*â*i*iy²@ũ": "propriété",
        "ar-*â*i*ũ": "spécial",
        "ar-a**a*a": "faire moins que dû",
        "ar-a**a*u": "plus particulièrement",
        "ar-ma**û*ũ": "particulier",
        "ar-mu*a*²a*ũ": "déterminé",
        "ar-mu*ta*i*ũ": "particulier",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "accorder privilège",
        "ar-ta*a*²a*a": "être consacré à",
        "ar-ta*â*a*a": "",
    },  # 30
    "ar-Xbr": {
        "aa_sens": "apprendre",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "notification",
        "ar-*a**@ũ": "champ de [[lotier]]s",
        "ar-*a**â'u": "grand sac de voyage",
        "ar-*a**âwâtũ": "{{p}} champs de [[lotier]]s",
        "ar-*a**ũ": "grand sac",
        "ar-*a*a*a-i": "éprouver",
        "ar-*a*a*ũ": "nouvelle",
        "ar-*a*i*@ũ": "qui produit des [[lotier]]s",
        "ar-*a*i*a-a": "savoir, apprendre",
        "ar-*a*i*ũ": "au courant",
        "ar-*a*u*a": "bien connaître",
        "ar-*a*²a*a": "informer",
        "ar-*a*â*é": "{{p}} champs de [[lotier]]s",
        "ar-*a*â*î": "{{p}} champs de [[lotier]]s",
        "ar-*a*â*ũ": "sol inégal",
        "ar-*a*î*@ũ": "meilleure laine",
        "ar-*a*î*ũ": "bien renseigné",
        "ar-*a*û*ũ": "lion",
        "ar-*awâ*î*u": "{{p}} coins, chevilles",
        "ar-*i**@ũ": "notion",
        "ar-*i**ũ": "connaissance",
        "ar-*i*â*ũ": "{{p}} champs de [[lotier]]s",
        "ar-*ta*a*a": "examiner",
        "ar-*ti*â*iy²@ũ": "empirisme",
        "ar-*ti*â*iy²ũ": "expérimental",
        "ar-*ti*â*ũ": "test",
        "ar-*u**@ũ": "expérience",
        "ar-*u**ũ": "état réel",
        "ar-*u*û*ũ": "{{p}} de {{ar-mo|Xabrũ}}",
        "ar-*â*a*a": "contacter",
        "ar-*â*i*ũ": "bien renseigné",
        "ar-*â*û*ũ": "coin, cheville",
        "ar-a**a*a": "informer",
        "ar-a**â*iy²ũ": "chroniqueur",
        "ar-a**â*ũ": "{{p}} nouvelles",
        "ar-a*â*î*u": "{{p}} histoires",
        "ar-ma**a*@ũ": "expérience",
        "ar-ma**a*ũ": "expérience",
        "ar-ma**u*@ũ": "expérience",
        "ar-ma**û*ũ": "graissé",
        "ar-ma*â*i*ũ": "{{p}} expériences",
        "ar-ma*â*î*u": "{{p}} éprouvettes",
        "ar-mi**â*ũ": "éprouvette",
        "ar-mu**i*ũ": "enquêteur",
        "ar-mu*ta*a*ũ": "laboratoire",
        "ar-mu*â*a*@ũ": "correspondance",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "s'enquérir",
        "ar-sti**â*ũ": "demande",
        "ar-ta*a*²a*a": "chercher à savoir",
        "ar-ta*â*a*a": "négocier",
        "ar-ta*â*u*ũ": "négociation",
    },  # 55
    "ar-Xlf": {
        "aa_sens": "rester, arrière, arriéré",
        "ar-**a*²a": "",
        "ar-*a**iy²@ũ": "d'arrière-plan, cryptique",
        "ar-*a**iy²ũ": "d'arrière",
        "ar-*a**u": "derrière ; ensuite",
        "ar-*a**âniy²ũ": "qui marche à la suite",
        "ar-*a**ũ": "arrière ; arrière-choix",
        "ar-*a*a*@ũ": "perte d'appétit",
        "ar-*a*a*a-a": "être derrière",
        "ar-*a*a*ũ": "successeur ; remplaçant",
        "ar-*a*i*@ũ": "suivantes ; contraires",
        "ar-*a*i*a-a": "loucher",
        "ar-*a*i*ũ": "{{p}} chamelles pleines",
        "ar-*a*²a*a": "laisser derrière soi",
        "ar-*a*â*@ũ": "sottise",
        "ar-*a*âyi*u": "{{p}} successeurs, [[calife]]s",
        "ar-*a*î*@ũ": "remplaçant, [[calife]]",
        "ar-*a*î*iy²@ũ": "relatif au [[calife]]",
        "ar-*a*î*ũ": "défilé",
        "ar-*awâ*i*u": "restant derrière",
        "ar-*i**@ũ": "tardif ; discorde",
        "ar-*i**ũ": "différent",
        "ar-*i*²î*@ũ": "contradicteur",
        "ar-*i*²î*ãé": "vicariat",
        "ar-*i*â*@ũ": "lieutenance",
        "ar-*i*â*iy²ũ": "disputé",
        "ar-*i*â*ũ": "opposition",
        "ar-*ta*a*a": "être différent ; alterner",
        "ar-*ti*â*ũ": "variété ; désaccord",
        "ar-*u**@ũ": "dissentiment ; défaut",
        "ar-*u**ũ": "discorde",
        "ar-*u*a*â'u": "{{p}} successeurs, [[calife]]s",
        "ar-*u*û*ũ": "restant",
        "ar-*â*a*a": "être en dissentiment",
        "ar-*â*i*@ũ": "dernier ; méchant",
        "ar-*â*i*ũ": "restant derrière",
        "ar-a**a*a": "remplacer ; tromper",
        "ar-a**a*ũ": "boiteux, louche",
        "ar-a**â*ũ": "{{p}} choses originales",
        "ar-ma**a*@ũ": "lieu de campement",
        "ar-ma**a*ũ": "chemin de la Mecque",
        "ar-ma**û*ũ": "usé par le milieu",
        "ar-mi**â*ũ": "pas fiable",
        "ar-mu**i*@ũ": "vieille chamelle",
        "ar-mu**i*ũ": "vieux chameau",
        "ar-mu*a*²a*ũ": "reste, reliquat",
        "ar-mu*ta*i*ũ": "varié",
        "ar-mu*â*a*@ũ": "contradiction ; solécisme",
        "ar-mu*â*i*ũ": "transgresseur",
        "ar-musta**i*ũ": "donneur d'eau",
        "ar-muta*a*²i*ũ": "traînard ; reliquat",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "se faire succéder",
        "ar-ta**î*ũ": "laisser derrière soi",
        "ar-ta*a*²a*a": "être laissé en arrière",
        "ar-ta*a*²u*ũ": "retard, absence",
        "ar-ta*â*a*a": "être d'avis différent",
    },  # 57
    "ar-Xlq": {
        "aa_sens": "former, polir",
        "ar-*2aw2a*a": "être égal, uni, poli",
        "ar-*a**@ũ": "extérieur",
        "ar-*a**ũ": "créature, chose créée",
        "ar-*a*a*a-u": "donner sa mesure ; créer ; polir",
        "ar-*a*a*ũ": "usé, râpé",
        "ar-*a*i*a-a": "être poli, râpé",
        "ar-*a*i*ũ": "formé ; doux",
        "ar-*a*u*a": "être d'un bon naturel",
        "ar-*a*²a*a": "rendre égal, polir",
        "ar-*a*²â*ũ": "créateur parfait",
        "ar-*a*â*@ũ": "poli d'une surface",
        "ar-*a*â*ũ": "part de bonheur",
        "ar-*a*î*@ũ": "nature ; créature ; créateur",
        "ar-*a*î*ũ": "apte, digne, convenable",
        "ar-*awâ*i*u": "montagne à surface unie",
        "ar-*i**@ũ": "naturel, caractère",
        "ar-*i**ũ": "forme naturelle, extérieur",
        "ar-*i*â*ũ": "parfum au safran",
        "ar-*ta*a*a": "être convenable, être proportionné",
        "ar-*u**@ũ": "poli de la surface",
        "ar-*u**ũ": "caractère",
        "ar-*u*ay*â'u": "intérieur d'une caverne",
        "ar-*u*ay*ũ": "un peu râpé",
        "ar-*u*u*ũ": "naturel, caractère inné",
        "ar-*u*²a*ũ": "femme monotrème",
        "ar-*u*â*@ũ": "caillou plat",
        "ar-*u*â*ũ": "égal, uni",
        "ar-*u*û*@ũ": "poli d'une surface",
        "ar-*u*û*ũ": "parfum au safran",
        "ar-*â*a*a": "se montrer bon",
        "ar-*â*i*ũ": "qui forme ; créateur",
        "ar-a**a*a": "être usé ; user, polir",
        "ar-a**a*ũ": "raz, lisse",
        "ar-el*â*i*u": "le Créateur, Dieu",
        "ar-ma**a*@ũ": "bien adapté",
        "ar-ma**û*ũ": "créé",
        "ar-ma*2aw2a*ũ": "très lisse",
        "ar-mu**a*ũ": "usé, râpé",
        "ar-mu*a*²a*ũ": "bien tourné, bien formé",
        "ar-mu*ta*i*ũ": "apte, digne de",
        "ar-ta*a*²a*a": "se donner une forme",
    },  # 42
    "ar-Xms": {
        "aa_sens": "cinq",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "{{m}} cinq",
        "ar-*a**ũ": "{{f}} cinq",
        "ar-*a*a*a-i": "être le cinquième",
        "ar-*a*a*a-u": "prendre le cinquième",
        "ar-*a*²a*a": "former un pentagone",
        "ar-*a*²â*ũ": "homme de peine",
        "ar-*a*î*ũ": "cinquième",
        "ar-*awâ*i*u": "chameau sobre",
        "ar-*i**ũ": "abreuver au cinquième jour",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "cinquième",
        "ar-*u*ay*@ũ": "[[khamsa]]",
        "ar-*u*u*ũ": "cinquième",
        "ar-*u*â*iy²ũ": "quintilittère",
        "ar-*u*â*ũ": "en cinq",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "cinquième",
        "ar-a**a*a": "être cinq",
        "ar-ma**û*iy²ũ": "pentagone",
        "ar-ma**û*ũ": "de cinq",
        "ar-mu*a*²a*ũ": "pentagone",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 28
    "ar-Xrf": {
        "aa_sens": "cueillette, gâté",
        "ar-**a*²a": "",
        "ar-*a**iy²ũ": "d'automne",
        "ar-*a**é": "pois",
        "ar-*a**ũ": "cueillette",
        "ar-*a*a*a-u": "cueillir",
        "ar-*a*a*iy²ũ": "d'automne",
        "ar-*a*a*ũ": "radotage",
        "ar-*a*i*a-a": "délirer",
        "ar-*a*i*ũ": "aliéné",
        "ar-*a*²a*a": "déclarer aliéné, déraisonner",
        "ar-*a*â*ũ": "saison des fruits",
        "ar-*a*âyi*u": "{{p}} palmiers affermés",
        "ar-*a*î*@ũ": "palmier affermé",
        "ar-*a*î*ũ": "automne",
        "ar-*a*û*@ũ": "agnelle",
        "ar-*a*û*ũ": "agneau",
        "ar-*i**iy²ũ": "d'automne",
        "ar-*i**ânũ": "{{p}} agneaux",
        "ar-*i*â*ũ": "saison des fruits",
        "ar-*ta*a*a": "cueillir",
        "ar-*u**@ũ": "fruit cueillis",
        "ar-*u*i*a": "être arrosé",
        "ar-*u*u*ũ": "automne",
        "ar-*u*â*@ũ": "fruits cueillis",
        "ar-*u*â*âtũ": "{{p}} fruits cueillis",
        "ar-*â*a*a": "collaborer en automne",
        "ar-*â*i*ũ": "gardien des palmiers",
        "ar-a**a*a": "entrer en automne",
        "ar-a**i*@ũ": "{{p}} agneaux",
        "ar-ma**a*@ũ": "radotage",
        "ar-ma**a*ũ": "récolte",
        "ar-ma**û*ũ": "cueilli sur l'arbre",
        "ar-ma*â*i*u": "{{p}} paniers à récolte",
        "ar-mi**a*ũ": "panier à récolte",
        "ar-mu**a*ũ": "cueillette",
        "ar-mu**i*ũ": "qui met bas dans l'année",
        "ar-mu*â*i*ũ": "malheureux",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "déraison",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 43
    "ar-Xtm": {
        "aa_sens": "sceller, achever",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "lecture intégrale du coran",
        "ar-*a**ũ": "cachet",
        "ar-*a*a*a-i": "sceller",
        "ar-*a*a*ũ": "chevalière",
        "ar-*a*²a*a": "cacheter",
        "ar-*awâ*i*u": "{{p}} sceaux",
        "ar-*i*â*ũ": "conclusion",
        "ar-*ta*a*a": "clore",
        "ar-*â*a*a": "achever",
        "ar-*â*a*ũ": "sceau, dernier",
        "ar-*â*i*@ũ": "conclusion",
        "ar-*â*i*ũ": "qui scelle",
        "ar-*î*â*ũ": "sceau",
        "ar-a**a*a": "boucher",
        "ar-ma**û*ũ": "cacheté, scellé",
        "ar-mu*a*²a*ũ": "cacheté, scellé",
        "ar-mu*ta*a*ũ": "fin",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**i*@ũ": "se mettre un turban",
        "ar-ta*a*²a*a": "porter une chevalière",
        "ar-ta*â*a*a": "",
    },  # 25
    "ar-XyT": {
        "aa_sens": "couture",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "aiguillée",
        "ar-*a**â'u": "au long cou",
        "ar-*a**é": "bande",
        "ar-*a**ũ": "fil",
        "ar-*a*a*@ũ": "pas",
        "ar-*a*a*a-i": "coudre",
        "ar-*a*a*ũ": "tailleur",
        "ar-*a*²a*a": "coudre",
        "ar-*a*²â*ũ": "tailleur",
        "ar-*i*â*@ũ": "travail à l'aiguille",
        "ar-*i*â*ũ": "aiguille",
        "ar-*ta*a*a": "passer, filer",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-ma**i*ũ": "cousu",
        "ar-mi*Ya3ũ": "aiguille",
        "ar-mu**a*ũ": "filé",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "teinter de cheveux blancs",
        "ar-ta*â*a*a": "",
    },  # 24
    "ar-Zfr": {
        "aa_sens": "griffer, gagner, parfumer",
        "ar-**a*²a": "",
        "ar-*a*a*@ũ": "[[ptérygion]]",
        "ar-*a*a*a-i": "égratigner",
        "ar-*a*a*ũ": "victoire",
        "ar-*a*i*@ũ": "qui a réussi",
        "ar-*a*i*a-a": "vaincre",
        "ar-*a*i*ũ": "victorieux",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "donner la victoire",
        "ar-*a*â*iy²ũ": "de Dhafar",
        "ar-*a*â*ũ": "arôme, parfum",
        "ar-*a*î*ũ": "victorieux",
        "ar-*i**ũ": "ongle",
        "ar-*i*²î*ũ": "victorieux",
        "ar-*u**@ũ": "plante",
        "ar-*u**ũ": "ongle",
        "ar-*u*u*ũ": "ongle",
        "ar-*²a*a*a": "triompher",
        "ar-*â*a*a": "aider",
        "ar-a**a*a": "faire triompher",
        "ar-a**a*ũ": "qui a les ongles très longs",
        "ar-a**â*ũ": "aromate ; serres",
        "ar-a**û*ũ": "ongle, vrille",
        "ar-ma**û*ũ": "qui a un ptérygion",
        "ar-mi**â*ũ": "victorieux",
        "ar-mu*a*²a*ũ": "victorieux",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 31
    "ar-b'r": {
        "aa_sens": "puits, fosse",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "creuser, cacher",
        "ar-*a*²a*a": "",
        "ar-*i**ũ": "puits",
        "ar-*ta*a*a": "cacher",
        "ar-*u**@ũ": "épicentre",
        "ar-*u**iy²@ũ": "focalisation",
        "ar-*â*a*a": "",
        "ar-a**a*a": "être employé à creuser",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 15
    "ar-b3d": {
        "aa_sens": "loin",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "retrait",
        "ar-*a**a": "après",
        "ar-*a**ĩ": "encore",
        "ar-*a**ũ": "{{p}} lointains",
        "ar-*a*a*ũ": "méprisable",
        "ar-*a*i*a-a": "être loin",
        "ar-*a*i*ũ": "lointain",
        "ar-*a*u*a": "être loin",
        "ar-*a*²a*a": "éloigner",
        "ar-*a*î*ũ": "éloigné",
        "ar-*i*â*ũ": "éloignement",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "éloignement",
        "ar-*u**ânũ": "{{p}} éloignés",
        "ar-*u**ũ": "distance",
        "ar-*u*a*â'u": "{{p}} éloignés",
        "ar-*u*ay*ũ": "pas très éloigné",
        "ar-*u*u*ũ": "{{p}} éloignés",
        "ar-*â*a*a": "s'éloigner",
        "ar-*â*i*ũ": "éloigné",
        "ar-a**a*a": "éloigner",
        "ar-a**a*u": "plus éloigné",
        "ar-a*â*i*u": "{{p}} plus éloignés",
        "ar-mi**a*ũ": "qui est loin des siens",
        "ar-mu**a*ũ": "déporté",
        "ar-mu*â*a*@ũ": "éloignement",
        "ar-musta**a*ũ": "improbable",
        "ar-muta*â*i*ũ": "séparé",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "vouloir éloigner",
        "ar-ta**î*ũ": "bannissement",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "se quitter",
        "ar-ta*â*u*ũ": "séparation",
    },  # 37
    "ar-b3l": {
        "aa_sens": "époux",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "{{f}} maîtresse",
        "ar-*a**ũ": "maître",
        "ar-*a*a*a-a": "se marier",
        "ar-*a*i*a-a": "être embarrassé",
        "ar-*a*i*ũ": "embarrassé",
        "ar-*a*²a*a": "",
        "ar-*i*â*ũ": "cohabitation",
        "ar-*ta*a*a": "épouser",
        "ar-*u*û*@ũ": "épousailles",
        "ar-*u*û*ũ": "{{p}} maîtres",
        "ar-*â*a*a": "caresser",
        "ar-a**a*a": "",
        "ar-mu*â*a*@ũ": "caresse",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "devenir époux",
        "ar-ta*a*²a*a": "épouser",
        "ar-ta*â*a*a": "jouir de sa femme",
    },  # 20
    "ar-bHF": {
        "aa_sens": "fouiller, creuser",
        "ar-**a*²a": "",
        "ar-*a**ũ": "recherche",
        "ar-*a*a*a-a": "creuser ; chercher",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "",
        "ar-*a*û*ũ": "grattant la terre",
        "ar-*ta*a*a": "examiner",
        "ar-*â*a*a": "discuter, disputer",
        "ar-a**a*a": "",
        "ar-ma**a*ũ": "champ de recherche",
        "ar-mu*â*a*@ũ": "dispute, discussion",
        "ar-n*a*a*a": "examiner",
        "ar-sta**a*a": "examiner",
        "ar-ta*a*²a*a": "examiner",
        "ar-ta*â*a*a": "",
    },  # 17
    "ar-bHr": {
        "aa_sens": "mer, étendue effrayante",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "étang",
        "ar-*a**iy²@ũ": "marine",
        "ar-*a**iy²ũ": "maritime",
        "ar-*a**âniy²ũ": "toile à voile",
        "ar-*a**ũ": "mer",
        "ar-*a*a*a-u": "fendre",
        "ar-*a*a*ũ": "terreur",
        "ar-*a*i*a-a": "être saisi d'effroi",
        "ar-*a*²a*a": "",
        "ar-*a*²â*@ũ": "{{p}} équipage",
        "ar-*a*²â*ũ": "marin",
        "ar-*a*î*@ũ": "chamelle à oreille fendue",
        "ar-*ta*a*a": "",
        "ar-*u**ânũ": "crise",
        "ar-*u*ay*@ũ": "lac",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "stupide",
        "ar-*â*û*iy²ũ": "de crise",
        "ar-*â*û*ũ": "cœur de l'été",
        "ar-a**a*a": "prendre la mer",
        "ar-muta*a*²i*ũ": "érudit",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "s'étendre",
        "ar-ta*a*²a*a": "aller au fond",
        "ar-ta*a*²u*ũ": "étude détaillée",
        "ar-ta*â*a*a": "",
    },  # 29
    "ar-bTT": {
        "aa_sens": "découper",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "bouteille en cuir",
        "ar-*a**ũ": "canard",
        "ar-*a*a*a-u": "fendre",
        "ar-*a*²a*a": "vendre des canards",
        "ar-*a*î*ũ": "chose étonnante",
        "ar-*ta*a*a": "",
        "ar-*u*ay*ũ": "grand",
        "ar-*u*û*ũ": "{{p}} canards",
        "ar-*â*a*a": "",
        "ar-a**a*a": "vendre de l'huile",
        "ar-mi**a*@ũ": "scalpel",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 18
    "ar-bTn": {
        "aa_sens": "ventre, caché",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "ventre",
        "ar-*a*a*a-u": "aller à l'intérieur",
        "ar-*a*i*@ũ": "grand-route",
        "ar-*a*i*a-a": "être un intime",
        "ar-*a*i*ũ": "qui a un gros ventre",
        "ar-*a*u*a": "avoir un gros ventre",
        "ar-*a*²a*a": "doubler, border",
        "ar-*a*âyi*u": "{{p}} petits navires",
        "ar-*a*î*ũ": "ventru",
        "ar-*awâ*i*u": "{{p}} intérieurs",
        "ar-*i**@ũ": "ventre plein",
        "ar-*i*a*@ũ": "indigestion",
        "ar-*i*â*@ũ": "cœur",
        "ar-*i*â*ũ": "sangle",
        "ar-*ta*a*a": "mettre bas",
        "ar-*u**ânũ": "{{p}} ventres",
        "ar-*u**ũ": "{{p}} sangles",
        "ar-*u*â*ũ": "{{p}} déprimés",
        "ar-*u*û*ũ": "intimité",
        "ar-*â*a*a": "chercher à être intime",
        "ar-*â*i*ũ": "intérieur",
        "ar-a**a*a": "cacher",
        "ar-a**i*@ũ": "{{p}} déprimés",
        "ar-a**u*ũ": "{{p}} ventres",
        "ar-ma**a*@ũ": "sangle",
        "ar-ma**û*ũ": "qui a mal au ventre",
        "ar-mi**a*ũ": "qui mange à l'excès",
        "ar-mi**â*ũ": "glouton",
        "ar-mu*a*²a*ũ": "qui a le ventre lâche",
        "ar-mu*â*i*ũ": "intime",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "sonder les mystères",
        "ar-ta*a*²a*a": "pénétrer",
        "ar-ta*â*a*a": "",
    },  # 37
    "ar-bWl": {
        "aa_sens": "pisser",
        "ar-***ũ": "",
        "ar-*i*â*@ũ": "vessie",
        "ar-ma**a*@ũ": "diurétique",
        "ar-mi**a*@ũ": "pot de nuit",
        "ar-mi**a*ũ": "pot de chambre",
    },  # 6
    "ar-bXl": {
        "aa_sens": "avarice",
        "ar-**a*²a": "",
        "ar-*a**ũ": "avarice",
        "ar-*a*a*a-u": "",
        "ar-*a*a*ũ": "avarice",
        "ar-*a*i*a-a": "être avare",
        "ar-*a*u*a": "être avare",
        "ar-*a*²a*a": "accuser d'avarice",
        "ar-*a*²â*ũ": "très avare",
        "ar-*a*â*ũ": "avare",
        "ar-*a*î*ũ": "avare",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "avarice",
        "ar-*u*u*ũ": "avarice",
        "ar-*u*û*ũ": "avarice",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "avare",
        "ar-a**a*a": "trouver avare",
        "ar-ma**a*@ũ": "chose à laquelle on tient",
        "ar-mu*a*²a*ũ": "avare",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "donner à contrecœur",
    },  # 24
    "ar-bXr": {
        "aa_sens": "vapeur, fumée, odeur",
        "ar-**a*²a": "",
        "ar-*a**ũ": "odeur",
        "ar-*a*a*a-a": "fumer",
        "ar-*a*i*a-a": "avoir mauvaise haleine",
        "ar-*a*²a*a": "encenser",
        "ar-*a*û*ũ": "encens",
        "ar-*ta*a*a": "",
        "ar-*u*â*iy²ũ": "à vapeur",
        "ar-*u*â*ũ": "vapeur",
        "ar-*uway*i*ũ": "canot à vapeur",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "steamer",
        "ar-a**a*a": "avoir mauvaise haleine",
        "ar-a**a*ũ": "d'haleine fétide",
        "ar-ma**a*@ũ": "encensoir",
        "ar-ma**û*ũ": "ivre",
        "ar-mi**a*@ũ": "fumigateur",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "fumigation",
        "ar-ta*a*²a*a": "se parfumer",
        "ar-ta*a*²u*ũ": "évaporation",
        "ar-ta*â*a*a": "",
    },  # 24
    "ar-bd'": {
        "aa_sens": "début",
        "ar-*a**@ũ": "origine",
        "ar-*a**ũ": "commencement",
        "ar-*a*a*a-a": "commencer",
        "ar-*a*i*ũ": "début",
        "ar-*a*î*@ũ": "origine",
        "ar-*ta*a*a": "initier",
        "ar-*ti*â*ũ": "commencement",
        "ar-*u**@ũ": "origine",
        "ar-*u*u*ũ": "({{p}}) commencements",
        "ar-*â*i*ũ": "qui commence",
        "ar-a**a*a": "produire, créer",
        "ar-ma**a*@ũ": "commencement",
        "ar-ma**û*ũ": "commencé",
        "ar-ma*â*i*ũ": "({{p}}) principes",
        "ar-mu**i*ũ": "initiateur",
        "ar-mu**â*ũ": "commencement",
        "ar-mu*ta*â*ũ": "inchoatif",
        "ar-ta*a*²a*a": "commencer",
    },  # 19
    "ar-bd3": {
        "aa_sens": "nouveauté, création",
        "ar-**â*ũ": "invention",
        "ar-*a**ũ": "début, commencement",
        "ar-*a*a*a-a": "commencer, créer, innover",
        "ar-*a*i*ũ": "nouveau",
        "ar-*a*u*a": "être sans précédent",
        "ar-*a*²a*a": "considérer comme nouveau",
        "ar-*a*î*ũ": "inventeur ; inventé",
        "ar-*i**@ũ": "nouveauté ; hérésie",
        "ar-*i**ũ": "nouveau ; invention ; libéral",
        "ar-*ta*a*a": "inventer, imaginer",
        "ar-*ti*â*ũ": "invention",
        "ar-a**a*a": "inventer, créer",
        "ar-mu**i*ũ": "inventeur, novateur",
        "ar-mu*ta*a*ũ": "fait nouveau",
        "ar-mu*ta*i*ũ": "inventeur, novateur",
        "ar-sta**a*a": "trouver insolite",
        "ar-ta*a*²a*a": "prendre une nouvelle voie",
    },  # 18
    "ar-bdy": {
        "aa_sens": "commencer",
        "ar-**a*²a": "",
        "ar-*a*a*a-i": "commencer",
        "ar-*a*²a*a": "",
        "ar-*i*â*@ũ": "commencement",
        "ar-*ta*a*a": "commencer",
        "ar-*â*a*a": "",
        "ar-a**a*a": "dépasser toute mesure",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "commencer",
        "ar-ta*â*a*a": "",
    },  # 12
    "ar-bl3": {
        "aa_sens": "avaler",
        "ar-*a*a*ũ": "le fait d'avaler",
        "ar-*a*i*a-a": "avaler, gober",
        "ar-*a*²a*a": "faire avaler",
        "ar-*a*²â*@ũ": "égout",
        "ar-*a*²û*@ũ": "égout",
        "ar-*a*û*@ũ": "égout",
        "ar-*aw*a*ũ": "gourmand, glouton",
        "ar-*ta*a*a": "déglutir, absorber",
        "ar-*u**@ũ": "trou dans la meule",
        "ar-*u*a*ũ": "gourmand, glouton",
        "ar-a**a*a": "faire avaler",
        "ar-ma**a*ũ": "canal d'avalement",
        "ar-mi**a*ũ": "gourmand, glouton",
    },  # 14
    "ar-bnn": {
        "aa_sens": "gras (?)",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "odeur",
        "ar-*a*a*a-i": "s'arrêter",
        "ar-*a*²a*a": "mettre à l'engrais",
        "ar-*a*â*ũ": "bout des doigts",
        "ar-*a*î*ũ": "gras",
        "ar-*a*û*ũ": "dessert",
        "ar-*i**ũ": "graisse",
        "ar-*i*â*ũ": "{{p}} odeurs",
        "ar-*ta*a*a": "",
        "ar-*u**iy²@ũ": "café",
        "ar-*u**iy²ũ": "carpe",
        "ar-*u**ũ": "baie de café",
        "ar-*u*â*@ũ": "prairie riante",
        "ar-*â*a*a": "",
        "ar-a**a*a": "s'arrêter",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 22
    "ar-bny": {
        "aa_sens": "fonder, bâtir",
        "ar-**a*²a": "",
        "ar-*a**ũ": "édification",
        "ar-*a*a*a-i": "bâtir, édifier",
        "ar-*a*²a*a": "construire solidement",
        "ar-*a*î*ũ": "édifice, construction",
        "ar-*i**@ũ": "construction",
        "ar-*i*â*@ũ": "édifice, construction",
        "ar-*i*â*ũ": "édifice, construction",
        "ar-*ta*a*a": "bâtir, construire",
        "ar-*u**ânũ": "construction",
        "ar-*u*²â*ũ": "architecte",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "qui fonde",
        "ar-a**a*a": "faire édifier",
        "ar-ma**û*ũ": "décliné, indéclinable",
        "ar-ma*â*i*u": "{{p}} édifices, constructions",
        "ar-mi**a*@ũ": "tapis",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "adopter pour fils",
        "ar-ta*â*a*a": "",
    },  # 22
    "ar-bql": {
        "aa_sens": "pousser",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "légume",
        "ar-*a**ũ": "légumes",
        "ar-*a*a*a-u": "germer",
        "ar-*a*²a*a": "gouverner",
        "ar-*a*²â*ũ": "marchand de légumes",
        "ar-*a*â*@ũ": "qui produit des légumes",
        "ar-*a*î*@ũ": "qui produit des légumes",
        "ar-*a*û*ũ": "mauve",
        "ar-*i*â*@ũ": "commerce de légumes",
        "ar-*ta*a*a": "se nourrir de légumes",
        "ar-*u*â*ũ": "bocal",
        "ar-*u*û*ũ": "{{p}} légumes",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "couvert de verdure",
        "ar-a**a*a": "se couvrir de duvet",
        "ar-a**â*ũ": "{{p}} légumes",
        "ar-ma**a*@ũ": "jardin potager",
        "ar-ma**u*@ũ": "jardin potager",
        "ar-mu**a*ũ": "qui se couvre d'herbe",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "fourrager",
        "ar-ta*â*a*a": "",
    },  # 26
    "ar-bqy": {
        "aa_sens": "rester",
        "ar-*a*i*a-a": "rester ; durer",
        "ar-*a*i*iy²@ũ": "ce qui reste ; élite",
        "ar-*a*â*ũ": "durée",
        "ar-*â*i*ũ": "restant",
        "ar-a**a*a": "laisser, laisser vivre",
        "ar-a**a*u": "plus durable",
        "ar-sta**a*a": "laisser vivre, mettre en réserve",
        "ar-ta*a*²a*a": "conserver, laisser vivre",
        "ar-ta*â*a*a": "survivre",
    },  # 10
    "ar-brd": {
        "aa_sens": "froid",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "indigestion",
        "ar-*a**iy²@ũ": "fièvre",
        "ar-*a**iy²ũ": "papyrus",
        "ar-*a**ânu": "gelé",
        "ar-*a**ũ": "froid",
        "ar-*a*a*@ũ": "grêlon",
        "ar-*a*a*a-u": "avoir froid",
        "ar-*a*a*ũ": "grêle",
        "ar-*a*i*a-a": "",
        "ar-*a*i*ũ": "froid",
        "ar-*a*u*a": "être froid",
        "ar-*a*²a*a": "refroidir",
        "ar-*a*²â*@ũ": "vase poreux",
        "ar-*a*â*ũ": "froid, langueur",
        "ar-*a*î*iy²@ũ": "messagère",
        "ar-*a*î*iy²ũ": "messager",
        "ar-*a*î*ũ": "poste",
        "ar-*a*û*ũ": "froid, trempé",
        "ar-*ta*a*a": "se laver à l'eau froide",
        "ar-*u**@ũ": "couverture",
        "ar-*u**iy²ũ": "papyrus",
        "ar-*u**ũ": "vêtement rayé",
        "ar-*u*a*â'u": "fièvre",
        "ar-*u*a*ũ": "{{p}} couvertures",
        "ar-*u*â*@ũ": "limaille",
        "ar-*u*â*ũ": "maladie",
        "ar-*u*û*@ũ": "froideur",
        "ar-*u*û*ũ": "mort",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "froid, agréable",
        "ar-a**a*a": "refroidir",
        "ar-a**a*iy²ũ": "papyrus",
        "ar-a**a*ũ": "froid, frais",
        "ar-a**u*ũ": "{{p}} vêtement rayé",
        "ar-a**â*ũ": "{{p}} vêtement rayé",
        "ar-a*â*i*u": "{{p}} froids, frais",
        "ar-ma**û*@ũ": "{{f}} refroidie",
        "ar-ma**û*ũ": "refroidi",
        "ar-ma*â*i*u": "{{p}} limes",
        "ar-mi**a*ân@ũ": "met à la glace",
        "ar-mi**a*ũ": "lime",
        "ar-mu**a*@ũ": "ce qui rafraîchit",
        "ar-mu**a*ũ": "grêlé",
        "ar-mu**i*ũ": "frais",
        "ar-mu*a*²a*ũ": "refroidi, climatisé",
        "ar-mu*a*²i*ũ": "refroidisseur",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "trouver froid",
        "ar-ta*a*²a*a": "se rafraîchir",
        "ar-ta*â*a*a": "",
    },  # 52
    "ar-brk": {
        "aa_sens": "à genoux, brave",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "poitrine",
        "ar-*a*a*@ũ": "bénédiction",
        "ar-*a*a*a-u": "s'agenouiller",
        "ar-*a*a*â'u": "sang froid",
        "ar-*a*²a*a": "bénir",
        "ar-*a*²û*ũ": "coq",
        "ar-*a*â*i": "courage!",
        "ar-*a*â*â'u": "sang froid",
        "ar-*a*â*înu": "{{p}} volcans",
        "ar-*a*î*@ũ": "datte à la crème",
        "ar-*a*î*ũ": "prospère",
        "ar-*a*û*â'u": "sang froid",
        "ar-*a*û*ũ": "femme remariée",
        "ar-*awâ*i*u": "{{p}} genoux",
        "ar-*i**@ũ": "étang",
        "ar-*i**ânũ": "{{p}} canards",
        "ar-*i**ũ": "étang",
        "ar-*i*a*ũ": "{{p}} étangs",
        "ar-*ta*a*a": "s'agenouiller",
        "ar-*u**@ũ": "canard",
        "ar-*u**âniy²ũ": "volcanique",
        "ar-*u**ânũ": "volcan",
        "ar-*u**ũ": "{{p}} canards",
        "ar-*u*â*iy²@ũ": "volcan",
        "ar-*u*û*ũ": "génuflexion",
        "ar-*â*a*a": "complimenter",
        "ar-*â*i*@ũ": "genou",
        "ar-*â*i*ũ": "agenouillé",
        "ar-*â*û*ũ": "peureux",
        "ar-a**a*a": "faire agenouiller",
        "ar-a**a*u": "plus brave",
        "ar-a**â*ũ": "{{p}} canards",
        "ar-ma**a*ũ": "couche de chameaux",
        "ar-ma**û*ũ": "béni",
        "ar-mu*â*a*ũ": "béni",
        "ar-muta*a*²i*ũ": "qui utilise",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "être béni",
        "ar-ta**â*ũ": "génuflexion",
        "ar-ta**î*ũ": "bénédiction",
        "ar-ta*a*²a*a": "être comblé",
        "ar-ta*â*a*a": "bien augurer",
    },  # 45
    "ar-brq3": {
        "aa_sens": "pièce de tissu, voile",
        "ar-*a**a*a": "couvrir d'un voile",
        "ar-*u**a*ũ": "burqa",
        "ar-mu*a**a*@ũ": "brebis noire à tête blanche",
        "ar-mu*a**i*@ũ": "naseau blanc d'un cheval",
        "ar-ta*a**a*a": "se voiler",
    },  # 6
    "ar-brr": {
        "aa_sens": "piété",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "accomplissement",
        "ar-*a**@ũ": "obéissance",
        "ar-*a**iy²@ũ": "champ",
        "ar-*a**iy²ũ": "sauvage",
        "ar-*a**ũ": "terre ferme",
        "ar-*a*a*a-i": "être pieux",
        "ar-*a*²a*a": "déclarer juste",
        "ar-*a*â*ũ": "justice",
        "ar-*a*î*ũ": "vertueux",
        "ar-*i**ũ": "piété filiale",
        "ar-*ta*a*a": "dépouiller",
        "ar-*u**@ũ": "bracelet de pied",
        "ar-*u**ũ": "froment",
        "ar-*â*a*a": "être bienfaisant",
        "ar-*â*i*ũ": "vertueux",
        "ar-a**a*a": "acomplir",
        "ar-a**a*u": "à l'intérieur des terres",
        "ar-ma**û*ũ": "bon",
        "ar-mu**i*ũ": "prévoyant",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "être obéissant",
        "ar-ta*â*a*a": "se faire réciproquement du bien",
    },  # 26
    "ar-bwb": {
        "aa_sens": "porte",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*@ũ": "point extrême",
        "ar-*a*a*a-u": "faire le portier",
        "ar-*a*a*ũ": "porte",
        "ar-*a*²a*a": "diviser en chapitres",
        "ar-*a*²â*ũ": "portier",
        "ar-*ta*a*a": "",
        "ar-*u*ay*ũ": "petite porte",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "prendre comme portier",
        "ar-ta*â*a*a": "",
    },  # 16
    "ar-bwl": {
        "aa_sens": "pisser",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "fille",
        "ar-*a**iy²ũ": "urinaire",
        "ar-*a**ũ": "urine",
        "ar-*a*a*a-u": "pisser",
        "ar-*a*²a*a": "uriner",
        "ar-*a*²â*ũ": "urinoir public",
        "ar-*ta*a*a": "",
        "ar-*u*a*@ũ": "qui urine beaucoup",
        "ar-*u*â*@ũ": "grande quantité",
        "ar-*u*â*ũ": "excrétion abondante d'urine",
        "ar-*â*a*a": "faire uriner",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "avoir envie d'uriner",
        "ar-ta*a*²a*a": "uriner",
        "ar-ta*â*a*a": "être diurétique",
    },  # 19
    "ar-by3": {
        "aa_sens": "faire commerce",
        "ar-*a**@ũ": "innauguration",
        "ar-*a**ũ": "échange commercial",
        "ar-*a*a*a-i": "faire affaire ; acheter ; vendre",
        "ar-*a*²i*ũ": "vendeur, acheteur",
        "ar-*a*²â*ũ": "détaillant ; espion",
        "ar-*i**@ũ": "église, synagogue ; forme de vente",
        "ar-*i*â*@ũ": "marchandise",
        "ar-*ta*a*a": "acheter à quelqu'un",
        "ar-*â*a*a": "toper, saluer",
        "ar-*â*i*ũ": "vendeur",
        "ar-a**a*a": "mettre en vente",
        "ar-ma**i*ũ": "objet ou lieu de vente",
        "ar-ma**û*ũ": "objet ou lieu de vente",
        "ar-mu**a*ũ": "à vendre",
        "ar-mu**â*ũ": "acheteur",
        "ar-mu*yû3ũ": "vendu",
        "ar-mu*â*a*@ũ": "contrat de vente",
        "ar-n*a*a*a": "bien se vendre",
        "ar-n*i*â*ũ": "gaité",
        "ar-sta**a*a": "mettre en vente",
        "ar-ta*a*²a*a": "stipuler",
    },  # 22
    "ar-byD": {
        "aa_sens": "blancheur éclatante",
        "ar-***ũ": "",
        "ar-**a*²a": "être blanc",
        "ar-**â*²a": "être très blanc",
        "ar-*a**@ũ": "œuf",
        "ar-*a**iy²ũ": "ovale",
        "ar-*a**â'u": "{{f}} blanche",
        "ar-*a**âwiy²ũ": "beïdhawi",
        "ar-*a**ũ": "blancheur",
        "ar-*a*a*a-i": "pondre",
        "ar-*a*²a*a": "blanchir",
        "ar-*a*â*@ũ": "blancheur",
        "ar-*a*â*ũ": "blancheur",
        "ar-*a*î*ũ": "ovipare",
        "ar-*a*û*ũ": "ovipare",
        "ar-*i**ânũ": "hommes blancs",
        "ar-*ta*a*a": "exterminer",
        "ar-*â*a*a": "rivaliser de blancheur",
        "ar-a**a*a": "faire du blanc",
        "ar-a**a*u": "blanc",
        "ar-mu**i*ũ": "lavandier",
        "ar-mu*a*²i*ũ": "copiste",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "copie au net",
        "ar-ta*a*²a*a": "être blanchi",
        "ar-ta*â*a*a": "",
    },  # 27
    "ar-byd": {
        "aa_sens": "périr",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "perdition",
        "ar-*a*a*a-i": "périr",
        "ar-*a*²a*a": "",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "faire périr",
        "ar-mu*a**âtũ": "pesticide",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 14
    "ar-byt": {
        "aa_sens": "maison, nocturne",
        "ar-**a*²a": "",
        "ar-*a**ũ": "maison",
        "ar-*a*a*a-i": "passer la nuit",
        "ar-*a*²a*a": "agir de nuit",
        "ar-*a*²û*ũ": "nocturne",
        "ar-*a*â*ũ": "raid nocturne",
        "ar-*a*î*ũ": "de la veille",
        "ar-*a*û*@ũ": "garde nocturne",
        "ar-*i**ũ": "provision de bouche",
        "ar-*ta*a*a": "",
        "ar-*u*ay*ũ": "maisonnette",
        "ar-*u*û*ũ": "agglomération",
        "ar-*â*a*a": "",
        "ar-a**a*a": "faire passer la nuit",
        "ar-ma**i*ũ": "maison",
        "ar-musta**i*ũ": "demandeur d'asile",
        "ar-muta*a*²i*@ũ": "femme mariée",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "prendre des provisions pour la nuit",
        "ar-ta*a*²a*a": "être casé pour la nuit",
        "ar-ta*â*a*a": "",
    },  # 22
    "ar-c3b": {
        "aa_sens": "fourche, séparer",
        "ar-**a*²a": "",
        "ar-*a**iy²ũ": "populaire",
        "ar-*a**ânu": "[[chaabane]]",
        "ar-*a**ânâtũ": "{{p}} [[chaabane]]",
        "ar-*a**ũ": "bifurcation",
        "ar-*a*a*a-a": "rassembler, séparer",
        "ar-*a*a*ũ": "largeur",
        "ar-*a*i*a-a": "former un inervalle",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "se diviser",
        "ar-*a*²â*ũ": "qui répare les vases cassés",
        "ar-*a*â*@ũ": "[[chaâba]]",
        "ar-*a*â*înu": "{{p}} [[chaabane]]",
        "ar-*a*î*ũ": "bissac",
        "ar-*a*û*ũ": "mort",
        "ar-*i**ũ": "défilé ; intervalle",
        "ar-*i*â*ũ": "{{p}} séparation, branches",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "séparation, branche",
        "ar-*u*a*ũ": "{{p}} branches, doigts",
        "ar-*u*ay*ũ": "Choaïb",
        "ar-*u*u*ũ": "{{p}} sacs, outres",
        "ar-*u*û*iy²ũ": "qui ne reconnaît pas la supériorité arabe",
        "ar-*u*û*ũ": "mort",
        "ar-*â*a*a": "se séparer de",
        "ar-*â*i*ũ": "qui se divise en bras",
        "ar-a**a*a": "s'éloigner",
        "ar-a**a*u": "large",
        "ar-ma**a*ũ": "sentier",
        "ar-ma**û*ũ": "marqué sur la peau",
        "ar-mi**a*ũ": "outil à réparer ce qui est fendu",
        "ar-mu*a*²a*ũ": "fourché, fendu",
        "ar-mu*â*a*@ũ": "séparation",
        "ar-n*a*a*a": "se bifurquer",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "division",
        "ar-ta*a*²a*a": "se bifurquer",
        "ar-ta*â*a*a": "",
    },  # 39
    "ar-crb": {
        "aa_sens": "boire",
        "ar-**a'a*²a": "allonger le cou",
        "ar-**a*²a": "",
        "ar-**â*²a": "allonger le cou",
        "ar-**â*ũ": "teinte",
        "ar-*a**@ũ": "gorgée, dose",
        "ar-*a**ũ": "lin fin",
        "ar-*a*a*@ũ": "rigole",
        "ar-*a*a*a-u": "comprendre",
        "ar-*a*a*ũ": "qui amène à boire",
        "ar-*a*i*a-a": "boire",
        "ar-*a*u*a": "",
        "ar-*a*²a*@ũ": "manière",
        "ar-*a*²a*a": "faire boire",
        "ar-*a*²â*@ũ": "houppe",
        "ar-*a*²â*ũ": "buveur",
        "ar-*a*â*iy²ũ": "marchand de boisson",
        "ar-*a*â*âtiy²ũ": "marchand de boissons",
        "ar-*a*â*âtũ": "{{p}} sirops",
        "ar-*a*â*ũ": "boisson, vin",
        "ar-*a*î*@ũ": "qui a bu à sa soif",
        "ar-*a*î*ũ": "potion, qui boit avec",
        "ar-*a*û*ũ": "potion",
        "ar-*i**ũ": "action de boire",
        "ar-*i*î*ũ": "grand buveur",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "breuvage désaltérant",
        "ar-*u**ũ": "boisson",
        "ar-*u*3u3ũ": "plantes pourries",
        "ar-*u*a*@ũ": "buveur",
        "ar-*u*û*ũ": "{{p}} qui boivent",
        "ar-*â*a*a": "boire ensemble",
        "ar-*â*i*@ũ": "riverain",
        "ar-*â*i*ũ": "qui boit",
        "ar-a**a*a": "imbiber",
        "ar-ma**a*@ũ": "galerie",
        "ar-ma**a*iy²@ũ": "fenêtre saillante et grillée",
        "ar-ma**a*ũ": "où l'on boit ; nature",
        "ar-ma**u*@ũ": "galerie",
        "ar-ma**û*âtũ": "{{p}} boissons",
        "ar-ma**û*ũ": "boisson, potable",
        "ar-mi**a*@ũ": "cruchon",
        "ar-mu*a*²a*ũ": "de teinte différente",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "être imprégné",
        "ar-ta**â*ũ": "quantité bue",
        "ar-ta**î*ũ": "imprégnation",
        "ar-ta*a*²a*a": "imprégner",
        "ar-ta*a*²u*ũ": "imbibition",
        "ar-ta*â*a*a": "",
    },  # 50
    "ar-crw": {
        "aa_sens": "transaction",
        "ar-*a**é": "pareil",
        "ar-*a**ũ": "miel",
        "ar-*a*a*@ũ": "partie du troupeau",
        "ar-*a*a*a-i": "acheter",
        "ar-*a*a*ũ": "moins bonne ou meilleure partie",
        "ar-*a*²a*a": "sécher",
        "ar-*i**ũ": "vente, négoce",
        "ar-*i*a*ũ": "emplette",
        "ar-*i*â*ũ": "vente, négoce",
        "ar-*ta*a*a": "acheter",
        "ar-*â*a*a": "commercer",
        "ar-*â*i*ũ": "acheteur",
        "ar-a**a*a": "faire pencher, remplir",
        "ar-mu*ta*a*ũ": "acheteur",
        "ar-mu*ta*i*ũ": "acheteur",
    },  # 16
    "ar-cry": {
        "aa_sens": "agitation, querelle",
        "ar-**a*²a": "",
        "ar-*2aw2a*a": "être agité",
        "ar-*a**ũ": "coloquinte, palmier",
        "ar-*a*a*ũ": "prurit",
        "ar-*a*i*a-a": "démanger",
        "ar-*a*i*ũ": "qui a le prurit",
        "ar-*a*â*ũ": "pays, canton",
        "ar-*a*î*@ũ": "manière, nature",
        "ar-*a*î*ânũ": "arbre à arc, artère",
        "ar-*a*î*ũ": "fougueux",
        "ar-*â*a*a": "se disputer",
        "ar-*â*i*ũ": "querelleur",
        "ar-a**a*a": "exciter",
        "ar-a**a*u": "plus fougueux",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "être agité",
        "ar-ta*a*²a*a": "faire scission",
        "ar-ta*â*a*a": "se fâcher",
    },  # 19
    "ar-ctw": {
        "aa_sens": "hiver",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "hiver",
        "ar-*a**iy²ũ": "hivernal",
        "ar-*a*a*a-u": "subir l'hiver",
        "ar-*a*a*iy²ũ": "hivernal",
        "ar-*a*a*ũ": "âpre",
        "ar-*a*²a*a": "passer l'hiver",
        "ar-*i*â*ũ": "hiver",
        "ar-*ta*a*a": "",
        "ar-*â*a*@ũ": "hiver",
        "ar-*â*a*a": "contracter pour l'hiver",
        "ar-*â*i*ũ": "froid",
        "ar-a**a*a": "manquer de vivres en hiver",
        "ar-ma**a*@ũ": "quartier d'hiver",
        "ar-ma**a*ũ": "quartier d'hiver",
        "ar-mu*â*a*@ũ": "pacte d'hiver",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**i*@ũ": "hivernage",
        "ar-ta*a*²a*a": "hiverner",
        "ar-ta*â*a*a": "",
    },  # 22
    "ar-d3w": {
        "aa_sens": "appeler, prétendre",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "invitation",
        "ar-*a**ãé": "prière",
        "ar-*a**é": "allégation",
        "ar-*a**ũ": "invitation",
        "ar-*a*a*a-u": "convoquer",
        "ar-*a*i*iy²ũ": "prétendu",
        "ar-*a*²a*a": "appeler",
        "ar-*a*²â*ũ": "qui appelle",
        "ar-*awâ*i*u": "{{p}} prières",
        "ar-*i**@ũ": "prétention",
        "ar-*i*â*@ũ": "prétention",
        "ar-*u**@ũ": "invitation à un repas",
        "ar-*u**iy²ũ": "quelqu'un",
        "ar-*u*²a*@ũ": "{{p}} appelants",
        "ar-*u*â*ũ": "invitation",
        "ar-*²a*a*a": "s'appeler",
        "ar-*â*a*a": "appeler à",
        "ar-*â*i*@ũ": "{{f}} qui appelle",
        "ar-*â*i*ũ": "qui appelle",
        "ar-a**a*a": "se faire réclamer",
        "ar-a**i*@ũ": "{{p}} invitations",
        "ar-a**i*â'u": "{{p}} faux dévots",
        "ar-ma**a*@ũ": "invitation à un repas",
        "ar-ma**i*iy²ũ": "invité",
        "ar-ma**û*ũ": "invité",
        "ar-mi**a*@ũ": "invitation à un repas",
        "ar-mu*²a*a*ũ": "objet des prétentions",
        "ar-mu*²a*i*ũ": "demandeur",
        "ar-mu*â*a*@ũ": "le fait d'appeler à",
        "ar-mu*â*a*ũ": "{{p}} banquets",
        "ar-n*a*a*a": "obtempérer",
        "ar-sta**a*a": "faire venir",
        "ar-ta**i*@ũ": "le fait d'appeler",
        "ar-ta*a*²a*a": "revendiquer",
        "ar-ta*â*a*a": "être en procès",
        "ar-u**u*iy²@ũ": "controverse",
        "ar-u**û*@ũ": "controverse",
    },  # 40
    "ar-dXl": {
        "aa_sens": "intérieur ; pénétration ; foncier",
        "ar-**a*²a": "",
        "ar-**â*ũ": "incorporation",
        "ar-*a**@ũ": "fond ; ruche ; entrée",
        "ar-*a**ũ": "revenu ; vice",
        "ar-*a*a*a-u": "entrer",
        "ar-*a*a*ũ": "vice, défaut",
        "ar-*a*i*a-a": "être atteint",
        "ar-*a*²a*a": "faire entrer",
        "ar-*a*î*@ũ": "pensée ; manière",
        "ar-*a*î*ũ": "intérieur ; introduit",
        "ar-*aw*a*@ũ": "petit panier",
        "ar-*awâ*i*u": "{{p}} parties internes",
        "ar-*i**@ũ": "fond ; mélange de couleur",
        "ar-*i**ũ": "idée ; manière",
        "ar-*i*3a3ũ": "ami intime",
        "ar-*i*â*ũ": "pensée ; manière",
        "ar-*u**@ũ": "fond ; bobêche",
        "ar-*u*3a3ũ": "fond d'une affaire",
        "ar-*u*a*â'u": "{{p}} intérieurs",
        "ar-*u*ay*â'u": "pensée ; manière",
        "ar-*u*i*a": "être atteint",
        "ar-*u*²a*@ũ": "chair grasse",
        "ar-*u*²a*ũ": "gros et ferme",
        "ar-*u*²ay*é": "pensée ; manière",
        "ar-*u*â*ũ": "toupet",
        "ar-*u*û*ũ": "entrée",
        "ar-*²a*a*a": "entrer",
        "ar-*â*a*a": "s'insinuer, pénétrer",
        "ar-*â*i*@ũ": "fond, intérieur",
        "ar-*â*i*ũ": "introduit, intérieur",
        "ar-a**a*a": "introduire, incorporer",
        "ar-a**a*u": "pénétrant plus",
        "ar-ma**a*ũ": "entrée",
        "ar-ma**û*ũ": "entré, introduit",
        "ar-ma*â*i*u": "{{p}} revenus, entrées",
        "ar-mi**a*ũ": "clef",
        "ar-mu**a*ũ": "introduction",
        "ar-mu*a*²a*ũ": "introduit",
        "ar-mu*²a*a*ũ": "retraite, repaire",
        "ar-mu*â*a*@ũ": "le fait de s’immiscer",
        "ar-muta*a*²i*ũ": "qui cherche à pénétrer",
        "ar-n*a*a*a": "entrer",
        "ar-sta**a*a": "vouloir entrer",
        "ar-ta**î*ũ": "introduction",
        "ar-ta*a*²a*a": "s'introduire",
        "ar-ta*a*²u*ũ": "effraction, admission",
        "ar-ta*â*a*a": "s'immiscer",
        "ar-ta*â*u*ũ": "le fait d'être inclus",
    },  # 49
    "ar-dXn": {
        "aa_sens": "fumée",
        "ar-**a*²a": "",
        "ar-*a**ũ": "le fait de fumer",
        "ar-*a*3â3ũ": "sombre, nuageux",
        "ar-*a*a*a-u": "fumer",
        "ar-*a*a*ũ": "fumée",
        "ar-*a*i*a-a": "être enfumé",
        "ar-*a*u*a": "être couleur fumée",
        "ar-*a*²a*a": "fumer",
        "ar-*a*î*ũ": "cigarette",
        "ar-*a2â2î*iy²ũ": "tabagiste",
        "ar-*u**@ũ": "couleur foncée ; encens",
        "ar-*u*²â*ũ": "fumée, tabac",
        "ar-*u*â*iy²ũ": "couleur fumée",
        "ar-*u*â*ũ": "fumée, tabac",
        "ar-*u*û*ũ": "le fait de fumer",
        "ar-*uway*i*ũ": "un peu de fumée",
        "ar-*²a*a*a": "fumer",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "cheminée",
        "ar-a**a*a": "fumer",
        "ar-a**a*ũ": "terne, sale",
        "ar-ma**a*ũ": "foyer",
        "ar-mi**a*@ũ": "encensoir",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "être enfumé",
        "ar-ta*â*a*a": "",
    },  # 28
    "ar-dbb": {
        "aa_sens": "ramper",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "dune",
        "ar-*a**â'u": "{{f}} barbue",
        "ar-*a**ũ": "pas d'un vieillard",
        "ar-*a*a*a-i": "se traîner",
        "ar-*a*a*ânũ": "poil aux joues",
        "ar-*a*a*ũ": "défaut",
        "ar-*a*i*ũ": "qui a du poil aux joues",
        "ar-*a*²a*a": "aiguiser",
        "ar-*a*²â*@ũ": "tank",
        "ar-*a*²â*ũ": "rampant",
        "ar-*a*â*i": "appel de la hyène",
        "ar-*a*î*ũ": "rampant",
        "ar-*a*û*ũ": "qui marche lentement",
        "ar-*ay*û*ũ": "intrigant",
        "ar-*i**@ũ": "pas lent",
        "ar-*i**ũ": "pas lent",
        "ar-*i*a*@ũ": "{{p}} ours",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "manière d'agir",
        "ar-*u**iy²ũ": "ursin",
        "ar-*u**â'@ũ": "courge (unité)",
        "ar-*u**â'u": "courge",
        "ar-*u**ũ": "ours",
        "ar-*uway*i*@ũ": "animalcule",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "animal",
        "ar-a**a*a": "faire marcher lentement",
        "ar-a**a*ũ": "barbu",
        "ar-a**â*ũ": "{{p}} ours",
        "ar-ma**a*@ũ": "pays à ours",
        "ar-ma**a*ũ": "piste rampante",
        "ar-ma**i*ũ": "piste rampante",
        "ar-mu*a*²a*ũ": "pointu",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 40
    "ar-dbr": {
        "aa_sens": "arrière, postérieur",
        "ar-**â*@ũ": "oreille fendue",
        "ar-**â*ũ": "malheur",
        "ar-*a**@ũ": "ficelle ; fuite, infortune, fin",
        "ar-*a**iy²ũ": "dernière prière",
        "ar-*a**ũ": "derrière ; décès ; richesse",
        "ar-*a*a*@ũ": "ulcère au dos",
        "ar-*a*a*a-u": "se trouver derrière, se retourner, retomber",
        "ar-*a*a*iy²ũ": "qui vient en fin",
        "ar-*a*a*ũ": "fuite du combat",
        "ar-*a*i*a-a": "avoir une plaie au dos ; être riche",
        "ar-*a*i*ũ": "qui a le dos blessé",
        "ar-*a*²a*a": "agir avec prudence, prévoyance",
        "ar-*a*²û*ũ": "mode",
        "ar-*a*â*ũ": "perte, ruine, perdition",
        "ar-*a*î*ũ": "longueur de fil",
        "ar-*a*û*ũ": "vent d'ouest",
        "ar-*i**@ũ": "partie du ciel derrière soi",
        "ar-*i**ũ": "essaim ; masses d'eau ; grandes richesses",
        "ar-*i*â*@ũ": "terrain",
        "ar-*i*â*ũ": "terrain, rigole",
        "ar-*u**é": "fuite au combat",
        "ar-*u**ũ": "arrière, postérieur",
        "ar-*u*u*ũ": "dos, cul, fin",
        "ar-*u*â*@ũ": "ficelle",
        "ar-*u*â*ũ": "mercredi",
        "ar-*²i*â*ũ": "retraite, retrait",
        "ar-*â*a*a": "combattre, mourir",
        "ar-*â*i*@ũ": "de derrière",
        "ar-*â*i*ũ": "qui est derrière, qui va derrière",
        "ar-a**a*a": "reculer ; blesser au dos",
        "ar-a**a*ũ": "qui a le dos blessé",
        "ar-el*a*a*ânu": "Aldebaran",
        "ar-ma**û*ũ": "blessé au dos ; riche ; infortuné",
        "ar-mu*a*²a*ũ": "affranchi ; pré-disposé",
        "ar-mu*a*²i*ũ": "modérateur, directeur",
        "ar-mu*â*a*ũ": "qui a l'oreille fendue",
        "ar-mu*â*i*ũ": "malheureux au jeu",
        "ar-sta**a*a": "se retourner ; choisir",
        "ar-ta**î*ũ": "maniement d'une affaire, discernement",
        "ar-ta*a*²a*a": "agir avec discernement",
        "ar-ta*â*a*a": "être dos à dos ; faire défection",
        "ar-u*â*i*ũ": "se détournant",
    },  # 43
    "ar-djj": {
        "aa_sens": "poule ; couvert",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "appel de poules",
        "ar-*a*a*a-i": "marcher lentement",
        "ar-*a*²a*a": "être couvert",
        "ar-*a*â*@ũ": "{{nu}} gallinacé",
        "ar-*a*â*iy²ũ": "marchand de poules",
        "ar-*a*â*ũ": "{{g}} gallinacés",
        "ar-*a*û*iy²ũ": "très sombre",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "ténèbres",
        "ar-*â**ũ": "trafiquant",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-mu*a*²a*ũ": "armé de pied en cap",
        "ar-mu*a*²i*ũ": "armé de pied en cap",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "être armé",
        "ar-ta*â*a*a": "",
    },  # 21
    "ar-dkn": {
        "aa_sens": "sombre, empilage",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**â'u": "{{f}} noirâtre",
        "ar-*a**ũ": "rangement",
        "ar-*a*a*a-u": "mettre en ordre",
        "ar-*a*a*ũ": "fait d'être foncé",
        "ar-*a*i*a-a": "être foncé",
        "ar-*a*²a*a": "ranger des objets",
        "ar-*a2â2î*u": "{{p}} boutiques",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "couleur noirâtre",
        "ar-*u*²â*ũ": "estrade, boutique",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-a**a*u": "noirâtre",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 20
    "ar-dlw": {
        "aa_sens": "seau, puiser",
        "ar-**a*²a": "",
        "ar-*2aw2a*a": "marcher avec rapidité",
        "ar-*a**ũ": "seau",
        "ar-*a*a*a-u": "manœuvrer un seau",
        "ar-*a*i*a-a": "être stupéfait",
        "ar-*a*²a*a": "engager le seau",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "cajoler",
        "ar-*â*i*@ũ": "roue d'irrigation",
        "ar-*â*i*ũ": "qui fait descendre le seau dans le puits",
        "ar-a**a*a": "faire descendre",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "être suspendu",
        "ar-ta*â*a*a": "",
    },  # 16
    "ar-dnr": {
        "aa_sens": "dinar",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "briller",
        "ar-*a2â2î*u": "monnaie",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-*î*â*ũ": "dinar",
        "ar-a**a*a": "",
        "ar-mu*a*²a*ũ": "riche",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 15
    "ar-drr": {
        "aa_sens": "perler abondamment",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*@ũ": "solde",
        "ar-*a**@ũ": "fouet",
        "ar-*a**iy²ũ": "brillant",
        "ar-*a**â'u": "qui donne du lait en abondance",
        "ar-*a**ũ": "lait",
        "ar-*a*a*a-u": "abonder",
        "ar-*a*a*ũ": "tracé",
        "ar-*a*²a*a": "",
        "ar-*a*²â*@ũ": "pirouettant",
        "ar-*a*î*ũ": "brillant",
        "ar-*a*û*ũ": "qui donne abondamment",
        "ar-*i**@ũ": "lait",
        "ar-*i**iy²ũ": "brillant",
        "ar-*i*a*ũ": "{{p}} laits",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "perle",
        "ar-*u**iy²ũ": "éclat",
        "ar-*u**ũ": "perles",
        "ar-*u*a*ũ": "{{p}} perles",
        "ar-*u*²â*ũ": "{{p}} ruisselants",
        "ar-*u*û*ũ": "abondance",
        "ar-*â**ũ": "ruisselant",
        "ar-*â*a*a": "",
        "ar-a**a*a": "laisser couler",
        "ar-a**a*ũ": "qui a les testicules oblongs",
        "ar-mi**â*ũ": "abondant",
        "ar-mu**i*ũ": "qui fait couler en abondance",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "traire",
        "ar-ta**i*@ũ": "abondance de lait",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 35
    "ar-drs": {
        "aa_sens": "étudier, limer",
        "ar-**a*²a": "",
        "ar-*a**ũ": "enseignement",
        "ar-*a*a*a-u": "étudier ; râper",
        "ar-*a*a*ũ": "cours,étude",
        "ar-*a*²a*a": "enseigner, éduquer",
        "ar-*a*âwi*u": "{{p}} épais ; courageux",
        "ar-*a*î*ũ": "usé ; battage",
        "ar-*da*a*a": "lire assidument",
        "ar-*i**ânũ": "habits usés",
        "ar-*i**ũ": "habit usé",
        "ar-*i*wâ*ũ": "épais ; courageux",
        "ar-*i*yâ*ũ": "thapsia",
        "ar-*i*â*@ũ": "étude",
        "ar-*i*â*iy²ũ": "d'étude",
        "ar-*i*â*ũ": "broyer le grain ; limer une femme",
        "ar-*u**@ũ": "exercice",
        "ar-*u*û*@ũ": "ménorrhée",
        "ar-*u*û*ũ": "grosses pierres du moulin",
        "ar-*â*a*a": "étudier avec",
        "ar-*â*i*@ũ": "effacée",
        "ar-*â*i*ũ": "qui a ses règles ; effacé",
        "ar-a**a*a": "étudier",
        "ar-a**â*ũ": "habits usés",
        "ar-ma**a*@ũ": "collège",
        "ar-ma**a*iy²ũ": "d'école, scolaire",
        "ar-ma**a*ũ": "collège",
        "ar-ma**û*ũ": "râpé ; aliéné",
        "ar-mi**a*ũ": "livre, manuel",
        "ar-mi**â*ũ": "école coranique",
        "ar-mu*a*²a*ũ": "éduqué",
        "ar-mu*a*²i*@ũ": "enseignante",
        "ar-mu*a*²i*ũ": "enseignant",
        "ar-mu*â*i*ũ": "condisciple",
        "ar-mun*a*i*ũ": "effacé, râpé",
        "ar-n*a*a*a": "s'effacer",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "enseignement, instruction",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "lire",
    },  # 40
    "ar-dwl": {
        "aa_sens": "circuler",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "période",
        "ar-*a**ũ": "retour",
        "ar-*a*a*@ũ": "notoriété",
        "ar-*a*a*a-u": "tourner",
        "ar-*a*a*iy²@ũ": "raisin",
        "ar-*a*²a*a": "",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "infortune",
        "ar-*â*a*a": "faire prospérer",
        "ar-a**a*@ũ": "remplacement",
        "ar-a**a*a": "remplacer",
        "ar-muta*â*i*ũ": "qui succède",
        "ar-n*a*a*a": "émigrer",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "se succéder",
    },  # 19
    "ar-f3l": {
        "aa_sens": "action",
        "ar-*a**@ũ": "habitude",
        "ar-*a**ũ": "vagin d'une femelle",
        "ar-*a*a*@ũ": "({{p}}) ouvriers",
        "ar-*a*a*a-a": "agir",
        "ar-*a*i*@ũ": "action, acte",
        "ar-*a*â*i": "fais !",
        "ar-*a*â*ũ": "œuvre",
        "ar-*i**ũ": "action, acte ; verbe",
        "ar-*i*â*ũ": "manche ; acte",
        "ar-*ta*a*a": "inventer une calomnie",
        "ar-*â*i*@ũ": "prostituée",
        "ar-*â*i*ũ": "auteur, agent",
        "ar-a**â*ũ": "{{p}} actes",
        "ar-ma**û*ũ": "nom régit par un autre ; participe passif",
        "ar-mu*ta*a*ũ": "affaire importante",
        "ar-n*a*a*a": "être fait, être dépité",
        "ar-n*i*â*ũ": "mauvaise humeur, dépit",
        "ar-ta*â*î*u": "pied d'un mètre",
    },  # 19
    "ar-fCl": {
        "aa_sens": "découragement",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "lâche",
        "ar-*a*a*ũ": "échec",
        "ar-*a*i*a-a": "être découragé",
        "ar-*a*i*ũ": "paresseux",
        "ar-*a*²a*a": "s'asseoir sur le voile",
        "ar-*a*î*ũ": "paresseux",
        "ar-*ay*a*@ũ": "gland de la verge",
        "ar-*i**ũ": "rideau de litière",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "voué à l'échec",
        "ar-a**a*a": "frustrer",
        "ar-mi**a*ũ": "rideau de litière",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "lait non trait",
        "ar-ta*a*²a*a": "échouer",
        "ar-ta*â*a*a": "",
    },  # 21
    "ar-fDl": {
        "aa_sens": "dépasser, préférer, trop",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "restant",
        "ar-*a**ânu": "Fadlan",
        "ar-*a**ũ": "excédant, grâce",
        "ar-*a*a*a-u": "être superflu",
        "ar-*a*a*ũ": "sinus",
        "ar-*a*i*a-a": "être superflu",
        "ar-*a*²a*a": "préférer",
        "ar-*a*²â*ũ": "homme supérieur",
        "ar-*a*â*@ũ": "superflu",
        "ar-*a*âyi*u": "{{p}} supériorités",
        "ar-*a*î*@ũ": "supériorité",
        "ar-*a*î*ũ": "supérieur",
        "ar-*a*û*ũ": "qui est de trop",
        "ar-*awâ*i*u": "{{p}} restes",
        "ar-*i*a*@ũ": "tenue quotidienne",
        "ar-*i*â*ũ": "rivaliser en mérite",
        "ar-*ta*a*a": "",
        "ar-*u**é": "{{f}} supérieure",
        "ar-*u*a*â'u": "hommes de mérite",
        "ar-*u*u*ũ": "vêtement quotidien",
        "ar-*u*²â*é": "vantard",
        "ar-*u*â*@ũ": "reste",
        "ar-*u*û*iy²ũ": "oiseux",
        "ar-*u*û*ũ": "excédant, reste",
        "ar-*â*a*a": "rivaliser de mérite",
        "ar-*â*i*@ũ": "accroissement",
        "ar-*â*i*ũ": "surabondant, excellent",
        "ar-a**a*a": "être trop",
        "ar-a**a*iy²@ũ": "préférence",
        "ar-a**a*u": "supérieur",
        "ar-a*â*i*u": "{{p}} hommes supérieurs",
        "ar-ma**û*ũ": "vaincu",
        "ar-ma*â*i*u": "{{p}} vêtements de travail",
        "ar-mi**a*@ũ": "vêtement de travail",
        "ar-mi**a*ũ": "vêtement de travail",
        "ar-mi**â*@ũ": "{{f}} très supérieure",
        "ar-mi**â*ũ": "très supérieur",
        "ar-mu*a*²a*@ũ": "{{f}} très généreuse",
        "ar-mu*a*²a*iy²@ũ": "poésie supérieure",
        "ar-mu*a*²a*iy²ũ": "venant du meilleur",
        "ar-mu*a*²a*ũ": "très supérieur",
        "ar-mu*â*a*@ũ": "rivaliser de mérite",
        "ar-muta*a*²i*ũ": "supérieur ; en vêtement de travail",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "demander trop",
        "ar-ta**î*ũ": "préférence, supériorité",
        "ar-ta*a*²a*a": "accorder une faveur",
        "ar-ta*a*²u*ũ": "complaisance",
        "ar-ta*â*a*a": "contribuer à faire valoir",
        "ar-ta*â*u*iy²ũ": "différentiel",
        "ar-ta*â*u*ũ": "différenciation",
    },  # 53
    "ar-fSl": {
        "aa_sens": "disjoindre",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "bouture",
        "ar-*a**ũ": "section",
        "ar-*a*a*a-i": "disjoindre",
        "ar-*a*²a*a": "dépecer",
        "ar-*a*²â*ũ": "panégyriste",
        "ar-*a*î*@ũ": "partie d'un membre",
        "ar-*a*î*ũ": "petit sevré",
        "ar-*awâ*i*u": "{{p}} intercalaires",
        "ar-*ay*a*iy²ũ": "arbitre",
        "ar-*ay*a*ũ": "sentence",
        "ar-*i**ânũ": "{{p}} petits sevrés",
        "ar-*i*â*ũ": "sevrage",
        "ar-*ta*a*a": "sevrer",
        "ar-*u**ânũ": "{{p}} petits sevrés",
        "ar-*u*û*ũ": "séparation",
        "ar-*â*a*a": "se séparer",
        "ar-*â*i*@ũ": "intercalaire",
        "ar-*â*i*ũ": "qui sépare",
        "ar-a**a*a": "",
        "ar-ma**i*ũ": "articulation",
        "ar-ma*â*i*u": "{{p}} articulations",
        "ar-mi**a*ũ": "langue",
        "ar-mu*a*²a*@ũ": "charnière",
        "ar-mu*a*²a*ũ": "séparé",
        "ar-mun*a*a*ũ": "détaché",
        "ar-mun*a*i*ũ": "distingué",
        "ar-n*a*a*a": "être séparé",
        "ar-n*i*â*iy²@ũ": "séparatisme",
        "ar-n*i*â*iy²ũ": "séparatiste",
        "ar-n*i*â*ũ": "séparation",
        "ar-sta**a*a": "",
        "ar-ta**î*@ũ": "coupon",
        "ar-ta**î*iy²ũ": "analytique",
        "ar-ta**î*ũ": "détailler",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
        "ar-ta*â*î*u": "{{p}} coupons",
    },  # 40
    "ar-fhm": {
        "aa_sens": "comprendre",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "intelligence",
        "ar-*a*i*a-a": "comprendre",
        "ar-*a*i*ũ": "intelligent",
        "ar-*a*²a*a": "faire comprendre",
        "ar-*a*â*@ũ": "très compréhensif",
        "ar-*a*î*ũ": "intelligent",
        "ar-*ta*a*a": "se rendre compte",
        "ar-*â*a*a": "",
        "ar-a**a*a": "faire comprendre",
        "ar-ma**û*ũ": "sens",
        "ar-muta*a*²a*ũ": "qui est d'accord",
        "ar-n*a*a*a": "comprendre",
        "ar-sta**a*a": "vouloir comprendre",
        "ar-sti**â*iy²ũ": "interrogatif",
        "ar-sti**â*ũ": "question",
        "ar-ta**î*ũ": "directive",
        "ar-ta*a*²a*a": "arriver à comprendre",
        "ar-ta*a*²u*ũ": "compréhension",
        "ar-ta*â*a*a": "être d'accord",
        "ar-ta*â*u*ũ": "accord, entente",
    },  # 23
    "ar-fjr": {
        "aa_sens": "fendre",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "lit majeur",
        "ar-*a**ũ": "aube",
        "ar-*a*a*@ũ": "{{p}} libertins",
        "ar-*a*a*a-u": "fendre",
        "ar-*a*a*ũ": "générosité",
        "ar-*a*²a*a": "écarter",
        "ar-*a*â*ũ": "scélératesse",
        "ar-*a*û*ũ": "chemins",
        "ar-*i*â*ũ": "chemins",
        "ar-*ta*a*a": "mentir",
        "ar-*u**@ũ": "lit d'un torrent",
        "ar-*u*u*ũ": "{{p}} chemins",
        "ar-*u*²â*ũ": "{{p}} libertins",
        "ar-*u*û*ũ": "impiété",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "libertin",
        "ar-*â*û*ũ": "fornicateur",
        "ar-a**a*a": "être adultère",
        "ar-ma**a*@ũ": "bassin d'un cours d'eau",
        "ar-ma*â*i*u": "{{p}} bassins de cours d'eau",
        "ar-mu**i*ũ": "au point du jour",
        "ar-mun*a*a*ũ": "voie d'eau",
        "ar-mun*a*i*ũ": "qui fait jour",
        "ar-n*a*a*a": "se vider",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "jaillir",
        "ar-ta*â*a*a": "",
    },  # 30
    "ar-fkr": {
        "aa_sens": "penser",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "réflexion",
        "ar-*a*a*a-u": "réfléchir",
        "ar-*a*²a*a": "remémorer",
        "ar-*a*î*ũ": "méditatif",
        "ar-*a*û*ũ": "qui pense beaucoup",
        "ar-*ay*a*ũ": "qui pense beaucoup",
        "ar-*i**@ũ": "réflexion",
        "ar-*i**é": "méditation",
        "ar-*i**ũ": "réflexion",
        "ar-*i*a*ũ": "{{p}} pensées",
        "ar-*i*²î*ũ": "qui pense beaucoup",
        "ar-*ta*a*a": "penser à",
        "ar-*â*a*a": "",
        "ar-a**a*a": "remémorer",
        "ar-muta*a*²i*ũ": "pensif",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*@ũ": "mémorial",
        "ar-ta**î*ũ": "réminiscence",
        "ar-ta*a*²a*a": "être pensif",
        "ar-ta*â*a*a": "",
    },  # 24
    "ar-frX": {
        "aa_sens": "éclore",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "{{f}} poussin femelle",
        "ar-*a**ũ": "poussin",
        "ar-*a*i*a-a": "être quiet",
        "ar-*a*²a*a": "pulluler",
        "ar-*i*â*ũ": "volaille",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "faire éclore",
        "ar-mu**i*@ũ": "poulailler",
        "ar-mu**i*ũ": "qui a des poussins",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "élever des oiseaux",
        "ar-ta**î*ũ": "incubation",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 18
    "ar-ftH": {
        "aa_sens": "débouché, ouvert, qui a le goulot large",
        "ar-*a**@ũ": "faire une fois l'action d'ouvrir / innaugurer / juger",
        "ar-*a**ũ": "action d'ouvrir, innauguration, jugement, voyelle ''a''",
        "ar-*a*a*a-a": "ouvrir, innaugurer, décider",
        "ar-*a*²a*a": "rendre ouvert",
        "ar-*a*²â*ũ": "qui ouvre tout ce qui est fermé ; juge",
        "ar-*a*â*@ũ": "assistance ; victoire",
        "ar-*a*û*ũ": "première pluie de printemps",
        "ar-*i*â*@ũ": "jugement, arrêt qui termine la contestation",
        "ar-*ta*a*a": "entamer une question, innaugurer, s'emparer de",
        "ar-*ti*â*ũ": "ouverture, commencement, innauguration",
        "ar-*u**@ũ": "orgueil que l'on tire d'un avantage, vanité",
        "ar-*u**é": "vent",
        "ar-*u*u*ũ": "ouvert, qui a le goulot large",
        "ar-*u*â*@ũ": "jugement, arrêt qui termine la contestation",
        "ar-*u*û*âtũ": "({{p}}) victoires et conquêtes",
        "ar-*u*û*ũ": "({{p}}) ouverts ; grâces divines",
        "ar-*â*a*a": "ouvrir une interaction avec quelqu'un, proposer un prix, soumettre au juge",
        "ar-*â*i*@ũ": "({{f}}) celle qui ouvre ; ouverture, exorde",
        "ar-*â*i*ũ": "qui ouvre, qui conquiert",
        "ar-a**a*a": "s'ouvrir, avoir le canal du lait large (se dit d'une femelle).",
        "ar-ma**a*ũ": "trésor, garde-meuble",
        "ar-ma**û*@ũ": "({{f}}) ouverte",
        "ar-ma**û*ũ": "ouvert",
        "ar-ma*â*i*u": "({{p}}) ouverts",
        "ar-ma*â*î*u": "({{fp}}) ouvertes ; chamelles grasses",
        "ar-mi**a*ũ": "clef",
        "ar-mi**â*ũ": "clef",
        "ar-mu*ta*i*ũ": "(régiment) organisé, équipé et au complet",
        "ar-mu*â*a*@ũ": "le fait d'ouvrir une interaction",
        "ar-mun*a*i*ũ": "ouvert",
        "ar-n*a*a*a": "s'ouvrir, s'épanouir, se soumettre",
        "ar-sta**a*a": "chercher l'aide de quelqu'un ou Dieu, chercher à ouvrir, chercher à expliquer",
        "ar-sti**â*ũ": "étrenne, première vente",
        "ar-ta*a*²a*a": "s'ouvrir, s'épancher",
        "ar-ta*â*a*a": "s'ouvrir l'un à l'autre",
    },  # 36
    "ar-hmz": {
        "aa_sens": "piquer",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "hamza",
        "ar-*a**ũ": "piqûre",
        "ar-*a*a*a-u": "piquer",
        "ar-*a*a*âtũ": "suggestion",
        "ar-*a*a*é": "violent",
        "ar-*a*²a*a": "",
        "ar-*a*²â*ũ": "diffamateur",
        "ar-*a*î*ũ": "violent",
        "ar-*ta*a*a": "être hamzé",
        "ar-*u**@ũ": "calomniateur",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "médisant",
        "ar-a**a*a": "",
        "ar-mi**a*@ũ": "fouet",
        "ar-mi**a*ũ": "éperon",
        "ar-mi**â*ũ": "éperon",
        "ar-n*a*a*a": "être pressé",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 23
    "ar-hnds": {
        "aa_sens": "géomètre",
        "ar-***ũ": "",
        "ar-*a**a*@ũ": "géométrie",
        "ar-*a**a*a": "dessiner géométriquement",
        "ar-*a**a*iy²ũ": "technique",
        "ar-*a**û*ũ": "habile",
        "ar-*a*â*i*u": "{{p}} habiles",
        "ar-*i**i*ũ": "ingénieux",
        "ar-*i**â*@ũ": "coudée",
        "ar-mu*a**i*ũ": "ingénieur",
    },  # 10
    "ar-hndz": {
        "aa_sens": "coudée",
        "ar-**a*²a": "",
        "ar-*a**a*a": "mesurer",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "",
        "ar-*i**â*@ũ": "coudée",
        "ar-*i**â*ũ": "mesure",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 14
    "ar-htf": {
        "aa_sens": "voix qu'on entend, appel",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "appel",
        "ar-*a**é": "qui rend un son",
        "ar-*a*a*a-i": "crier",
        "ar-*a*a*ũ": "voix",
        "ar-*a*²a*a": "appeler",
        "ar-*a*²â*ũ": "qui rend un son",
        "ar-*a*û*ũ": "qui rend un son",
        "ar-*ta*a*a": "",
        "ar-*u*â*ũ": "exclamation",
        "ar-*â*a*a": "",
        "ar-*â*i*iy²ũ": "par téléphone",
        "ar-*â*i*ũ": "téléphone",
        "ar-a**a*a": "s'encourager mutuellement",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 19
    "ar-hzl": {
        "aa_sens": "maigreur ; plaisanterie",
        "ar-**a*²a": "",
        "ar-*a**é": "les serpents",
        "ar-*a**ũ": "plaisanterie",
        "ar-*a*a*a-i": "amaigrir ; plaisanter",
        "ar-*a*a*a-u": "être maigre",
        "ar-*a*i*a-a": "plaisanter",
        "ar-*a*i*ũ": "plaisant, badin",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "amaigrir",
        "ar-*a*î*@ũ": "{{f}} mince et maigre",
        "ar-*a*î*ũ": "mince et maigre",
        "ar-*ay*a*@ũ": "bête de somme",
        "ar-*ta*a*a": "",
        "ar-*u*â*@ũ": "plaisanterie",
        "ar-*u*â*ũ": "maigreur",
        "ar-*â*a*a": "plaisanter",
        "ar-a**a*a": "trouver maigre ; trouver plaisant",
        "ar-ma**û*ũ": "amaigri",
        "ar-ma*â*i*u": "années maigres",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 24
    "ar-jff": {
        "aa_sens": "sec",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "multitude",
        "ar-*a**ũ": "grande foule",
        "ar-*a*a*a-i": "sécher",
        "ar-*a*i*a-a": "être sec",
        "ar-*a*²a*a": "sécher",
        "ar-*a*â*ũ": "sécheresse",
        "ar-*a*î*ũ": "sec",
        "ar-*ta*a*a": "mettre à sec",
        "ar-*u**@ũ": "grand nombre",
        "ar-*u**ũ": "nombre immense",
        "ar-*u*â*@ũ": "foin",
        "ar-*u*â*ũ": "partie sèche",
        "ar-*â**ũ": "sec",
        "ar-*â*a*a": "",
        "ar-*û*â*@ũ": "ce qui sèche",
        "ar-a**a*a": "",
        "ar-mu*a*²a*ũ": "desséché",
        "ar-mu*a*²i*ũ": "qui sèche",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**â*ũ": "dessiccation",
        "ar-ta**î*ũ": "dessiccation",
        "ar-ta*a*²a*a": "se dessécher",
        "ar-ta*â*a*a": "",
        "ar-ti**â*ũ": "bard",
    },  # 28
    "ar-jhD": {
        "aa_sens": "avorter",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "avortement",
        "ar-*a*a*a-a": "soustraire",
        "ar-*a*i*ũ": "abortif",
        "ar-*a*²a*a": "",
        "ar-*a*â*@ũ": "astuce",
        "ar-*a*î*ũ": "abortif",
        "ar-*awâ*i*u": "{{p}} poulains",
        "ar-*ta*a*a": "",
        "ar-*u*û*@ũ": "astuce",
        "ar-*â*a*a": "devancer",
        "ar-*â*i*@ũ": "poulain",
        "ar-*â*i*ũ": "rusé",
        "ar-a**a*a": "avorter",
        "ar-ma*â*î*u": "{{p}} qui ont avorté",
        "ar-mu**a*ũ": "abortif",
        "ar-mu**i*ũ": "qui a avorté",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 23
    "ar-jhd": {
        "aa_sens": "effort, tension",
        "ar-**a*²a": "",
        "ar-*a**ũ": "effort",
        "ar-*a*a*a-a": "s'efforcer ; éprouver",
        "ar-*a*i*a-a": "être pénible",
        "ar-*a*²a*a": "",
        "ar-*a*â*ũ": "sol dur et stérile",
        "ar-*a*î*ũ": "recherché",
        "ar-*i*â*iy²ũ": "appartenant à l'armée",
        "ar-*i*â*ũ": "lutte, effort",
        "ar-*ta*a*a": "lutter contre la difficulté",
        "ar-*ti*â*ũ": "assiduité",
        "ar-*u**ũ": "pouvoir, faculté",
        "ar-*u*i*a": "souffrir",
        "ar-*â*a*a": "résister; combattre",
        "ar-*â*i*ũ": "qui fait des efforts",
        "ar-a**a*a": "forcer à faire",
        "ar-ma**û*ũ": "surchargé",
        "ar-mu*ta*i*ũ": "qui s'est appliqué",
        "ar-mu*â*a*@ũ": "guerre",
        "ar-mu*â*i*ũ": "lutteur",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "considérer",
        "ar-ta*a*²a*a": "s'évertuer",
        "ar-ta*â*a*a": "",
    },  # 25
    "ar-jls": {
        "aa_sens": "être assis",
        "ar-*a**ũ": "grande dame",
        "ar-*a*a*a-i": "être assis",
        "ar-*a*²a*a": "faire asseoir",
        "ar-*a*î*ũ": "compagnon, ami",
        "ar-*i**@ũ": "séance",
        "ar-*i**iy²ũ": "iris",
        "ar-*i**ũ": "familier",
        "ar-*u*a*@ũ": "casanier",
        "ar-*u*û*ũ": "compagnie",
        "ar-*â*a*a": "tenir compagnie",
        "ar-a**a*a": "faire asseoir",
        "ar-ma**i*@ũ": "lieu ou temps où l'on est assis",
        "ar-ma**i*ũ": "lieu ou temps où l'on est assis",
        "ar-sta**a*a": "s'asseoir à côté de quelqu'un",
        "ar-ta*a*²a*a": "tenir séance",
        "ar-ta*â*a*a": "être en conférence",
    },  # 17
    "ar-jm3": {
        "aa_sens": "rassembler, contenir",
        "ar-**â*ũ": "grande quantité",
        "ar-*a**iy²@ũ": "recueillement",
        "ar-*a**ũ": "addition, troupe",
        "ar-*a*a*a-a": "rassembler",
        "ar-*a*²a*a": "rassembler, énumérer",
        "ar-*a*²â*ũ": "qui rassemble",
        "ar-*a*â*@ũ": "assemblée, société",
        "ar-*a*î*@ũ": "rassemblement",
        "ar-*a*î*ũ": "armée",
        "ar-*a*û*ũ": "qui contient",
        "ar-*awâ*i*u": "sermon",
        "ar-*i*â*ũ": "réunion, totalité",
        "ar-*ta*a*a": "se rencontrer, se concerter",
        "ar-*ti*â*ũ": "réunion, vie sociale",
        "ar-*u**@ũ": "union, réunion",
        "ar-*u**ũ": "contraction, réunion",
        "ar-*u*a*@ũ": "vendredi ; semaine",
        "ar-*u*a*ũ": "tout entier",
        "ar-*u*ay²i*@ũ": "petite troupe",
        "ar-*u*u*@ũ": "vendredi ; semaine",
        "ar-*u*²â*ũ": "agrégation",
        "ar-*â*a*a": "être en concubinage",
        "ar-*â*i*@ũ": "université",
        "ar-*â*i*ũ": "qui réunit",
        "ar-a**a*a": "réunir, prendre en entier",
        "ar-a**a*ũ": "tout, entier",
        "ar-ma**a*@ũ": "désert",
        "ar-ma**a*ũ": "point de rassemblement",
        "ar-ma**û*ũ": "rassemblé",
        "ar-mu**a*ũ": "statué, convenu",
        "ar-mu**i*ũ": "année stérile",
        "ar-mu*a*²a*ũ": "réuni, décidé",
        "ar-mu*ta*i*ũ": "dans la force de l'âge",
        "ar-sta**a*a": "être rassemblé, affluer",
        "ar-ta*a*²a*a": "s'attrouper",
    },  # 36
    "ar-jml": {
        "aa_sens": "totalité, beauté ; chameau",
        "ar-**a*²a": "",
        "ar-**â*iy²ũ": "total, collectif",
        "ar-**â*ũ": "résumé",
        "ar-*a**â'u": "{{f}} au corps bien fait",
        "ar-*a**ũ": "chameau",
        "ar-*a*a*a-u": "réunir, rassembler",
        "ar-*a*a*ũ": "chameau ; palmier",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "être beau",
        "ar-*a*²a*a": "embellir",
        "ar-*a*²â*@ũ": "éleveur de chameaux",
        "ar-*a*²â*ũ": "chamelier",
        "ar-*a*â*@ũ": "troupeau de chameaux ; chevaux",
        "ar-*a*â*iy²ũ": "esthétique",
        "ar-*a*â*âtũ": "{{p}} chameaux",
        "ar-*a*â*ũ": "beauté, Djamel",
        "ar-*a*âyi*u": "{{p}} groupes de chameaux",
        "ar-*a*î*@ũ": "{{f}} belle ; bande",
        "ar-*a*î*ũ": "beau ; grâce",
        "ar-*a*û*ũ": "qui fond la graisse",
        "ar-*i*â*@ũ": "{{p}} chameaux",
        "ar-*i*â*ũ": "{{p}} chameaux",
        "ar-*ta*a*a": "manger du chameau",
        "ar-*u**@ũ": "{{sp}} phrase, totalité",
        "ar-*u**ân@ũ": "rossignol",
        "ar-*u**ũ": "chameaux ; câble",
        "ar-*u*a*ũ": "addition ; câble",
        "ar-*u*ay*ân@ũ": "rossignol",
        "ar-*u*u*ũ": "câble ; foule",
        "ar-*u*²a*ũ": "addition ; câble",
        "ar-*u*²â*ũ": "très beau",
        "ar-*u*â*@ũ": "troupeau de chameaux ; chevaux",
        "ar-*u*â*âtũ": "{{p}} chameaux",
        "ar-*u*â*ũ": "beau",
        "ar-*â*a*a": "user de bons procédés",
        "ar-*â*i*ũ": "{{p}} chameaux ;  troupe à chameau",
        "ar-a**a*a": "résumer ; bien agir",
        "ar-a**a*u": "blus beau",
        "ar-a**â*ũ": "{{p}} groupes de chameaux",
        "ar-a*â*i*u": "{{p}} groupes de chameaux",
        "ar-mu**a*ũ": "résumé",
        "ar-mu**i*ũ": "qui résume",
        "ar-mu*a*²a*ũ": "embelli",
        "ar-mu*â*a*@ũ": "civilité",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "devenir chameau fait",
        "ar-ta**î*iy²ũ": "cosmétique",
        "ar-ta**î*ũ": "embellissement",
        "ar-ta*a*²a*a": "agir honnêtement",
        "ar-ta*a*²u*ũ": "splendeur",
        "ar-ta*â*a*a": "",
    },  # 52
    "ar-jnn": {
        "aa_sens": "couvrir, cacher, folie",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "jardin",
        "ar-*a**ũ": "recouvrement",
        "ar-*a*a*a-i": "être enveloppé",
        "ar-*a*a*a-u": "couvrir, cacher",
        "ar-*a*a*ũ": "tombeau, suaire",
        "ar-*a*²a*a": "",
        "ar-*a*â*ũ": "voile, intérieur",
        "ar-*a*î*@ũ": "voile de tête",
        "ar-*a*î*ũ": "caché",
        "ar-*a*û*ũ": "{{p}} démons",
        "ar-*i**@ũ": "génies",
        "ar-*i**iy²@ũ": "fée",
        "ar-*i**iy²ũ": "relatif aux génies",
        "ar-*i**ũ": "djinn",
        "ar-*i*â*ũ": "{{p}} démons, génies",
        "ar-*ta*a*a": "être couvert",
        "ar-*u**@ũ": "abri",
        "ar-*u*â*@ũ": "bouclier",
        "ar-*u*â*ũ": "obscurité, bouclier",
        "ar-*u*û*ũ": "folie",
        "ar-*â**ũ": "démon, génie",
        "ar-*â*a*a": "",
        "ar-a**a*a": "rendre fou",
        "ar-a**i*@ũ": "{{p}} objet caché",
        "ar-ma**a*@ũ": "pays hanté",
        "ar-ma**û*ũ": "fou",
        "ar-ma*â*î*u": "{{p}} fous",
        "ar-mi**a*@ũ": "bouclier",
        "ar-mi**a*ũ": "ceinture, bouclier",
        "ar-mu**a*ũ": "fou",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "être caché",
        "ar-ta*a*²a*a": "devenir fou",
        "ar-ta*â*a*a": "être fou",
    },  # 36
    "ar-jns": {
        "aa_sens": "genre",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-i": "mûrir",
        "ar-*a*²a*a": "assimiler",
        "ar-*a*î*ũ": "semblable",
        "ar-*i**iy²@ũ": "origine commune",
        "ar-*i**iy²ũ": "générique",
        "ar-*i**ũ": "genre",
        "ar-*i*â*ũ": "assonance",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "être du même genre",
        "ar-a**a*a": "",
        "ar-mu*â*a*@ũ": "relation",
        "ar-mu*â*i*ũ": "similaire",
        "ar-muta*a*²i*ũ": "naturalisé",
        "ar-muta*â*i*ũ": "parent",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "emploi des assonances",
        "ar-ta*a*²a*a": "se faire naturaliser",
        "ar-ta*a*²u*ũ": "naturalisation",
        "ar-ta*â*a*a": "être apparenté",
        "ar-ta*â*u*ũ": "ressemblance",
    },  # 24
    "ar-jnw": {
        "aa_sens": "agir injustement",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "injustice",
        "ar-*a*a*a-i": "agir injustement",
        "ar-*a*i*iy²@ũ": "crime",
        "ar-*a*i*iy²ũ": "arraché de l'arbre",
        "ar-*a*²a*a": "arracher, enlever",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "criminel",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "accuser faussement",
        "ar-ta*â*a*a": "",
    },  # 15
    "ar-jny": {
        "aa_sens": "cueillir",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-i": "cueillir",
        "ar-*a*a*ũ": "dattes fraîches",
        "ar-*a*²a*a": "cueillir",
        "ar-*a*â*ũ": "fruits cueillis",
        "ar-*a*î*@ũ": "manteau de soie",
        "ar-*a*î*ũ": "frais cueilli",
        "ar-*i*â*@ũ": "délit, amende",
        "ar-*ta*a*a": "cueillir",
        "ar-*â*a*a": "",
        "ar-a**a*a": "abonder",
        "ar-ma**a*ũ": "cueilli",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "cueillir",
        "ar-ta*â*a*a": "",
    },  # 18
    "ar-jry": {
        "aa_sens": "courir",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "impulsion",
        "ar-*a**ũ": "cours",
        "ar-*a*a*a-i": "courir",
        "ar-*a*a*ũ": "jeunesse",
        "ar-*a*²a*a": "entraîner",
        "ar-*a*â*@ũ": "jeunesse",
        "ar-*a*â*ũ": "jeunesse",
        "ar-*a*î*ũ": "jeune",
        "ar-*awâ*i*u": "{{p}} bateaux",
        "ar-*i**@ũ": "manière de courir",
        "ar-*i*â*@ũ": "paye",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "concourir",
        "ar-*â*i*@ũ": "fille",
        "ar-*â*i*âtũ": "{{p}} filles",
        "ar-*â*i*ũ": "qui coule",
        "ar-a**a*a": "faire courir",
        "ar-a**i*â'u": "{{p}} jeunes",
        "ar-ma**a*ũ": "lieu d'écoulement",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "confier une mission",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "convenir",
    },  # 26
    "ar-jw3": {
        "aa_sens": "faim",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "accès de faim",
        "ar-*a**ânũ": "qui a faim",
        "ar-*a*a*a-u": "avoir faim",
        "ar-*a*²a*a": "affamer",
        "ar-*a*î*ũ": "qui a faim",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "faim",
        "ar-*â*a*a": "",
        "ar-a**a*a": "couper les vivres",
        "ar-ma**a*@ũ": "faim",
        "ar-ma**a*ũ": "appétit",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "crier famine",
        "ar-ta*a*²a*a": "supporter la faim",
        "ar-ta*â*a*a": "",
    },  # 17
    "ar-kFr": {
        "aa_sens": "multitude",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "abondance",
        "ar-*a**ãé": "Kathra",
        "ar-*a**ũ": "nombreux",
        "ar-*a*a*a-u": "se multipier",
        "ar-*a*a*ũ": "moelle du palmier",
        "ar-*a*u*a": "arriver souvent",
        "ar-*a*²a*a": "accroître",
        "ar-*a*î*â'u": "résine de cèdre",
        "ar-*a*î*ũ": "abondant, fréquent",
        "ar-*aw*a*ũ": "abondant",
        "ar-*ay*a*ũ": "abondant",
        "ar-*i**@ũ": "abondance",
        "ar-*i**ũ": "grand nombre",
        "ar-*i*â*ũ": "cohortes",
        "ar-*ta*a*a": "",
        "ar-*u**ãé": "excès de vin",
        "ar-*u**ũ": "grand nombre",
        "ar-*u*â*ũ": "multitudes",
        "ar-*â*a*a": "rivaliser en nombre",
        "ar-*â*i*ũ": "nombreux",
        "ar-a**a*a": "faire beaucoup",
        "ar-a**a*iy²ũ": "fréquent",
        "ar-a**a*u": "le plus fréquent",
        "ar-ma**i*ũ": "riche",
        "ar-ma**û*ũ": "dépassé en nombre",
        "ar-mi**â*ũ": "qui parle trop",
        "ar-mi**î*ũ": "qui parle trop",
        "ar-mu*a*²i*ũ": "pluriel",
        "ar-mu*â*a*@ũ": "attaque en force",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "demander beaucoup",
        "ar-ta*a*²a*a": "être riche en",
        "ar-ta*aw*a*a": "être très épais",
        "ar-ta*â*a*a": "pulluler",
        "ar-ta*â*u*ũ": "grand nombre",
    },  # 38
    "ar-kHl": {
        "aa_sens": "khôl",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*²a": "commencer à se couvrir de verdure",
        "ar-*a**@ũ": "coquillage",
        "ar-*a**u": "année stérile",
        "ar-*a**â'u": "{{f}} aux yeux sombres",
        "ar-*a**ũ": "voûte azurée du ciel",
        "ar-*a*a*a-u": "enduire de collyre",
        "ar-*a*a*ũ": "avoir des paupières sombres",
        "ar-*a*i*a-a": "avoir les paupières sombres",
        "ar-*a*i*ũ": "enduit de collyre",
        "ar-*a*²a*a": "enduire de collyre",
        "ar-*a*²â*ũ": "oculiste",
        "ar-*a*î*â'u": "buglosse, bourrache",
        "ar-*a*î*ũ": "enduit de collyre",
        "ar-*awâ*i*u": "{{p}} os de la cheville",
        "ar-*i*â*@ũ": "science d'oculiste",
        "ar-*i*â*ũ": "collyre",
        "ar-*ta*a*a": "se mettre du collyre",
        "ar-*u**@ũ": "jointoiement",
        "ar-*u**iy²ũ": "bleu marine",
        "ar-*u**ũ": "collyre",
        "ar-*u*ay*iy²ũ": "cheval de la meilleure race",
        "ar-*u*ay*ânu": "cheval de la meilleure race",
        "ar-*u*ay*ũ": "poix, naphte",
        "ar-*u*û*iy²ũ": "alcoolique",
        "ar-*u*û*ũ": "alcool",
        "ar-*â*a*a": "prendre en haine",
        "ar-*â*i*ũ": "os de la cheville",
        "ar-a**a*a": "se couvrir de verdure",
        "ar-a**a*u": "aux yeux sombres",
        "ar-ma**û*ũ": "enduit de collyre",
        "ar-ma*â*i*u": "{{p}} boîtes à collyre",
        "ar-mi**a*ũ": "aiguille à collyre",
        "ar-mi**â*ũ": "aiguille à collyre",
        "ar-mu**u*@ũ": "boîte à collyre",
        "ar-mu**u*âtiy²ũ": "occuliste",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "s'enduire les yeux",
        "ar-ta*a*²a*a": "se mettre du collyre",
        "ar-ta*â*a*a": "",
    },  # 43
    "ar-kbs": {
        "aa_sens": "fourrer, presser",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "attaque, charge",
        "ar-*a*a*a-i": "fourrer",
        "ar-*a*²a*a": "masser",
        "ar-*a*î*ũ": "farci, bourré",
        "ar-*i**ũ": "lignage",
        "ar-*i*â*@ũ": "grappe de dattes",
        "ar-*ta*a*a": "",
        "ar-*u*²a*ũ": "{{p}} escarpés",
        "ar-*u*â*ũ": "encapuchonné",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "saillant",
        "ar-*â*û*ũ": "cauchemar",
        "ar-a**a*a": "",
        "ar-a**a*u": "saillant",
        "ar-ma**û*ũ": "rempli, bourré",
        "ar-mu*a*²i*ũ": "qui baisse les yeux",
        "ar-n*a*a*a": "se soumettre",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "philie",
        "ar-ta*a*²a*a": "être comblé",
        "ar-ta*â*a*a": "",
    },  # 24
    "ar-kcd": {
        "aa_sens": "tirer",
        "ar-*a**ũ": "gain, abondant",
        "ar-*a*a*a-i": "mordre, traire",
        "ar-*a*a*ũ": "gagneur",
        "ar-*a*û*ũ": "qui donne avec abondance",
        "ar-a**a*a": "écumer",
    },  # 6
    "ar-kfr": {
        "aa_sens": "couvrir, renier",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "ténèbres",
        "ar-*a**ũ": "village",
        "ar-*a*a*a-i": "couvrir",
        "ar-*a*a*a-u": "renier",
        "ar-*a*a*ũ": "aigle",
        "ar-*a*i*ũ": "grand et raide",
        "ar-*a*²a*a": "recouvrir, se cacher",
        "ar-*a*²â*@ũ": "expiation",
        "ar-*a*²â*ũ": "très ingrat",
        "ar-*a*û*ũ": "impie",
        "ar-*i**ũ": "ténèbres",
        "ar-*ta*a*a": "habiter toujours le même vilage",
        "ar-*u**@ũ": "ingratitude",
        "ar-*u**ũ": "ingratitude, infidélité",
        "ar-*u*â*iy²ũ": "qui a de grandes oreilles",
        "ar-*â*a*a": "nier une dette",
        "ar-*â*i*ũ": "qui cache",
        "ar-*â*û*ũ": "camphre",
        "ar-a**a*a": "blasphémer",
        "ar-ma**û*ũ": "couvert",
        "ar-mu*a*²a*ũ": "qui éprouve de l'ingratitude",
        "ar-mu*a*²i*ũ": "armé de pied en cap",
        "ar-muta*a*²i*ũ": "couvert d'armure",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "expiation",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 31
    "ar-khrb": {
        "aa_sens": "électricité",
        "ar-***ũ": "",
        "ar-*a**a*@ũ": "électrisation",
        "ar-*a**a*a": "électrifier",
        "ar-*a**a*iy²@ũ": "électricité",
        "ar-*a**a*iy²ũ": "électronique",
        "ar-*a**a*â'iy²@ũ": "électricité",
        "ar-*a**a*â'iy²ũ": "électrique",
        "ar-*a**a*â'u": "électricité",
        "ar-*a**a*ũ": "électron",
        "ar-*a*â*i*iy²ũ": "électronique",
        "ar-*a*â*i*u": "{{p}} électrons",
        "ar-*u*ay*i*iy²ũ": "électronique",
        "ar-*u*ay*i*âtũ": "{{p}} électrons",
        "ar-*u*ay*i*ũ": "électron",
        "ar-mu*a**a*ũ": "électrisé",
        "ar-ta*a**a*a": "être électrifié",
    },  # 17
    "ar-klm": {
        "aa_sens": "parole ; (blessure)",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "parole",
        "ar-*a**âniy²ũ": "bavard",
        "ar-*a**âtũ": "{{p}} paroles",
        "ar-*a**ũ": "blessure",
        "ar-*a*a*@ũ": "mot, parole",
        "ar-*a*a*a-i": "blesser",
        "ar-*a*a*âniy²ũ": "bavard",
        "ar-*a*a*ânũ": "logorrhée",
        "ar-*a*i*@ũ": "mot, vers",
        "ar-*a*i*âtũ": "{{p}} mots, vers",
        "ar-*a*i*ũ": "{{p}} mots, vers",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "blesser ; parler",
        "ar-*a*²â*ũ": "blessure, discours",
        "ar-*a*â*ũ": "discours, langue",
        "ar-*a*î*ũ": "interlocuteur ; blessé",
        "ar-*i**@ũ": "mot, vers",
        "ar-*i*a*@ũ": "mot, parole",
        "ar-*i*a*ũ": "{{p}} mots, paroles",
        "ar-*i*â*ũ": "{{p}} blessures",
        "ar-*ta*a*a": "",
        "ar-*u*â*ũ": "sol inégal",
        "ar-*u*û*ũ": "{{p}} blessures",
        "ar-*â*a*a": "converser",
        "ar-a**a*a": "",
        "ar-ma**û*ũ": "blessé",
        "ar-mu*â*a*@ũ": "conférence",
        "ar-mu*â*i*ũ": "qui parle",
        "ar-muta*a*²a*ũ": "parloir",
        "ar-muta*a*²i*ũ": "qui parle",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**â*@ũ": "éloquent",
        "ar-ta**â*ũ": "éloquent",
        "ar-ta**î*ũ": "discours",
        "ar-ta*a*²a*a": "s'exprimer",
        "ar-ta*a*²u*ũ": "discours",
        "ar-ta*a*²â*@ũ": "éloquent",
        "ar-ta*a*²â*ũ": "éloquent",
        "ar-ta*â*a*a": "avoir un entretien",
        "ar-ta*â*u*ũ": "entretien",
        "ar-ti*i*²â*ũ": "discours",
    },  # 44
    "ar-kml": {
        "aa_sens": "achever",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "être complet",
        "ar-*a*a*ũ": "totalité",
        "ar-*a*²a*a": "achever",
        "ar-*a*â*@ũ": "complément",
        "ar-*a*â*iy²ũ": "de luxe",
        "ar-*a*â*ũ": "perfection",
        "ar-*a*î*ũ": "complet",
        "ar-*ta*a*a": "mûrir",
        "ar-*ti*â*ũ": "maturité",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "parfait",
        "ar-a**a*a": "rendre complet",
        "ar-a**a*u": "le plus parfait",
        "ar-mi**a*ũ": "fini",
        "ar-mu*a*²a*ũ": "terminé",
        "ar-muta*â*i*ũ": "intégral",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "compléter",
        "ar-sti**â*ũ": "conclusion",
        "ar-ta**î*iy²ũ": "supplémentaire",
        "ar-ta**î*ũ": "achèvement",
        "ar-ta*a*²a*a": "être achevé",
        "ar-ta*â*a*a": "être parfait",
        "ar-ta*â*u*iy²ũ": "unifié",
        "ar-ta*â*u*ũ": "intégration",
    },  # 28
    "ar-kns": {
        "aa_sens": "se blottir",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "balayage",
        "ar-*a*a*a-i": "se terrer",
        "ar-*a*a*a-u": "déblayer",
        "ar-*a*²a*a": "balayer",
        "ar-*a*²â*ũ": "balayeur",
        "ar-*a*â'i*u": "{{p}} églises",
        "ar-*a*î*@ũ": "fille modeste",
        "ar-*a*î*ũ": "sac à fourrage",
        "ar-*awâ*i*u": "{{p}} balayeurs",
        "ar-*i*â*ũ": "gîte de la gazelle",
        "ar-*ta*a*a": "",
        "ar-*u*u*ũ": "{{p}} gîtes de gazelle",
        "ar-*u*²a*ũ": "{{p}} balayeurs",
        "ar-*u*â*@ũ": "ordures",
        "ar-*u*û*ũ": "qui gîtent",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "qui balaye",
        "ar-a**a*a": "",
        "ar-ma**a*ũ": "gîte",
        "ar-ma**û*ũ": "balayé",
        "ar-ma*â*i*u": "{{p}} gîtes",
        "ar-mi**a*@ũ": "balai",
        "ar-mu*a*²i*ũ": "qui fait des balais",
        "ar-mu*â*i*ũ": "blotti au gîte",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "se terrer",
        "ar-ta*â*a*a": "",
    },  # 31
    "ar-krs": {
        "aa_sens": "mettre sur",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "poser, ranger ; consacrer",
        "ar-*i**ũ": "rangées",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "[[ardillon]]",
        "ar-*u**iy²ũ": "siège",
        "ar-*u*²â*@ũ": "cahier, fascicule",
        "ar-*â*a*a": "",
        "ar-a**a*a": "être maculé de fiente",
        "ar-n*a*a*a": "se baisser",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "être cohérent",
        "ar-ta*â*a*a": "empiler",
    },  # 15
    "ar-ksks": {
        "aa_sens": "broyer",
        "ar-*a**a*@ũ": "broyage",
        "ar-*a**a*a": "broyer, piler",
        "ar-*a**â*ũ": "marmite à couscous",
        "ar-*u**u*ũ": "couscous",
    },  # 5
    "ar-ktb": {
        "aa_sens": "relatif à l'action d'écrire, relier",
        "ar-*a**ũ": "le fait d'écrire",
        "ar-*a*a*@ũ": "écrivain, secrétaire",
        "ar-*a*a*a-u": "écrire",
        "ar-*a*²a*a": "enseigner l'écriture ; enrôler",
        "ar-*a*î*@ũ": "écrit, édit ; escadron, régiment",
        "ar-*a*î*ũ": "cousu, serré avec une ficelle",
        "ar-*i**@ũ": "recopie, action de copier, copie",
        "ar-*i*â*@ũ": "écrit, acte, inscription",
        "ar-*i*â*iy²ũ": "juif, homme du Livre",
        "ar-*i*â*ũ": "livre, écriture ; pièce écrite",
        "ar-*ta*a*a": "écrire sous la dictée ; inscrire ; nouer",
        "ar-*u**@ũ": "couture",
        "ar-*u*i*a": "(passif) être écrit",
        "ar-*u*u*iy²ũ": "relieur, marchand de livre",
        "ar-*u*u*ũ": "({{p}}) des livres",
        "ar-*u*²â*ũ": "école primaire ; écrivains, secrétaires",
        "ar-*â*a*a": "entretenir une correspondance",
        "ar-*â*i*ũ": "écrivain, secrétaire",
        "ar-a**a*a": "dicter ; enseigner l'écriture",
        "ar-el*i*â*u": "tout livre sacré",
        "ar-elma**û*u": "l'Écriture",
        "ar-ma**a*@ũ": "bibliothèque",
        "ar-ma**a*ũ": "lieu ou temps d'écrire ; école",
        "ar-ma**û*ũ": "chose écrite, destinée",
        "ar-ma*â*i*u": "({{p}}) écoles, bureaux",
        "ar-mu**a*ũ": "serré avec un cordon",
        "ar-mu**i*ũ": "maître d'écriture",
        "ar-mu*2aw2i*ũ": "gonflé, enflé, emplis",
        "ar-mu*a*²a*ũ": "couvert d'écrits ou de traits",
        "ar-mu*a*²i*ũ": "maître d'écriture",
        "ar-mu*â*a*@ũ": "correspondance ; le fait d'être en correspondance ; diplôme",
        "ar-mu*â*i*ũ": "correspondant ; racheté par ses gages",
        "ar-sta**a*a": "demander à quelqu'un d'écrire, prendre un secrétaire",
        "ar-ta**î*ũ": "le fait d'enseigner l'écriture",
        "ar-ta*a*²a*a": "former des escadrons",
        "ar-ta*â*a*a": "être en correspondance les uns avec les autres",
    },  # 37
    "ar-kwn": {
        "aa_sens": "être, exister",
        "ar-*a**ũ": "nom d'action de (i) ; parce que ; être",
        "ar-*a*a*a-u": "exister, être ainsi, avoir lieu",
        "ar-*a*²a*a": "faire exister, créer",
        "ar-*a*î*@ũ": "{{f}} qui est, qui existe ; accident",
        "ar-*a*î*ũ": "qui est, qui existe",
        "ar-*ay*â*u": "la planète Saturne",
        "ar-*i*â*@ũ": "caution, garantie",
        "ar-*i*â*ũ": "état intérieur ; nature propre",
        "ar-*ta*a*a": "exister, être ; être caution",
        "ar-*u**iy²ũ": "très âgé",
        "ar-ma**a*@ũ": "place ; rang ; intention",
        "ar-ma**a*ũ": "lieu, endroit ; demeure",
        "ar-ma**i*@ũ": "intention, ce que l'on se propose",
        "ar-mi*yâ3ũ": "garant, caution",
        "ar-mu*a*²i*ũ": "créateur",
        "ar-sta**a*a": "se faire humble",
        "ar-ta*a*²a*a": "exister ; s'établir ; se raffermir",
    },  # 18
    "ar-kyf": {
        "aa_sens": "plaisir",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**a": "comment?",
        "ar-*a**iy²@ũ": "manière",
        "ar-*a**iy²ũ": "arbitraire",
        "ar-*a**ũ": "humeur",
        "ar-*a*a*a-i": "couper",
        "ar-*a*²a*a": "former",
        "ar-*i**@ũ": "coupon d'étoffe",
        "ar-*i*a*ũ": "{{p}} coupons d'étoffe",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-mu*a*²i*@ũ": "conditionneur",
        "ar-mu*a*²i*âtũ": "opiacées",
        "ar-n*a*a*a": "être découpé",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "formation",
        "ar-ta*a*²a*a": "former",
        "ar-ta*a*²u*ũ": "adaptation",
        "ar-ta*â*a*a": "",
    },  # 22
    "ar-l3b": {
        "aa_sens": "hochet, jouer, baver",
        "ar-**a*²a": "",
        "ar-**â*ũ": "jeu",
        "ar-*a**@ũ": "jouet",
        "ar-*a**â'u": "La'ba",
        "ar-*a**ũ": "jeu",
        "ar-*a*a*a-a": "baver",
        "ar-*a*a*iy²@ũ": "mucilage",
        "ar-*a*i*a-a": "jouer",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "se divertir, plaisanter",
        "ar-*a*²â*ũ": "grand joueur",
        "ar-*a*û*ũ": "gai, enjoué",
        "ar-*i**@ũ": "manière de jouer",
        "ar-*i**ũ": "qui joue",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "jeu, partenaire",
        "ar-*u*a*ũ": "{{p}} divertissements",
        "ar-*u*ay*@ũ": "jeu",
        "ar-*u*â*iy²@ũ": "goutte de sève",
        "ar-*u*â*iy²ũ": "mucilagineux",
        "ar-*u*â*ũ": "bave",
        "ar-*â*a*a": "rire, mystifier",
        "ar-*â*i*@ũ": "mussaenda frondosa",
        "ar-*â*i*ũ": "joueur",
        "ar-a**a*a": "amuser",
        "ar-a**â*ũ": "{{p}} jeux",
        "ar-ma**a*@ũ": "aire de jeu, théâtre",
        "ar-ma**a*ũ": "aire de jeu, théâtre",
        "ar-ma**û*ũ": "baveux",
        "ar-mi**a*@ũ": "tenue de jeu",
        "ar-mu*²a*i*@ũ": "tenue de jeu",
        "ar-mu*â*i*ũ": "compagnon de jeu",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "donner des dattes non mûres",
        "ar-ta**â*ũ": "jeu ; joueur",
        "ar-ta**î*ũ": "salivation",
        "ar-ta*a*²a*a": "jouer sans cesse",
        "ar-ta*â*a*a": "mystifier",
        "ar-ti**â*@ũ": "amateur de jeu",
        "ar-ti**â*ũ": "amateur de jeu",
        "ar-ti**î*@ũ": "amateur de jeu",
        "ar-ti*i*²â*@ũ": "amateur de jeu",
        "ar-ti*i*²â*ũ": "amateur de jeu",
        "ar-u**u*ânũ": "qui aime le jeu",
        "ar-u**û*@ũ": "divertissement",
    },  # 46
    "ar-lHw": {
        "aa_sens": "barbe, querelle",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "blâme",
        "ar-*a*a*a-u": "blâmer",
        "ar-*a*²a*a": "",
        "ar-*i*a*iy²ũ": "de barbe",
        "ar-*ta*a*a": "avoir de la barbe",
        "ar-*â*a*a": "se quereller",
        "ar-a**a*a": "faire affront",
        "ar-a**a*u": "barbu",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "se disputer",
    },  # 15
    "ar-lHy": {
        "aa_sens": "barbe, écorce",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "blâme",
        "ar-*a*a*a-u": "blâmer",
        "ar-*a*a*ũ": "bas de la joue",
        "ar-*a*²a*a": "",
        "ar-*a*î*ũ": "",
        "ar-*i**@ũ": "barbe",
        "ar-*i**âniy²ũ": "barbu",
        "ar-*i**ânũ": "rigoles",
        "ar-*i*a*ũ": "{{p}} barbes",
        "ar-*i*â*ũ": "[[aubier]]",
        "ar-*ta*a*a": "avoir de la barbe",
        "ar-*u*a*ũ": "{{p}} barbes",
        "ar-*â*a*a": "se quereller",
        "ar-a**a*a": "faire affront",
        "ar-a**u*ũ": "{{p}} joues",
        "ar-ma**û*ũ": "blâmé",
        "ar-mu*â*a*@ũ": "querelle",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "s'enturbanner",
        "ar-ta*â*a*a": "se disputer",
    },  # 24
    "ar-lRw": {
        "aa_sens": "voix, parler de travers",
        "ar-**a*²a": "",
        "ar-**â*ũ": "omission",
        "ar-*a**é": "futilité",
        "ar-*a**ũ": "aboiement",
        "ar-*a*a*a-u": "parler",
        "ar-*a*a*ũ": "voix",
        "ar-*a*i*a-a": "se tromper en parlant",
        "ar-*a*²a*a": "",
        "ar-*ta*a*a": "",
        "ar-*u*@ũ": "mot, idiome",
        "ar-*u*a*iy²ũ": "idiomatique",
        "ar-*â*a*a": "parler avec quelqu'un",
        "ar-*â*i*@ũ": "parole indécente",
        "ar-*â*i*ũ": "qui se trompe en parlant",
        "ar-a**a*a": "omettre",
        "ar-ma**i*iy²ũ": "nul et non avenu",
        "ar-ma**i*ũ": "erreur",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "étudier l'arabe",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "se parler",
    },  # 22
    "ar-lbn": {
        "aa_sens": "pâte séchée ; [[fromage]], [[lait]] ou [[brique]]",
        "ar-*a*a*@ũ": "un jet, un coup",
        "ar-*a*a*a": "assommer ; donner du lait",
        "ar-*a*a*ũ": "lait, lait aigre ; résine",
        "ar-*a*i*@ũ": "qui a beaucoup de lait ; brique",
        "ar-*a*i*a": "avoir du lait dans le pis",
        "ar-*a*i*ũ": "brique ; qui raffole du lait",
        "ar-*a*²a*a": "faire des briques de terre",
        "ar-*a*²â*ũ": "fabricant de briques ; marchand de lait",
        "ar-*a*â*ũ": "poitrail ; corde d'ammarage",
        "ar-*a*î*@ũ": "qui a du lait dans les pis",
        "ar-*a*î*ũ": "cheval nourri de lait",
        "ar-*a*û*@ũ": "qui a du lait dans les pis",
        "ar-*a*û*ũ": "qui a du lait dans les pis",
        "ar-*awâ*i*u": "pis, mamelles",
        "ar-*i**@ũ": "une brique ; jabot",
        "ar-*i**ũ": "brique cuite au soleil",
        "ar-*i*i*ũ": "brique cuite au soleil",
        "ar-*i*â*ũ": "allaitement ; base d'un filet",
        "ar-*u**é": "arbrisseau qui donne le styrax ; Loubna",
        "ar-*u*3â3ũ": "le mont Liban",
        "ar-*u*ay*é": "Loubaïna, la fille de Satan",
        "ar-*u*â*@ũ": "affaire importante",
        "ar-*u*â*ũ": "résine d'encens ; pin ; art libéral",
        "ar-*â*i*ũ": "qui donne du lait à boire ; riche",
        "ar-a**a*a": "avoir beaucoup de lait",
        "ar-ma**û*ũ": "gorgé, enivré de lait",
        "ar-mi**a*@ũ": "grande cuillère",
        "ar-mi**a*ũ": "vase à traire ; moule à brique",
        "ar-mu**i*@ũ": "qui a du lait dans les pis",
        "ar-mu**i*ũ": "qui a du lait dans les pis",
        "ar-mu*a*²a*ũ": "nougat",
        "ar-muta*a*²i*ũ": "qui fait tout en lenteur",
        "ar-sta**a*a": "demander du lait",
        "ar-ta**î*@ũ": "soupe de son au lait",
        "ar-ta**î*ũ": "soupe de son au lait",
        "ar-ta*a*²a*a": "être lent, traîner en longueur",
        "ar-ta*â*a*a": "sucer le lait",
    },  # 38
    "ar-lft": {
        "aa_sens": "tourner, tordre",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "regard de côté",
        "ar-*a**â'u": "{{f}} louche",
        "ar-*a*a*a-i": "retourner, détourner",
        "ar-*a*a*ũ": "tortuosité des cornes",
        "ar-*a*²a*a": "",
        "ar-*a*â*ũ": "sale caractère",
        "ar-*a*î*ũ": "épais",
        "ar-*a*û*ũ": "regardant à droite et à gauche",
        "ar-*i**iy²@ũ": "plat de navets",
        "ar-*i**ũ": "navet",
        "ar-*ta*a*a": "se retourner",
        "ar-*ti*â*ũ": "attention, égards",
        "ar-*u*a*@ũ": "qui maltraite son bétail",
        "ar-*â*a*a": "",
        "ar-a**a*a": "tourner",
        "ar-a**a*u": "gaucher",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "attirer l’œil",
        "ar-ta*a*²a*a": "se tourner",
        "ar-ta*â*a*a": "",
    },  # 23
    "ar-lhb": {
        "aa_sens": "flamme",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "inflammation",
        "ar-*a**ânu": "brûlant",
        "ar-*a**é": "{{f}} brûlante",
        "ar-*a**ũ": "flamber",
        "ar-*a*a*ânũ": "soif brûlante",
        "ar-*a*a*ũ": "flamme",
        "ar-*a*i*a-a": "flamber",
        "ar-*a*²a*a": "allumer",
        "ar-*a*î*ũ": "ardeur du feu",
        "ar-*i**ũ": "crevasse",
        "ar-*i*â*@ũ": "{{p}} parois à pic",
        "ar-*i*â*ũ": "{{p}} brûlants",
        "ar-*ta*a*a": "prendre feu",
        "ar-*ti*â*iy²ũ": "inflammable",
        "ar-*ti*â*ũ": "inflammation",
        "ar-*u**@ũ": "soif",
        "ar-*u*â*@ũ": "flamme",
        "ar-*u*â*ũ": "ardeur",
        "ar-*u*û*ũ": "{{p}} parois à pic",
        "ar-*â*a*a": "",
        "ar-a**a*a": "enflammer",
        "ar-a**â*ũ": "{{p}} parois à pic",
        "ar-a**û*ũ": "ardeur à la course",
        "ar-mi**a*ũ": "de beauté rayonnante",
        "ar-mu*a*²a*ũ": "couleur feu",
        "ar-mu*ta*i*ũ": "enflammé",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "s'enflammer",
        "ar-ta*â*a*a": "",
    },  # 33
    "ar-lwn": {
        "aa_sens": "couleur",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "couleur",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "colorier",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "espèce de palmier",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-mu*a*²a*ũ": "coloré",
        "ar-muta*a*²a*ũ": "changeant, variable",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "point de vue",
        "ar-ta*a*²a*a": "être coloré",
        "ar-ta*â*a*a": "",
    },  # 17
    "ar-lyl": {
        "aa_sens": "nuit",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "nuit",
        "ar-*a**iy²ũ": "nocturne",
        "ar-*a**â@ũ": "nuit",
        "ar-*a**é": "Leïla",
        "ar-*a**ũ": "nuit",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "",
        "ar-*ta*a*a": "",
        "ar-*â**ũ": "pour la nuit",
        "ar-*â*a*a": "désirer passer la nuit",
        "ar-a**a*a": "être surpris par la nuit",
        "ar-a**a*u": "très nuit",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 19
    "ar-mSr": {
        "aa_sens": "séparation ; traire ; capitale",
        "ar-**a*²a": "",
        "ar-*a**ũ": "traite",
        "ar-*a*a*a-u": "traire",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "fonder une cité",
        "ar-*a*î*ũ": "intestin",
        "ar-*a*û*ũ": "qui a peu de lait",
        "ar-*i**iy²ũ": "[[égyptien]], [[cairote]]",
        "ar-*i**u": "Égypte",
        "ar-*i**ũ": "capitale, limite",
        "ar-*ta*a*a": "traire",
        "ar-*u*ay*@ũ": "pâté de viande",
        "ar-*u*â*@ũ": "piste de vitesse",
        "ar-*²a*a*a": "se casser",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "trait, séparateur",
        "ar-a**a*a": "",
        "ar-el*i**u": "Égypte",
        "ar-mu*a*²a*ũ": "marqué de terre rouge",
        "ar-muta*a*²i*ũ": "dispersé, diminué",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "s'épuiser",
        "ar-ta*â*a*a": "",
    },  # 26
    "ar-mWt": {
        "aa_sens": "mort",
        "ar-***ũ": "",
        "ar-*a*a*ânũ": "biens immeubles",
    },  # 3
    "ar-mdn": {
        "aa_sens": "établissement",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "habiter la ville",
        "ar-*a*a*iy²@ũ": "civilisation",
        "ar-*a*a*iy²ũ": "urbain",
        "ar-*a*²a*a": "fonder une ville",
        "ar-*a*â*iy²ũ": "Madaïnite",
        "ar-*a*âyi*u": "{{p}} villes",
        "ar-*a*î*@ũ": "ville",
        "ar-*a*î*iy²ũ": "urbain",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "{{p}} villes",
        "ar-*u*u*ũ": "{{p}} villes",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-el*a*î*u": "lion",
        "ar-muta*a*²i*ũ": "civilisé",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*iy²ũ": "civilisationnel",
        "ar-ta**î*ũ": "humanisation",
        "ar-ta*a*²a*a": "former une société",
        "ar-ta*a*²u*iy²ũ": "civilisé",
        "ar-ta*a*²u*ũ": "état social",
        "ar-ta*â*a*a": "",
    },  # 26
    "ar-mdyn": {
        "aa_sens": "établissement",
        "ar-***ũ": "",
        "ar-*a**a*iy²ũ": "Madianite",
        "ar-*a**a*u": "Madian",
        "ar-muta*a**i*ũ": "civilisé",
        "ar-ta*a**a*a": "profiter du confort",
        "ar-ta*a**u*ũ": "civilisation",
    },  # 7
    "ar-mlH": {
        "aa_sens": "sel, beau",
        "ar-***ũ": "",
        "ar-**a*²a": "être bigarré",
        "ar-*a**@ũ": "pleine mer",
        "ar-*a**â'u": "dépouillé de feuillage",
        "ar-*a*a*a-a": "faire têter",
        "ar-*a*a*a-i": "saler",
        "ar-*a*a*ũ": "poivre et sel",
        "ar-*a*u*a": "être beau",
        "ar-*a*²a*a": "saler trop",
        "ar-*a*²â*@ũ": "saline",
        "ar-*a*²â*iy²@ũ": "science marine",
        "ar-*a*²â*ũ": "marin",
        "ar-*a*â*@ũ": "goût salé",
        "ar-*a*î*ũ": "salé",
        "ar-*a*û*@ũ": "poisson salé",
        "ar-*awâ*i*u": "agrumes",
        "ar-*i**@ũ": "pacte",
        "ar-*i**iy²ũ": "salé",
        "ar-*i**ũ": "sel",
        "ar-*i*a*ũ": "{{p}} sels",
        "ar-*i*â*@ũ": "science marine",
        "ar-*i*â*iy²ũ": "nautique",
        "ar-*i*â*ũ": "{{p}} salés",
        "ar-*ta*a*a": "mêler vrai et faux",
        "ar-*u**@ũ": "bon mot",
        "ar-*u**ũ": "{{p}} bigarrés",
        "ar-*u*a*ũ": "{{p}} anecdotes",
        "ar-*u*²â*iy²@ũ": "raisin blanc",
        "ar-*u*²â*iy²ũ": "raisin blanc",
        "ar-*u*²â*ũ": "plantes salsugineuses",
        "ar-*u*â*@ũ": "caractère salé",
        "ar-*u*â*iy²ũ": "raisin blanc",
        "ar-*u*â*ũ": "beau",
        "ar-*u*û*@ũ": "beauté",
        "ar-*â*a*a": "être commensal",
        "ar-*â*i*@ũ": "{{f}} salée",
        "ar-*â*i*ũ": "eau salée",
        "ar-a**a*a": "saler",
        "ar-a**a*u": "bigarré",
        "ar-a**â*ũ": "{{p}} sels",
        "ar-a*â*î*u": "{{p}} bons mots",
        "ar-ma**a*@ũ": "saline",
        "ar-ma**û*ũ": "salé",
        "ar-mi**a*@ũ": "salière",
        "ar-mu*a*²a*ũ": "salé",
        "ar-mu*â*a*@ũ": "commensalité",
        "ar-musta**a*ũ": "brillant",
        "ar-muta*a*²i*ũ": "qui vend du sel",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "trouver beau",
        "ar-ta**î*ũ": "salaison",
        "ar-ta*a*²a*a": "être gras",
        "ar-ta*â*a*a": "",
        "ar-u**û*@ũ": "bon mot",
        "ar-u*ay*i*ũ": "gentillet",
    },  # 56
    "ar-mlk": {
        "aa_sens": "possession",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "mariage",
        "ar-*a**@ũ": "possession, propriété",
        "ar-*a**ũ": "possesseur",
        "ar-*a*a*@ũ": "trait de caractère",
        "ar-*a*a*a-i": "prendre, posséder",
        "ar-*a*a*iy²@ũ": "royauté",
        "ar-*a*a*iy²ũ": "royal",
        "ar-*a*a*ûtiy²ũ": "monde invisible",
        "ar-*a*a*ûtũ": "royauté",
        "ar-*a*a*ũ": "avoir",
        "ar-*a*i*@ũ": "reine",
        "ar-*a*i*ũ": "roi",
        "ar-*a*²a*a": "rendre maître",
        "ar-*a*²â*iy²ũ": "privé",
        "ar-*a*²â*ũ": "propriétaire",
        "ar-*a*â*@ũ": "possession",
        "ar-*a*â*iy²@ũ": "monarchisme",
        "ar-*a*â*ũ": "pouvoir",
        "ar-*a*î*@ũ": "livre, volume",
        "ar-*a*î*ũ": "possesseur",
        "ar-*i**@ũ": "possession",
        "ar-*i**iy²@ũ": "royal",
        "ar-*i**ũ": "propriété",
        "ar-*i*â*ũ": "fondement",
        "ar-*ta*a*a": "acquérir",
        "ar-*ti*â*ũ": "saisie",
        "ar-*u**@ũ": "qualité",
        "ar-*u**iy²ũ": "possessif, civil",
        "ar-*u**ũ": "propriété",
        "ar-*u*a*â'u": "{{p}} rois",
        "ar-*u*u*iy²ũ": "possession",
        "ar-*u*u*ũ": "possession",
        "ar-*u*²a*ũ": "{{p}} rois",
        "ar-*u*²â*ũ": "{{p}} rois",
        "ar-*u*û*@ũ": "propriété",
        "ar-*u*û*iy²ũ": "royal",
        "ar-*u*û*ũ": "{{p}} rois",
        "ar-*â*a*a": "",
        "ar-*â*i*iy²@ũ": "royauté",
        "ar-*â*i*iy²ũ": "malékite",
        "ar-*â*i*ũ": "maître",
        "ar-a**a*a": "donner possession",
        "ar-a**â*ũ": "{{p}} possessions",
        "ar-a**û*ũ": "{{p}} propriétaires",
        "ar-ma**a*@ũ": "asservi",
        "ar-ma**i*@ũ": "asservi",
        "ar-ma**u*@ũ": "asservi",
        "ar-ma**û*@ũ": "royaume",
        "ar-ma**û*ũ": "asservi",
        "ar-ma*â*i*ũ": "{{p}} provinces",
        "ar-ma*â*î*u": "{{p}} mamelouks",
        "ar-mu**i*@ũ": "nouveau marié",
        "ar-mu*a*²a*ũ": "mis en possession",
        "ar-mu*a*²i*ũ": "donneur",
        "ar-mu*ta*a*ũ": "propriété",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "capter",
        "ar-ta**î*@ũ": "chose que l'on possède",
        "ar-ta**î*ũ": "titre de propriété",
        "ar-ta*a*²a*a": "conquérir",
        "ar-ta*a*²u*ũ": "prise de possession",
        "ar-ta*â*a*a": "se maîtriser",
        "ar-ta*â*i*u": "{{p}} choses que l'on possède",
        "ar-ta*â*u*ũ": "self-contrôle",
    },  # 67
    "ar-mnw": {
        "aa_sens": "éprouver, séparer",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "chose désirée",
        "ar-*a**iy²ũ": "Appartenant à Manat",
        "ar-*a*a*@ũ": "Manat",
        "ar-*a*a*a-u": "éprouver quelqu'un",
        "ar-*a*a*ũ": "mort",
        "ar-*a*i*a-a": "",
        "ar-*a*i*iy²@ũ": "destinée",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "faire désirer",
        "ar-*i*a*ũ": "Mina",
        "ar-*ta*a*a": "séjourner à Mina",
        "ar-*u**@ũ": "époque d'incertitude",
        "ar-*u*a*ũ": "Muna, prénom",
        "ar-*u*û*ũ": "vœu, désir",
        "ar-*â*a*a": "attendre",
        "ar-*â*i*ũ": "mort, trépas",
        "ar-a**a*a": "se partager",
        "ar-ma**a*@ũ": "terroir noir",
        "ar-mu**i*@ũ": "dans l'incertitude",
        "ar-mu**i*ũ": "dans l'incertitude",
        "ar-mu*â*i*ũ": "tolérant",
        "ar-muta*a*²i*ũ": "qui désire",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**i*@ũ": "tentation",
        "ar-ta*a*²a*a": "souhaiter, mentir",
        "ar-ta*a*²u*ũ": "souhait",
        "ar-ta*â*a*a": "",
        "ar-u**u*iy²@ũ": "vision",
    },  # 31
    "ar-mny": {
        "aa_sens": "sperme, déterminer",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "sperme",
        "ar-*a**ũ": "éjaculation",
        "ar-*a*a*a-i": "déterminer quelque chose<!-- ã ĩ ũ  -->",
        "ar-*a*a*ũ": "chose déterminée",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "éjaculer",
        "ar-*a*î*@ũ": "chose déterminée",
        "ar-*a*î*ũ": "sperme",
        "ar-*i**@ũ": "désir, chose désirée",
        "ar-*i*a*ũ": "sperme",
        "ar-*ta*a*a": "tester la chamelle",
        "ar-*u**@ũ": "désir, chose désirée",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "qui détermine",
        "ar-a**a*a": "éjaculer",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "se masturber",
        "ar-ta*a*²a*a": "lire",
        "ar-ta*â*a*a": "",
    },  # 22
    "ar-msw": {
        "aa_sens": "soir",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "venir le soir",
        "ar-*a*²a*a": "souhaiter bonsoir",
        "ar-*a*â*ũ": "soir, soirée",
        "ar-*ta*a*a": "se saisir de",
        "ar-*u*ay*ũ": "soirée",
        "ar-*â*a*a": "",
        "ar-a**a*a": "se trouver au soir",
        "ar-a**u*ũ": "hier",
        "ar-mu**u*ũ": "lieu où l'on est le soir",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 15
    "ar-mt3": {
        "aa_sens": "jouir, profiter",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "rivaliser de mensonges",
        "ar-*a*a*a-a": "jouir, profiter",
        "ar-*a*u*a": "être long",
        "ar-*a*²a*a": "laisser en vie",
        "ar-*a*â*ũ": "ustensile",
        "ar-*i**@ũ": "petite quantité de vivres",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "petite quantité de vivres",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "long",
        "ar-a**a*a": "compléter",
        "ar-mu**i*ũ": "agréable",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "avoir jouissance",
        "ar-sti**â*ũ": "jouissance",
        "ar-ta*a*²a*a": "avoir jouissance",
        "ar-ta*a*²u*ũ": "jouissance",
        "ar-ta*â*a*a": "",
    },  # 21
    "ar-mwh": {
        "aa_sens": "eau",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*@ũ": "plein d'eau",
        "ar-*a*a*a-u": "être riche en eau",
        "ar-*a*a*iy²ũ": "aqueux",
        "ar-*a*a*ũ": "eau",
        "ar-*a*²a*a": "inonder",
        "ar-*a*²i*@ũ": "qui a beaucoup d'eau",
        "ar-*ta*a*a": "",
        "ar-*u*a*@ũ": "éclat",
        "ar-*u*ay*@ũ": "un peu d'eau",
        "ar-*u*ay*ũ": "un peu d'eau",
        "ar-*u*â*@ũ": "éclat",
        "ar-*â*a*a": "",
        "ar-a**a*a": "mouiller",
        "ar-a**a*u": "qui a plus d'eau",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 21
    "ar-mwr": {
        "aa_sens": "agiter, répandre",
        "ar-**a*²a": "",
        "ar-*a**ũ": "Va-et-vient ; tangage.",
        "ar-*a*a*a-u": "Se balancer, tomber lentement.",
        "ar-*a*²a*a": "",
        "ar-*a*²â*ũ": "Qui marche en tanguant.",
        "ar-*a*î*ũ": "Léger ; coulant.",
        "ar-*ta*a*a": "[[défourailler]]",
        "ar-*u**@ũ": "Poil de mue.",
        "ar-*u**ũ": "Poussière soulevée par le vent.",
        "ar-*u*â*ũ": "Poil tombé.",
        "ar-*â*a*a": "",
        "ar-a**a*a": "Soulever des tourbillons ; répandre à terre.",
        "ar-n*a*a*a": "Être arraché, tomber.",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "S'agiter d'avant en arrière.",
        "ar-ta*a*²u*ũ": "mouvement d'avant en arrière.",
        "ar-ta*â*a*a": "",
    },  # 18
    "ar-mws": {
        "aa_sens": "rasoir",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "raser",
        "ar-*a*²a*a": "",
        "ar-*ta*a*a": "",
        "ar-*u**é": "rasoir",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 13
    "ar-mwt": {
        "aa_sens": "mort",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "décès",
        "ar-*a**ânũ": "inanimé",
        "ar-*a**é": "{{p}} morts",
        "ar-*a**ũ": "mort",
        "ar-*a*a*a-u": "mourir",
        "ar-*a*²a*a": "mettre à mort",
        "ar-*a*²i*@ũ": "{{f}} morte",
        "ar-*a*²i*ũ": "cadavre",
        "ar-*a*â*ũ": "chose inanimée",
        "ar-*i**@ũ": "type de mort",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "perte de connaissance",
        "ar-*u**ânũ": "épizootie",
        "ar-*u*â*ũ": "mort",
        "ar-*â*a*a": "tolérer",
        "ar-*â*i*ũ": "moribond",
        "ar-a**a*a": "mettre à mort",
        "ar-a**â*ũ": "{{p}} morts",
        "ar-i**â*@ũ": "exécution",
        "ar-ma**a*ũ": "décès",
        "ar-mu**a*ũ": "désuet",
        "ar-mu**i*ũ": "qui fait mourir",
        "ar-mu*â*a*@ũ": "tolérance",
        "ar-musta**i*ũ": "qui s'expose",
        "ar-muta*â*i*ũ": "qui fait le mort",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "chercher la mort",
        "ar-sti**â*@ũ": "lutte désespérée",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "faire le mort",
    },  # 33
    "ar-myh": {
        "aa_sens": "eau",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "être riche en eau",
        "ar-*a*²a*a": "",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-a**a*u": "plus pourvu d'eau",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 13
    "ar-myt": {
        "aa_sens": "mort",
        "ar-***ũ": "",
        "ar-*a**ũ": "mort",
    },  # 3
    "ar-n3t": {
        "aa_sens": "décrire",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "description",
        "ar-*a*a*a-a": "décrire",
        "ar-*a*i*a-a": "être rapide",
        "ar-*a*u*a": "être rapide",
        "ar-*a*²a*a": "",
        "ar-*a*î*@ũ": "rapide",
        "ar-*a*î*ũ": "rapide",
        "ar-*ta*a*a": "décrire",
        "ar-*u**@ũ": "admirable",
        "ar-*â*a*a": "",
        "ar-a**a*a": "mériter d'être décrit",
        "ar-ma**û*ũ": "qualifié",
        "ar-mu*ta*i*ũ": "rapide",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "demander de décrire",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 20
    "ar-nCw": {
        "aa_sens": "sentir une odeur",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "odeur frappante",
        "ar-*a**ânu": "étourdi de vin",
        "ar-*a**ũ": "légère ivresse",
        "ar-*a*a*@ũ": "ébriété",
        "ar-*a*a*a-i": "sentir une odeur",
        "ar-*a*a*a-u": "être un peu ivre",
        "ar-*a*a*ũ": "amidon",
        "ar-*a*i*iy²@ũ": "odeur frappante",
        "ar-*a*²a*a": "amidonner",
        "ar-*i**@ũ": "ressentir une odeur",
        "ar-*ta*a*a": "ressentir une odeur",
        "ar-*u**@ũ": "ressentir une odeur",
        "ar-*â*a*a": "",
        "ar-a**a*a": "distinguer une odeur",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "ressentir une odeur",
        "ar-ta*a*²a*a": "ressentir une odeur",
        "ar-ta*â*a*a": "ressentir une odeur",
    },  # 21
    "ar-nSf": {
        "aa_sens": "moitié, juste milieu",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "justice",
        "ar-*a**ânũ": "{{m}} à moitié plein",
        "ar-*a**é": "{{f}} à moitié pleine",
        "ar-*a**ũ": "moitié",
        "ar-*a*a*@ũ": "justice, équité",
        "ar-*a*a*a-u": "arriver à la moitié",
        "ar-*a*a*ũ": "justice, équité",
        "ar-*a*²a*a": "partager en deux",
        "ar-*a*â*@ũ": "recevoir la moitié",
        "ar-*a*â*ũ": "servir comme domestique",
        "ar-*a*î*ũ": "moitié",
        "ar-*awâ*i*u": "{{p}} plaine",
        "ar-*i**ânũ": "service domestique",
        "ar-*i**ũ": "moitié, moyen",
        "ar-*i*â*@ũ": "recevoir la moitié",
        "ar-*i*â*ũ": "servir comme domestique",
        "ar-*ta*a*a": "tenir un juste milieu",
        "ar-*u**ũ": "pièce de monnaie",
        "ar-*u*u*ũ": "d'âge moyen",
        "ar-*u*û*ũ": "avoir des dattes mi-mûres",
        "ar-*â*a*a": "partager également",
        "ar-*â*i*@ũ": "plaine",
        "ar-*â*i*ũ": "domestique",
        "ar-a**a*a": "être équitable",
        "ar-a**a*u": "plus équitable",
        "ar-a**â*ũ": "{{p}} moitiés",
        "ar-ma**a*@ũ": "servante",
        "ar-ma**a*ũ": "serviteur",
        "ar-mi**a*@ũ": "servante",
        "ar-mi**a*ũ": "serviteur",
        "ar-mu**i*ũ": "équitable",
        "ar-mu*a*²i*ũ": "réduit de moitié",
        "ar-mu*ta*a*ũ": "milieu, midi",
        "ar-mu*â*a*@ũ": "partage égal",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "se faire rendre son dû",
        "ar-ta*a*²a*a": "demander la moitié",
        "ar-ta*â*a*a": "agir avec équité",
    },  # 41
    "ar-nZf": {
        "aa_sens": "propreté",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*²a": "se purifier",
        "ar-*a*u*a": "être propre, purifier",
        "ar-*a*²a*a": "nettoyer",
        "ar-*a*â*@ũ": "propreté",
        "ar-*a*î*ũ": "nettoyé",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-a**a*u": "plus propre",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "faire place nette",
        "ar-ta**î*ũ": "nettoyage",
        "ar-ta*a*²a*a": "se purifier",
        "ar-ta*â*a*a": "",
    },  # 17
    "ar-nZr": {
        "aa_sens": "regarder, attendre",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "regard, vice",
        "ar-*a*a*a-u": "regarder",
        "ar-*a*a*iy²ũ": "visible",
        "ar-*a*a*ânũ": "surveillance",
        "ar-*a*a*ũ": "regard",
        "ar-*a*i*@ũ": "délai de payement",
        "ar-*a*i*a-a": "regarder de travers",
        "ar-*a*²a*a": "envisager",
        "ar-*a*²â*@ũ": "{{collectif}} spectateurs",
        "ar-*a*²â*ũ": "bon pied bon œil",
        "ar-*a*â*@ũ": "promenade",
        "ar-*a*â*iy²ũ": "de la tribu de elnaZZâr",
        "ar-*a*âyi*u": "{{p}} personnages principaux",
        "ar-*a*î*@ũ": "personnage principal",
        "ar-*a*î*ũ": "pareil ; en face",
        "ar-*a*û*@ũ": "{{m}} le plus en vue",
        "ar-*a*û*ũ": "vigilant",
        "ar-*awâ*i*u": "{{p}} yeux",
        "ar-*i**ũ": "semblable",
        "ar-*i*â*ũ": "aspect extérieur",
        "ar-*ta*a*a": "être dans l'attente",
        "ar-*ti*â*ũ": "attente",
        "ar-*u**@ũ": "délai de payement",
        "ar-*â*a*a": "comparer",
        "ar-*â*i*@ũ": "œil",
        "ar-*â*i*ũ": "inspecteur",
        "ar-*â*û*@ũ": "personne de marque",
        "ar-*â*û*ũ": "considérable",
        "ar-a**a*a": "voir",
        "ar-ma**a*@ũ": "point de vue",
        "ar-ma**a*iy²ũ": "de belle figure",
        "ar-ma**a*ũ": "vue",
        "ar-ma**û*@ũ": "difforme",
        "ar-ma**û*ũ": "regardé",
        "ar-ma*â*i*u": "{{p}} les hauteurs",
        "ar-mi**â*ũ": "outil pour regarder",
        "ar-mu*ta*i*ũ": "en attente",
        "ar-mu*â*a*@ũ": "comparaison",
        "ar-mu*â*i*ũ": "semblable, correspondant",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "demander un délai",
        "ar-ta**â*ũ": "vision",
        "ar-ta*a*²a*a": "attendre",
        "ar-ta*a*²u*ũ": "attente",
        "ar-ta*â*a*a": "se regarder",
    },  # 48
    "ar-nZrn": {
        "aa_sens": "augmentation de {{ar-mot|n Z r}}, regard",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "",
        "ar-*i**a*²@ũ": "femme qui regarde",
        "ar-*i**i*²@ũ": "femme qui regarde",
        "ar-*ta*a*a": "",
        "ar-*u**u*²@ũ": "femme qui regarde",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-ma**a*â*iy²ũ": "de belle figure",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 15
    "ar-nbr": {
        "aa_sens": "bosse, cri",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "bosse",
        "ar-*a**ũ": "brusque",
        "ar-*a*a*a-i": "grandir",
        "ar-*a*²a*a": "",
        "ar-*a*²â*ũ": "braillard",
        "ar-*a*î*ũ": "fromage",
        "ar-*a*û*ũ": "cul",
        "ar-*i**ũ": "nabot",
        "ar-*i*â*ũ": "{{p}} bosses",
        "ar-*ta*a*a": "enfler",
        "ar-*u**@ũ": "grosse bouchée",
        "ar-*u*a*ũ": "{{p}} grosses bouchées",
        "ar-*u*ay*ũ": "sagace",
        "ar-*â*a*a": "",
        "ar-a**a*a": "construire un magazin",
        "ar-a**â*ũ": "magasin",
        "ar-ma**û*ũ": "qui finit par un hamza",
        "ar-mi**a*ũ": "chaire",
        "ar-mu*a*²a*ũ": "qui finit par un hamza",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 26
    "ar-nfs": {
        "aa_sens": "souffle, âme",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "délai",
        "ar-*a**iy²@ũ": "psychologie",
        "ar-*a**iy²ũ": "spirituel",
        "ar-*a**â'u": "accouchée",
        "ar-*a**âniy²@ũ": "psychologie",
        "ar-*a**âniy²ũ": "psychique",
        "ar-*a**ũ": "âme",
        "ar-*a*a*a-u": "nuire",
        "ar-*a*a*â'u": "accouchée",
        "ar-*a*a*ũ": "souffle",
        "ar-*a*i*a-a": "regretter",
        "ar-*a*u*a": "être de prix",
        "ar-*a*²a*a": "souffler",
        "ar-*a*²â*@ũ": "cherté",
        "ar-*a*â*@ũ": "caractère précieux",
        "ar-*a*î*@ũ": "{{f}} précieuse",
        "ar-*a*î*ũ": "chose précieuse",
        "ar-*awâ*i*u": "{{p}} accouchées",
        "ar-*i*â*ũ": "{{p}} accouchées",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "délai",
        "ar-*u**ũ": "{{p}} accouchées",
        "ar-*u*a*â'u": "accouchée",
        "ar-*u*a*âwâtũ": "{{p}} accouchées",
        "ar-*u*u*ũ": "{{p}} accouchées",
        "ar-*u*â*ũ": "{{p}} accouchées",
        "ar-*â*a*a": "désirer",
        "ar-*â*i*ũ": "qui nuit",
        "ar-a**a*a": "",
        "ar-a**a*u": "plus précieux",
        "ar-a**â*ũ": "{{p}} souffles",
        "ar-ma**a*ũ": "orifice de respiration",
        "ar-ma**û*@ũ": "{{f}} nouveau-né",
        "ar-ma**û*ũ": "nouveau-né",
        "ar-ma*â*i*ũ": "{{p}} orifices de respiration",
        "ar-mu**a*@ũ": "objet de prix",
        "ar-mu**a*ũ": "nombreux",
        "ar-mu**i*@ũ": "objet de prix",
        "ar-mu**i*ũ": "nombreux",
        "ar-mu*â*a*@ũ": "compétition",
        "ar-mu*â*i*ũ": "compétiteur",
        "ar-muta*a*²a*ũ": "lieu où l'on respire",
        "ar-muta*a*²i*ũ": "qui respire",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "aération",
        "ar-ta*a*²a*a": "respirer",
        "ar-ta*a*²u*iy²ũ": "respiratoire",
        "ar-ta*a*²u*ũ": "respiration",
        "ar-ta*â*a*a": "aspirer à",
        "ar-ta*â*u*ũ": "lutte",
    },  # 54
    "ar-nhr": {
        "aa_sens": "fleuve, large",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "arrachement",
        "ar-*a**iy²ũ": "égout",
        "ar-*a**ũ": "fleuve",
        "ar-*a*a*a-a": "couler abondamment",
        "ar-*a*a*ũ": "rivière",
        "ar-*a*i*a-a": "creuser",
        "ar-*a*i*ũ": "diurne",
        "ar-*a*²a*a": "",
        "ar-*a*â*ũ": "journée",
        "ar-*a*î*@ũ": "lactant en abondance",
        "ar-*a*î*ũ": "abondant",
        "ar-*ta*a*a": "repousser avec dureté",
        "ar-*u*ay*ũ": "ruisseau",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "raisin blanc",
        "ar-*â*û*ũ": "nuage",
        "ar-a**a*a": "couler abondamment",
        "ar-a**a*u": "clair",
        "ar-ma**a*@ũ": "décharge",
        "ar-ma**a*ũ": "ruisseau",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "couler abondamment",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 27
    "ar-nqb": {
        "aa_sens": "percée",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "percement",
        "ar-*a*a*a-u": "percer",
        "ar-*a*i*a-a": "être usé et troué",
        "ar-*a*u*a": "être élu chef",
        "ar-*a*²a*a": "examiner en détail",
        "ar-*a*²â*ũ": "sapeur",
        "ar-*a*î*@ũ": "sagacité",
        "ar-*a*î*ũ": "chef",
        "ar-*i**@ũ": "trou",
        "ar-*i*â*@ũ": "ulcère",
        "ar-*i*â*ũ": "voile",
        "ar-*ta*a*a": "se voiler le visage",
        "ar-*u**@ũ": "visage",
        "ar-*u**ũ": "chemin de montagne étroit",
        "ar-*u*a*â'u": "{{p}} chefs",
        "ar-*â*a*a": "rencontrer par hasard",
        "ar-*â*i*@ũ": "ulcère",
        "ar-*â*i*ũ": "qui perce",
        "ar-a**a*a": "pénétrer, s'enfoncer",
        "ar-a**â*ũ": "oreilles",
        "ar-ma**a*@ũ": "ruelle étroite",
        "ar-ma**a*ũ": "chemin de montagne",
        "ar-mi**a*@ũ": "passage étroit",
        "ar-mi**a*ũ": "passage étroit",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "se voiler la bouche",
        "ar-ta*â*a*a": "",
    },  # 31
    "ar-nqd": {
        "aa_sens": "payer ; picorer ; décortiquer",
        "ar-**a*²a": "",
        "ar-*a**ũ": "argent comptant",
        "ar-*a*a*a-u": "payer comptant",
        "ar-*a*a*ũ": "qui ne profite pas",
        "ar-*a*i*a-a": "être écorché",
        "ar-*a*i*ũ": "carié",
        "ar-*a*²a*a": "",
        "ar-*a*²â*ũ": "triant les pièces",
        "ar-*i**ũ": "qui ne grossit pas",
        "ar-*ta*a*a": "être payé comptant",
        "ar-*ti*â*ũ": "critique",
        "ar-*u**ũ": "qui ne profite pas",
        "ar-*u*u*ũ": "rongé",
        "ar-*â*a*a": "discuter",
        "ar-*â*i*ũ": "triant les pièces",
        "ar-a**a*a": "se développer",
        "ar-a**a*u": "hérisson, tortue",
        "ar-mi**a*@ũ": "décortiqueur",
        "ar-mi**â*ũ": "bec d'oiseau",
        "ar-mu*ta*a*ũ": "réception de numéraire",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**â*ũ": "picorage",
        "ar-ta*a*²a*a": "payer en numéraire",
        "ar-ta*â*a*a": "",
    },  # 26
    "ar-nsw": {
        "aa_sens": "femmes",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "",
        "ar-*i**@ũ": "femmes",
        "ar-*i**iy²ũ": "de femmes",
        "ar-*i**ânũ": "femmes",
        "ar-*i*â*iy²@ũ": "féminité",
        "ar-*i*â*iy²ũ": "de femmes",
        "ar-*i*â*ũ": "femmes",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "femmes",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 19
    "ar-nsy": {
        "aa_sens": "oublier",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ânũ": "oublieux",
        "ar-*a*i*a-a": "oublier",
        "ar-*a*²a*a": "faire oublier",
        "ar-*i**ânũ": "oubli",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "oublier",
        "ar-a**a*a": "faire oublier",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "vouloir oublier",
    },  # 14
    "ar-qDy": {
        "aa_sens": "exiger, juger",
        "ar-**a*²a": "",
        "ar-*a*a*a-i": "décider, aboutir",
        "ar-*a*a*ũ": "décision juridique",
        "ar-*a*i*a-a": "",
        "ar-*a*i*iy²ũ": "affaire judiciaire",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "exécuter",
        "ar-*a*²â*ũ": "qui juge",
        "ar-*a*â*ũ": "sentence, destin",
        "ar-*ta*a*a": "exiger",
        "ar-*ti*â*ũ": "exigence",
        "ar-*â*a*a": "citer en justice",
        "ar-*â*i*@ũ": "mort",
        "ar-*â*i*iy²@ũ": "sentence",
        "ar-*â*i*ũ": "exécuteur, juge",
        "ar-a**a*a": "accuser",
        "ar-ma**û*ũ": "exécuté",
        "ar-mu*ta*a*ũ": "exigé",
        "ar-mu*ta*i*ũ": "qui exige",
        "ar-n*a*a*a": "s'achever",
        "ar-sta**a*a": "réclamer en justice",
        "ar-ta*a*²a*a": "s'accomplir",
        "ar-ta*â*a*a": "faire un procès",
        "ar-ta*â*a*ũ": "action d'exiger",
    },  # 25
    "ar-qSb": {
        "aa_sens": "roseau, tube",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**â'u": "forêt de roseaux",
        "ar-*a**ũ": "dépeçage, dissection",
        "ar-*a*a*@ũ": "forteresse",
        "ar-*a*a*a-i": "dépecer",
        "ar-*a*a*iy²ũ": "de roseau",
        "ar-*a*a*â@ũ": "chaume",
        "ar-*a*a*ũ": "roseau, tuyau",
        "ar-*a*i*@ũ": "abondant en roseaux",
        "ar-*a*²a*a": "friser",
        "ar-*a*²â*@ũ": "calomniateur",
        "ar-*a*²â*ũ": "boucher",
        "ar-*a*â*@ũ": "boucherie",
        "ar-*a*âyi*u": "{{p}} boucles",
        "ar-*a*î*@ũ": "mèche qui frise",
        "ar-*a*î*ũ": "qui ne veut plus boire",
        "ar-*a*û*ũ": "tondu",
        "ar-*i*â*@ũ": "art de jouer de la flûte",
        "ar-*i*â*ũ": "digue",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "dos, boyau",
        "ar-*u*²â*@ũ": "boucle de cheveux",
        "ar-*u*²â*ũ": "{{p}} flûtes",
        "ar-*u*û*ũ": "refus d’abreuvoir",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "qui refuse de boire",
        "ar-a**a*a": "produire des roseaux",
        "ar-a**â*ũ": "{{p}} boyaux",
        "ar-ma**a*@ũ": "abondant en roseaux",
        "ar-mi**â*ũ": "endroit abondant en roseaux",
        "ar-mu*a*²a*ũ": "frisé et bouclé",
        "ar-mu*a*²i*ũ": "mousseux",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**i*@ũ": "boucle frisée",
        "ar-ta**î*@ũ": "boucle frisée",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 40
    "ar-qSd": {
        "aa_sens": "relié à l'idée d'[[intention]], d'[[objectif]], de [[projet]]",
        "ar-*a**ũ": "intention, visée",
        "ar-*a*a*@ũ": "germe d'arbre épineux",
        "ar-*a*a*a-i": "viser, se diriger vers",
        "ar-*a*a*ũ": "faim",
        "ar-*a*i*ũ": "cassé par le milieu",
        "ar-*a*u*a": "être gras",
        "ar-*a*²a*a": "casser (un morceau de bois) par le milieu",
        "ar-*a*î*@ũ": "[[qasida]] ; bâton ; chamelle grasse",
        "ar-*a*î*ũ": "os à mœlle ; bâton ; poëme",
        "ar-*a*û*ũ": "mœlle pas trop grasse",
        "ar-*i**@ũ": "fragment",
        "ar-*i*â*ũ": "en face",
        "ar-*ta*a*a": "tenir un juste milieu",
        "ar-*ti*â*ũ": "modération",
        "ar-*â*i*ũ": "qui a pour intention",
        "ar-a**a*a": "frapper juste et tuer",
        "ar-ma**a*@ũ": "femme physiquement plaisante",
        "ar-ma**a*ũ": "but, dessein ; thèse",
        "ar-ma**û*ũ": "but, intention",
        "ar-mu**a*ũ": "qui meurt subitement",
        "ar-mu*a*²a*@ũ": "marque imprimée sur l'oreille d'un chameau",
        "ar-mu*a*²a*ũ": "moyen",
        "ar-mu*ta*i*ũ": "moyen",
        "ar-n*a*a*a": "se casser en deux ; crever",
        "ar-ta*a*²a*a": "se casser en deux ; crever",
    },  # 26
    "ar-qTT": {
        "aa_sens": "détourer",
        "ar-**a*²a": "",
        "ar-*a**u": "jamais",
        "ar-*a**ũ": "court et crépu",
        "ar-*a*a*a-a": "être court et crépu",
        "ar-*a*a*a-i": "être cher",
        "ar-*a*a*a-u": "couper",
        "ar-*a*a*ũ": "court et crépu",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "découper",
        "ar-*a*²â*ũ": "tourneur",
        "ar-*a*â*i": "ça suffit",
        "ar-*a*î*@ũ": "entrée de caverne",
        "ar-*i**@ũ": "chatte",
        "ar-*i**ũ": "chat",
        "ar-*i*â*ũ": "pourtour",
        "ar-*ta*a*a": "couper",
        "ar-*â**ũ": "qui taille",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "cher",
        "ar-a**a*a": "",
        "ar-ma**a*ũ": "lieu de coupe",
        "ar-ma**û*ũ": "cher",
        "ar-mi**a*@ũ": "tranchoir",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 29
    "ar-qbr": {
        "aa_sens": "creuser la terre",
        "ar-**a*²a": "",
        "ar-*a**ũ": "tombeau",
        "ar-*a*a*a-u": "enterrer",
        "ar-*a*²a*a": "",
        "ar-*a*û*ũ": "encaissé",
        "ar-*i**ũ": "bois creux",
        "ar-*ta*a*a": "",
        "ar-*u*a*ũ": "raisin sec",
        "ar-*u*²a*ũ": "{{g}} alouettes",
        "ar-*u*²â*ũ": "lanterne de l'oiseleur",
        "ar-*â*a*a": "",
        "ar-a**a*a": "faire inhumer",
        "ar-ma**a*@ũ": "cimetière",
        "ar-ma**a*iy²ũ": "de cimetière",
        "ar-ma**a*ũ": "cimetière",
        "ar-ma**i*@ũ": "cimetière",
        "ar-ma**û*@ũ": "cimetière",
        "ar-ma**û*ũ": "enterré",
        "ar-ma*â*i*ũ": "{{g}} cimetières",
        "ar-mi**a*@ũ": "cimetière",
        "ar-mi**û*@ũ": "cimetière",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 26
    "ar-qdm": {
        "aa_sens": "avant, devant",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "bravoure",
        "ar-*a**ũ": "vêtement rouge",
        "ar-*a*a*a-u": "marcher en tête",
        "ar-*a*a*iy²@ũ": "espèce de cuir",
        "ar-*a*a*ũ": "pied",
        "ar-*a*i*@ũ": "surface inégale",
        "ar-*a*i*a-a": "être de retour",
        "ar-*a*i*ũ": "le premier",
        "ar-*a*u*a": "précéder",
        "ar-*a*²a*a": "faire avancer",
        "ar-*a*²â*ũ": "chef, roi",
        "ar-*a*²û*ũ": "hache, marteau",
        "ar-*a*â*@ũ": "ancienneté",
        "ar-*a*âyi*u": "{{p}} anciens",
        "ar-*a*î*@ũ": "éclaireur",
        "ar-*a*î*ũ": "ancien",
        "ar-*a*û*ũ": "qui attaque",
        "ar-*awâ*i*u": "{{p}} têtes",
        "ar-*ay*â*ũ": "saillant",
        "ar-*ay*û*ũ": "saillant",
        "ar-*i**@ũ": "premier pas",
        "ar-*i**ânũ": "retour",
        "ar-*i**ũ": "ancien temps",
        "ar-*i*a*ũ": "antiquité",
        "ar-*i*²î*ũ": "chef",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "premier pas",
        "ar-*u**ũ": "le devant",
        "ar-*u*a*iy²@ũ": "prééminence",
        "ar-*u*a*â'u": "{{p}} anciens",
        "ar-*u*a*ũ": "tribu du Yemen",
        "ar-*u*u*iy²@ũ": "courage",
        "ar-*u*u*ũ": "bravoure",
        "ar-*u*²â*ũ": "partie antérieure",
        "ar-*u*â*@ũ": "Kodama",
        "ar-*u*â*ãé": "{{p}} anciens",
        "ar-*u*â*é": "avant-garde",
        "ar-*u*â*ũ": "antique, ancien",
        "ar-*u*û*ũ": "arrivée",
        "ar-*u2ay2î*ũ": "partie avant",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "partie avant",
        "ar-*â*i*ũ": "qui est de retour",
        "ar-a**a*a": "mettre en avant",
        "ar-a**a*u": "le plus avant",
        "ar-a**â*ũ": "{{p}} pieds",
        "ar-ma**a*ũ": "arrivée",
        "ar-ma*â*î*u": "{{p}}",
        "ar-mi**â*@ũ": "très courageux",
        "ar-mi**â*ũ": "très courageux",
        "ar-mu**i*@ũ": "bois antérieur",
        "ar-mu**i*ũ": "antérieur",
        "ar-mu*a*²a*@ũ": "avant-garde",
        "ar-mu*a*²a*ũ": "antérieur",
        "ar-mu*a*²i*ũ": "antérieur",
        "ar-musta**i*ũ": "antique",
        "ar-muta*a*²i*@ũ": "{{f}} qui précède",
        "ar-muta*a*²i*ũ": "qui précède",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "marcher en tête",
        "ar-ta**i*@ũ": "présent, cadeau",
        "ar-ta**u*iy²@ũ": "courage",
        "ar-ta**î*@ũ": "offrande",
        "ar-ta**î*ũ": "offre",
        "ar-ta*a*²a*a": "s'avancer",
        "ar-ta*a*²u*ũ": "antériorité",
        "ar-ta*â*a*a": "être antérieur",
        "ar-ta*â*i*u": "{{p}} présents",
        "ar-tu**a*@ũ": "courage",
    },  # 72
    "ar-qds": {
        "aa_sens": "vase saint",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "être saint",
        "ar-*a*a*ũ": "vase d'ablution",
        "ar-*a*²a*a": "sanctifier",
        "ar-*a*²â*ũ": "grosse pierre",
        "ar-*a*²û*ũ": "très saint",
        "ar-*a*â*@ũ": "sainteté",
        "ar-*a*î*ũ": "saint",
        "ar-*a*û*ũ": "prosélyte",
        "ar-*a2â2î*u": "{{p}} liturgies",
        "ar-*awâ*î*u": "{{p}} vases",
        "ar-*i*²î*ũ": "saint",
        "ar-*ta*a*a": "",
        "ar-*u**iy²@ũ": "sainteté",
        "ar-*u**iy²ũ": "sacré",
        "ar-*u**ũ": "sainteté",
        "ar-*u*a*ũ": "petite coupe",
        "ar-*u*u*ũ": "pureté",
        "ar-*u*²â*ũ": "liturgie",
        "ar-*u*²û*ũ": "très saint",
        "ar-*u*â*ũ": "perle d'argent",
        "ar-*â*a*a": "faire le pèlerinage de Jérusalem",
        "ar-*â*a*iy²@ũ": "Kadésia",
        "ar-*â*i*ũ": "grand navire",
        "ar-*â*û*ũ": "vase",
        "ar-a**a*a": "",
        "ar-a**a*u": "le plus saint",
        "ar-a**â*ũ": "{{p}} sanctuaires",
        "ar-ma**a*iy²ũ": "de Jérusalem",
        "ar-ma**a*ũ": "lieu saint",
        "ar-mu**a*ũ": "lieu saint",
        "ar-mu*a*²a*iy²ũ": "de Jérusalem",
        "ar-mu*a*²a*ũ": "sanctifié",
        "ar-mu*a*²i*ũ": "sanctifiant",
        "ar-mu*â*i*@ũ": "{{p}} pèlerins de Jérusalem",
        "ar-mu*â*i*ũ": "pèlerin de Jérusalem",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "sanctification",
        "ar-ta*a*²a*a": "être sanctifié",
        "ar-ta*â*a*a": "",
    },  # 43
    "ar-qlb": {
        "aa_sens": "tourner, retourner",
        "ar-**a*²a": "",
        "ar-*a**iy²ũ": "de cœur",
        "ar-*a**ũ": "changement ; cœur",
        "ar-*a*a*@ũ": "lèvre inversée",
        "ar-*a*a*a-i": "tourner ; toucher au cœur",
        "ar-*a*i*a-a": "être renversé",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "retourner ; manipuler",
        "ar-*a*î*ũ": "puits sans chemise",
        "ar-*a*û*ũ": "versatile",
        "ar-*i**ũ": "moelle du palmier",
        "ar-*i*a*@ũ": "{{p}} cœur de palmier",
        "ar-*i*²î*ũ": "loup",
        "ar-*i*â*ũ": "loup",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "rouge intense",
        "ar-*u**ũ": "pur-sang",
        "ar-*u*ay*ũ": "charme",
        "ar-*u*²a*ũ": "habile",
        "ar-*u*â*ũ": "maladie de cœur",
        "ar-*u*û*ũ": "{{p}} cœurs",
        "ar-*â*a*a": "manier ; manipuler",
        "ar-*â*a*ũ": "moule",
        "ar-*â*i*ũ": "qui a tourné autrement",
        "ar-a**a*a": "rappeler à soi",
        "ar-a**a*ũ": "retourné, renversé",
        "ar-ma**û*@ũ": "oreille",
        "ar-ma**û*ũ": "inversé",
        "ar-mi**a*ũ": "sarcloir",
        "ar-mu*a*²a*ũ": "lieu du changement",
        "ar-mun*a*a*ũ": "inversion, revirement",
        "ar-n*a*a*a": "être retourné, chavirer",
        "ar-n*i*â*ũ": "revirement",
        "ar-sta**a*a": "",
        "ar-ta**î*@ũ": "inversion, revirement",
        "ar-ta*a*²a*a": "se retourner",
        "ar-ta*a*²u*ũ": "changement",
        "ar-ta*â*a*a": "",
    },  # 39
    "ar-qr'": {
        "aa_sens": "lire, règles",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "menstrues",
        "ar-*a*a*a-u": "lire, réciter",
        "ar-*a*a*ũ": "lecture",
        "ar-*a*²a*a": "tester la grossesse",
        "ar-*a*²â*ũ": "lecteur coranique",
        "ar-*a*â*@ũ": "récitation",
        "ar-*a*â*ũ": "fin des règles",
        "ar-*awâ*i*u": "{{p}} hommes pieux",
        "ar-*i**@ũ": "maladie endémique",
        "ar-*i*â*@ũ": "manière de lire",
        "ar-*i*â*ũ": "lecture commune",
        "ar-*ta*a*a": "lire",
        "ar-*u**ânũ": "lecture",
        "ar-*u**ũ": "menstrues",
        "ar-*u*²â*ũ": "homme pieux",
        "ar-*u*û*ũ": "grossesse",
        "ar-*â*a*a": "lire avec",
        "ar-*â*i*ũ": "lecteur",
        "ar-a**a*a": "faire lire, enseigner",
        "ar-a**a*ũ": "{{p}} périodes",
        "ar-a**â*ũ": "{{p}} périodes",
        "ar-mu**i*ũ": "qui fait lire",
        "ar-mu*a*²a*@ũ": "chamelle gravide",
        "ar-mu*â*a*@ũ": "lecture commune",
        "ar-muta*a*²i*ũ": "lecteur assidu",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "faire réciter",
        "ar-ta**i*@ũ": "évaluation de grossesse",
        "ar-ta*a*²a*a": "se consacrer à la lecture",
        "ar-ta*â*a*a": "",
    },  # 33
    "ar-qrb": {
        "aa_sens": "approche",
        "ar-**a*²a": "",
        "ar-*a**ânu": "familier d'un prince",
        "ar-*a**ãé": "familière, remplie",
        "ar-*a*a*@ũ": "rempli",
        "ar-*a*a*a-i": "marcher de nuit",
        "ar-*a*a*ũ": "marche de nuit",
        "ar-*a*an*ãé": "sorte d'insecte",
        "ar-*a*i*a-a": "approcher",
        "ar-*a*u*a": "être proche",
        "ar-*a*²a*a": "rapprocher",
        "ar-*a*â*@ũ": "parenté",
        "ar-*a*â*înu": "{{p}} sacrifices",
        "ar-*a*â*ũ": "proximité",
        "ar-*a*î*@ũ": "Kariba",
        "ar-*a*î*ũ": "proche",
        "ar-*aw*a*ũ": "grande masse d'eau",
        "ar-*i**@ũ": "grande outre",
        "ar-*i**ânũ": "le fait de s'approcher",
        "ar-*i**âtũ": "{{p}} grandes outres",
        "ar-*i**ũ": "abord, accès",
        "ar-*i*a*ũ": "{{p}} grandes outres",
        "ar-*i*i*âtũ": "{{p}} grandes outres",
        "ar-*i*â*@ũ": "proximité du plein",
        "ar-*i*â*ũ": "fourreau",
        "ar-*ta*a*a": "se rapprocher",
        "ar-*u**@ũ": "proximité, familiarité",
        "ar-*u**ânũ": "sacrifice",
        "ar-*u**é": "le proche",
        "ar-*u**ũ": "proximité",
        "ar-*u*a*ũ": "{{p}} proximités",
        "ar-*u*ay*@ũ": "Koraïba",
        "ar-*u*ay*ũ": "Koraïb",
        "ar-*u*u*@ũ": "proximité, bonnes œuvres",
        "ar-*u*u*ũ": "hypocondres",
        "ar-*u*â*@ũ": "presque égal",
        "ar-*u*â*ãé": "à peu d'intervalle",
        "ar-*u*â*ũ": "voisin, presque",
        "ar-*â*a*a": "se rapprocher",
        "ar-*â*i*ũ": "chercheur de puits ; barque",
        "ar-a**a*a": "remplir à raz",
        "ar-a**a*u": "plus proche",
        "ar-a**â*ũ": "{{p}} flancs",
        "ar-ela*â*i*u": "{{p}} les proches parents",
        "ar-ma**a*@ũ": "chemin court",
        "ar-ma**a*ũ": "plus court chemin",
        "ar-ma**i*ũ": "proche du terme",
        "ar-ma**u*@ũ": "proche parenté",
        "ar-ma*â*i*u": "{{p}} proches du terme",
        "ar-ma*â*î*u": "{{p}} proches du terme",
        "ar-mi**â*ũ": "étendue gonflée d'eau",
        "ar-mu**a*@ũ": "{{f}} considérée",
        "ar-mu**a*ũ": "considéré",
        "ar-mu*a*²a*ũ": "rapproché",
        "ar-mu*a*²i*ũ": "approchant, offrant",
        "ar-mu*â*a*@ũ": "se rapprocher",
        "ar-mu*â*a*ũ": "moyen",
        "ar-mu*â*i*ũ": "moyen",
        "ar-muta*â*i*ũ": "rapproché",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "offrande ; approximation",
        "ar-ta*a*²a*a": "chercher à rapprocher",
        "ar-ta*a*²u*ũ": "chercher à rapprocher",
        "ar-ta*â*a*a": "être rapprochés",
        "ar-ta*â*u*ũ": "être rapprochés",
        "ar-ti*i*²â*ũ": "chercher à rapprocher",
    },  # 67
    "ar-qtl": {
        "aa_sens": "mort, tuer",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "une exécution",
        "ar-*a**ũ": "homicide",
        "ar-*a*a*a-u": "tuer, mettre à mort",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "tuer net",
        "ar-*a*²â*ũ": "grand tueur",
        "ar-*a*â*ũ": "force",
        "ar-*a*î*@ũ": "victime",
        "ar-*a*î*ũ": "tué",
        "ar-*a*û*ũ": "tueur",
        "ar-*i**@ũ": "manière de tuer",
        "ar-*i**ũ": "combattant",
        "ar-*i*â*ũ": "combat",
        "ar-*ta*a*a": "s'entretuer",
        "ar-*u**ũ": "sanguinaire",
        "ar-*u*u*ũ": "sanguinaire",
        "ar-*u*wa*ũ": "éreinté",
        "ar-*â*a*a": "combattre quelqu'un",
        "ar-*â*i*ũ": "meurtrier",
        "ar-a**a*a": "faire tuer",
        "ar-a**â*ũ": "{{p}} combattants",
        "ar-ma**a*ũ": "cause de mort",
        "ar-ma**û*ũ": "tué",
        "ar-mu**a*@ũ": "Mort, meurtre",
        "ar-mu*a*²a*ũ": "éprouvé",
        "ar-mu*ta*a*ũ": "lieu du combat",
        "ar-n*a*a*a": "succomber",
        "ar-sta**a*a": "s'exposer à la mort",
        "ar-ta*a*²a*a": "s'appliquer",
        "ar-ta*â*a*a": "s'entre-combattre",
    },  # 33
    "ar-qwm": {
        "aa_sens": "être debout",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "temps d'arrêt",
        "ar-*a**iy²@ũ": "stature",
        "ar-*a**ũ": "gens",
        "ar-*a*a*@ũ": "stature",
        "ar-*a*a*a-u": "se lever",
        "ar-*a*²a*a": "dresser",
        "ar-*a*²i*@ũ": "{{f}} droite",
        "ar-*a*²i*ũ": "préposé",
        "ar-*a*²â*ũ": "debout et droit",
        "ar-*a*â*ũ": "moyen de subsistance",
        "ar-*a*âyi*u": "{{p}} listes",
        "ar-*a*î*@ũ": "liste",
        "ar-*a*î*ũ": "qui est debout",
        "ar-*i**@ũ": "valeur",
        "ar-*i*â*@ũ": "résurrection",
        "ar-*i*â*ũ": "direction",
        "ar-*ta*a*a": "couper le nez",
        "ar-*u**ũ": "station",
        "ar-*u*ay*@ũ": "heure",
        "ar-*u*²a*ũ": "{{p}} qui sont debout",
        "ar-*u*²â*ũ": "{{p}} qui sont debout",
        "ar-*u*â*ũ": "lent",
        "ar-*â*a*a": "tenir tête",
        "ar-a**a*a": "maintenir debout",
        "ar-a**â*ũ": "{{p}} tribus",
        "ar-i**â*@ũ": "séjour",
        "ar-ma**a*@ũ": "séance",
        "ar-ma**a*ũ": "séjour",
        "ar-mu**a*@ũ": "séjour",
        "ar-mu**a*ũ": "séjour",
        "ar-mu**i*ũ": "qui séjourne",
        "ar-mu*â*a*ũ": "résistance",
        "ar-mu*â*i*ũ": "adversaire",
        "ar-musta**i*ũ": "droit",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "se dresser",
        "ar-sti**â*@ũ": "droiture",
        "ar-ta**î*ũ": "disposition",
        "ar-ta*a*²a*a": "être raffermi",
        "ar-ta*â*a*a": "engager une lutte",
    },  # 43
    "ar-qym": {
        "aa_sens": "être debout",
        "ar-***ũ": "",
        "ar-*a*²â*ũ": "immuable",
        "ar-*a*²û*ũ": "immuable",
        "ar-*i*â*ũ": "persévérance",
    },  # 5
    "ar-rb3": {
        "aa_sens": "quatre, printemps",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "boîte à parfum",
        "ar-*a**iy²ũ": "printanier",
        "ar-*a**âtũ": "{{f}} {{p}} petites chamelles de printemps",
        "ar-*a**ũ": "résidence",
        "ar-*a*a*@ũ": "foyer",
        "ar-*a*a*a-a": "boire un jour sur quatre",
        "ar-*a*a*a-u": "faire quatre",
        "ar-*a*a*âtũ": "{{p}} boîtes à parfum",
        "ar-*a*i*ũ": "condition",
        "ar-*a*²a*a": "rendre quatre",
        "ar-*a*²â*ũ": "marchand immobilier",
        "ar-*a*â*@ũ": "bien-être",
        "ar-*a*â*ũ": "vie aisée",
        "ar-*a*î*@ũ": "poids à soulever",
        "ar-*a*î*ũ": "printemps",
        "ar-*aw*a*@ũ": "court",
        "ar-*aw*a*ũ": "faible, débile",
        "ar-*i**iy²@ũ": "provision d'hiver",
        "ar-*i*a*ũ": "fièvre quarte, soif",
        "ar-*i*â*@ũ": "bien-être",
        "ar-*i*â*ũ": "{{p}} résidences",
        "ar-*ta*a*a": "passer le printemps",
        "ar-*u**ũ": "quart",
        "ar-*u*a*@ũ": "{{f}} petite chamelle de printemps",
        "ar-*u*a*ũ": "petit chameau de printemps",
        "ar-*u*i*a": "être arrosé",
        "ar-*u*u*ũ": "quart",
        "ar-*u*â*iy²ũ": "quadrilittère",
        "ar-*u*â*ũ": "de quatre parties",
        "ar-*u*û*ũ": "{{p}} résidences",
        "ar-*â*a*a": "contracter pour le printemps",
        "ar-*â*i*@ũ": "quatrième",
        "ar-*â*i*ũ": "quatrième",
        "ar-a**a*@ũ": "{{m}} quatre",
        "ar-a**a*a": "entrer au printemps",
        "ar-a**a*â'u": "mercredi",
        "ar-a**a*ũ": "{{f}} quatre",
        "ar-a**i*â'u": "{{p}} rigoles",
        "ar-a**u*â'u": "colonne",
        "ar-a**u*ũ": "{{p}} résidences",
        "ar-a**â*ũ": "{{p}} résidences",
        "ar-ma**a*@ũ": "pays à gerboise",
        "ar-ma**a*ũ": "résidence de printemps",
        "ar-ma**û*@ũ": "lance courte",
        "ar-ma**û*ũ": "formé de quatre",
        "ar-ma*â*i*u": "{{p}} résidences de printemps",
        "ar-ma*â*î*u": "pluie printanière",
        "ar-mi**a*@ũ": "levier",
        "ar-mi**a*ũ": "levier",
        "ar-mi**â*ũ": "quart",
        "ar-mu**a*ũ": "qui a la fièvre quarte",
        "ar-mu**i*ũ": "qui met bas au printemps",
        "ar-mu*a*²a*@ũ": "{{f}} carrée",
        "ar-mu*a*²a*ũ": "carré",
        "ar-mu*ta*a*ũ": "habitation",
        "ar-mu*ta*i*ũ": "de taille moyenne",
        "ar-mu*â*a*@ũ": "aide à soulever",
        "ar-musta**i*ũ": "assidu",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "se soulever",
        "ar-ta*a*²a*a": "s'asseoir en tailleur",
        "ar-ta*â*a*a": "",
        "ar-ya**û*ũ": "gerboise",
    },  # 66
    "ar-rbT": {
        "aa_sens": "nœud, fermeté, station",
        "ar-**a*²a": "",
        "ar-*a**ũ": "nœud",
        "ar-*a*a*a-u": "attacher",
        "ar-*a*a*ũ": "nœud",
        "ar-*a*²a*a": "",
        "ar-*a*î*ũ": "attaché",
        "ar-*i*â*ũ": "attache ; station",
        "ar-*ta*a*a": "apprêter un cheval",
        "ar-*â*a*a": "se lier, se retrancher",
        "ar-*â*i*@ũ": "attache ; détachement",
        "ar-*â*i*ũ": "qui lie",
        "ar-a**a*a": "",
        "ar-a**a*ũ": "sans enfant",
        "ar-ma**a*ũ": "étable",
        "ar-ma**i*ũ": "étable",
        "ar-ma**û*ũ": "attaché ; marabout",
        "ar-mi**a*@ũ": "lien ; courroie",
        "ar-mi**a*ũ": "longe",
        "ar-mu*â*i*ũ": "assidu",
        "ar-muta*â*i*ũ": "intarissable",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "se liguer contre",
    },  # 25
    "ar-rcH": {
        "aa_sens": "suinter, suer",
        "ar-**a*²a": "",
        "ar-*a**ũ": "exsudation",
        "ar-*a*a*a-a": "suinter",
        "ar-*a*²a*a": "former à",
        "ar-*a*î*ũ": "sueur ; moiteur",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "rhume",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "suintant",
        "ar-a**a*a": "croire apte",
        "ar-a**a*u": "transpirant plus",
        "ar-mi**a*ũ": "tapis de selle",
        "ar-mu**i*ũ": "qui peut marcher seul",
        "ar-mu*a*²a*ũ": "candidat",
        "ar-musta**a*ũ": "champ fourrager",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "grandir",
        "ar-ta**î*ũ": "candidature",
        "ar-ta*a*²a*a": "transpirer ; être formé à",
        "ar-ta*â*a*a": "",
    },  # 21
    "ar-rkb": {
        "aa_sens": "monter, assembler",
        "ar-**a*²a": "",
        "ar-*a**â'u": "{{f}} au gros genou",
        "ar-*a**ân@ũ": "qui sert de monture",
        "ar-*a**é": "qui sert de monture",
        "ar-*a**ũ": "troupe montée",
        "ar-*a*a*a-u": "",
        "ar-*a*a*ũ": "pubis",
        "ar-*a*i*a-a": "monter, s'embarquer",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "assembler, combiner",
        "ar-*a*²â*@ũ": "voyageur",
        "ar-*a*²â*ũ": "monté",
        "ar-*a*âyi*u": "{{p}} cavalcades",
        "ar-*a*û*@ũ": "{{f}} cavalière",
        "ar-*a*û*ũ": "cavalier",
        "ar-*awâ*i*u": "filets graisseux de la bosse",
        "ar-*i**@ũ": "équitation",
        "ar-*i*â*iy²@ũ": "{{p}} caravaniers",
        "ar-*i*â*iy²ũ": "de caravane ; d'étrier",
        "ar-*i*â*âtũ": "{{p}} cavalcades",
        "ar-*i*â*ũ": "étrier ; cavalcade",
        "ar-*ta*a*a": "être porté, monté",
        "ar-*ti*â*ũ": "commettre un péché",
        "ar-*u**@ũ": "chicot ; genou",
        "ar-*u**âtũ": "{{p}} genoux",
        "ar-*u*a*âtũ": "{{p}} genoux",
        "ar-*u*a*ũ": "{{p}} chicots",
        "ar-*u*u*âtũ": "{{p}} genoux",
        "ar-*u*u*ũ": "{{p}} cavalcades",
        "ar-*â*a*a": "ajuster, adapter",
        "ar-*â*i*@ũ": "rejet de palmier",
        "ar-*â*i*ũ": "passager",
        "ar-*â*û*@ũ": "rejet de palmier",
        "ar-*â*û*ũ": "rejet de palmier",
        "ar-a**a*a": "",
        "ar-a**a*ũ": "au gros genou",
        "ar-a**â*ũ": "{{p}} pubis",
        "ar-a**û*ũ": "troupe montée",
        "ar-a*a*î*u": "{{p}} pubis",
        "ar-ma**a*@ũ": "véhicule",
        "ar-ma**a*ũ": "véhicule",
        "ar-ma**û*ũ": "monté",
        "ar-ma*â*i*u": "{{p}} véhicules",
        "ar-mu*a*²a*@ũ": "composée",
        "ar-mu*a*²a*âtũ": "{{p}} noms composés",
        "ar-mu*a*²a*ũ": "composé ; hybride",
        "ar-mu*ta*i*ũ": "compromis",
        "ar-muta*â*i*ũ": "aggloméré",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "inviter à monter",
        "ar-ta**i*@ũ": "[[bouquin#Nom_commun_3|bouquin]] d'ambre",
        "ar-ta**î*ũ": "composition",
        "ar-ta*a*²a*a": "être adapté, être composé",
        "ar-ta*â*a*a": "être ajusté, être adapté",
    },  # 55
    "ar-rqS": {
        "aa_sens": "danse",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "danse",
        "ar-*a**ũ": "danse",
        "ar-*a*a*a-u": "dancer",
        "ar-*a*a*ânũ": "fuite",
        "ar-*a*a*ũ": "fuite",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "faire dancer",
        "ar-*a*²â*@ũ": "danseuse",
        "ar-*a*²â*ũ": "danseur",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "danser avec",
        "ar-a**a*a": "faire dancer",
        "ar-ma**a*ũ": "salle de danse",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "sautiller",
        "ar-ta*â*a*a": "se bouger",
    },  # 20
    "ar-rwD": {
        "aa_sens": "apprivoiser, exercer, jardiner",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "jardin",
        "ar-*a*a*a-u": "dresser",
        "ar-*a*²a*a": "maîtriser",
        "ar-*a*²i*ũ": "à peine dompté",
        "ar-*i**@ũ": "parterre",
        "ar-*i*â*@ũ": "sport, exercice continuel",
        "ar-*i*â*iy²@ũ": "vie ascétique",
        "ar-*i*â*âtũ": "sciences exactes",
        "ar-*i*â*ũ": "{{p}} jardins",
        "ar-*ta*a*a": "être maîtrisé",
        "ar-*â*a*a": "disposer favorablement",
        "ar-*â*i*ũ": "dompteur de chevaux",
        "ar-a**a*a": "abonder en jardin",
        "ar-ma**a*ũ": "sol dur",
        "ar-ma**û*ũ": "dompté",
        "ar-musta**i*ũ": "exercé",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "être exercé",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "rivaliser",
    },  # 23
    "ar-rwd": {
        "aa_sens": "chercher, aller et venir, nonchalence",
        "ar-**a*²a": "",
        "ar-*a**ũ": "qui souffle doucement",
        "ar-*a*a*@ũ": "qui va et vient chez les voisins",
        "ar-*a*a*a-u": "aller et venir",
        "ar-*a*a*ũ": "cherchant un lieu de camp",
        "ar-*a*â*ũ": "qui va et vient",
        "ar-*a*î*ũ": "éclaireur",
        "ar-*ta*a*a": "chercher",
        "ar-*u**ũ": "absence de précipitation",
        "ar-*u*ay*iy²@ũ": "absence de précipitation",
        "ar-*u*ay*â'u": "absence de précipitation",
        "ar-*u*ay*ũ": "doux, lent",
        "ar-*â*a*a": "exiger",
        "ar-a**a*a": "vouloir",
        "ar-a**a*u": "qui procède doucement",
        "ar-a*Wa3a": "faire doucement",
        "ar-i**â*@ũ": "volonté, intention",
        "ar-i**â*iy²ũ": "qui agit à sa guise",
        "ar-ma**a*ũ": "zone de pâturage",
        "ar-mi*Wa3ũ": "baguette de liaison",
        "ar-mu**a*ũ": "désiré, sens",
        "ar-mu**i*@ũ": "consacrée d'amour",
        "ar-mu**i*ũ": "disciple, adepte",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "trembler, vaciller",
        "ar-ta*â*a*a": "",
    },  # 28
    "ar-sHr": {
        "aa_sens": "aube",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*²@ũ": "légume fourrager",
        "ar-**â*²ũ": "légume fourrager",
        "ar-*a**ũ": "poumon",
        "ar-*a*a*@ũ": "{{p}} sorciers",
        "ar-*a*a*a-u": "fasciner",
        "ar-*a*a*ũ": "aube",
        "ar-*a*i*a-a": "faire à l'aube",
        "ar-*a*²a*a": "ensorceler",
        "ar-*a*²â*@ũ": "boîte",
        "ar-*a*²â*ũ": "grand sorcier",
        "ar-*a*î*ũ": "qui a mal au ventre",
        "ar-*a*û*ũ": "repas à l'aube",
        "ar-*i**iy²ũ": "sortilège",
        "ar-*i**ũ": "sortilège",
        "ar-*i*â*ũ": "légume fourrager",
        "ar-*ta*a*a": "chanter à l'aube",
        "ar-*u**@ũ": "aube",
        "ar-*u**ũ": "cœur",
        "ar-*u*ay*ũ": "aube",
        "ar-*u*²â*@ũ": "tour d'escamoteur",
        "ar-*u*â*@ũ": "poumon",
        "ar-*u*û*ũ": "{{p}} poumons",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "magicienne",
        "ar-*â*i*ũ": "savant",
        "ar-a**a*a": "faire à l'aube",
        "ar-a**â*²@ũ": "légume fourrager",
        "ar-a**â*²ũ": "légume fourrager",
        "ar-a**â*ũ": "{{p}} aubes",
        "ar-ma**û*ũ": "ensorcelé",
        "ar-mu*a*²a*ũ": "ensorcelé",
        "ar-mu*a*²i*ũ": "magicien",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "manger à l'aube",
        "ar-ta*â*a*a": "",
    },  # 39
    "ar-sWd": {
        "aa_sens": "noir",
        "ar-***ũ": "",
        "ar-**a'a*²a": "être noir",
        "ar-**a*²a": "être noir",
        "ar-**â*²a": "être noir",
        "ar-*a**â'u": "{{f}} noire",
        "ar-*a**ũ": "pied de montagne",
        "ar-*a*i*a-a": "être noir",
        "ar-*a*²a*a": "noircir",
        "ar-*a*â*ũ": "objet noir",
        "ar-*i**ân@ũ": "loup",
        "ar-*u**@ũ": "pied de montagne",
        "ar-*u**âniy²ũ": "nègre",
        "ar-*u**ânũ": "Soudan",
        "ar-*u*ay*ũ": "noirâtre",
        "ar-*u*i*a": "avoir la jaunisse",
        "ar-*u*â*ũ": "maladie qui jaunit le teint",
        "ar-*â*a*a": "rivaliser de noirceur",
        "ar-a**a*@ũ": "{{f}} serpent noir",
        "ar-a**a*a": "avoir un fils noir",
        "ar-a**a*iy²ũ": "noir",
        "ar-a**a*u": "noir",
        "ar-mu**a*²@ũ": "brouillon",
        "ar-mu**a*ũ": "noir",
        "ar-mu*a*²a*@ũ": "brouillon",
        "ar-mu*a*²a*ũ": "noirci",
        "ar-ta**î*ũ": "noircissement",
    },  # 27
    "ar-sWr": {
        "aa_sens": "assaut, rangée",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "cavalier",
        "ar-*a**@ũ": "violence",
        "ar-*a*²a*a": "parer de bracelets",
        "ar-*a*²â*ũ": "capiteux",
        "ar-*i*â*ũ": "bracelet",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "rang, sourate",
        "ar-*u*a*ũ": "{{p}} sourates",
        "ar-*u*u*ũ": "ivresse",
        "ar-*u*â*ũ": "force, violence",
        "ar-*â*a*a": "enivrer, assaillir",
        "ar-a**a*a": "",
        "ar-a**â*ũ": "bracelet",
        "ar-mi**a*@ũ": "coussin recouvert de cuir",
        "ar-mi**a*ũ": "coussin recouvert de cuir",
        "ar-mu*a*²a*ũ": "entouré de muraille",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "envahir",
        "ar-ta*â*a*a": "se livrer combat",
    },  # 23
    "ar-sYH": {
        "aa_sens": "se répandre",
        "ar-***ũ": "",
        "ar-*a*a*ânũ": "voyage",
    },  # 3
    "ar-sbt": {
        "aa_sens": "repos ; étaler",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "espace de temps",
        "ar-*a**iy²ũ": "sabbataire",
        "ar-*a**â'u": "désert",
        "ar-*a**ũ": "Sabbat",
        "ar-*a*a*a-i": "dénouer ses cheveux",
        "ar-*a*a*a-u": "se reposer, chômer",
        "ar-*a*a*ũ": "panier",
        "ar-*a*²a*a": "",
        "ar-*an*a*@ũ": "espace de temps",
        "ar-*an*a*ũ": "espace de temps",
        "ar-*i**ũ": "peau de bœuf",
        "ar-*ta*a*a": "",
        "ar-*u*â*iy²ũ": "encéphalite léthargique",
        "ar-*u*â*ũ": "sommeil, léthargie",
        "ar-*â*a*a": "",
        "ar-a**a*a": "observer le sabbat ; endormir",
        "ar-ma**û*ũ": "couché par terre",
        "ar-mu**i*ũ": "inactif",
        "ar-mu**û*ũ": "qui endort, endormi",
        "ar-mun*a*i*ũ": "allongé",
        "ar-n*a*a*a": "être allongé",
        "ar-n*i*â*ũ": "forme allongée",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 27
    "ar-sfr": {
        "aa_sens": "expédier, balayer",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "voyage",
        "ar-*a**ũ": "trace",
        "ar-*a*a*@ũ": "expédition",
        "ar-*a*a*a-i": "dévoiler",
        "ar-*a*a*a-u": "être négociateur",
        "ar-*a*a*iy²@ũ": "déplacement",
        "ar-*a*a*ũ": "voyage",
        "ar-*a*²a*a": "expédier",
        "ar-*a*²â*ũ": "relieur",
        "ar-*a*²û*ũ": "hérissé d'épines",
        "ar-*a*âyi*u": "{{p}} muselières",
        "ar-*a*î*@ũ": "collier",
        "ar-*a*î*ũ": "ambassadeur",
        "ar-*awâ*i*u": "{{f}} {{p}} dévoilées",
        "ar-*i**ũ": "livre",
        "ar-*i*â*@ũ": "médiateur",
        "ar-*i*â*ũ": "muselière",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "vivres",
        "ar-*u*a*â'u": "{{p}} médiateurs",
        "ar-*u*u*ũ": "{{p}} muselières",
        "ar-*u*²â*ũ": "{{p}} voyageurs",
        "ar-*u*â*@ũ": "balayures",
        "ar-*u*û*ũ": "{{p}} traces",
        "ar-*â*a*a": "se mettre en voyage",
        "ar-*â*i*@ũ": "dévoilée",
        "ar-*â*i*ũ": "voyageur",
        "ar-a**a*a": "écarter son voile",
        "ar-a**i*@ũ": "{{p}} muselières",
        "ar-a**â*ũ": "{{p}} voyages",
        "ar-ma**a*ũ": "zone découverte",
        "ar-ma*â*i*u": "partie visible du visage",
        "ar-mi**a*@ũ": "balai",
        "ar-mi**a*ũ": "qui voyage beaucoup",
        "ar-mu**i*@ũ": "rougeâtre",
        "ar-mu*a*²a*@ũ": "peleton de fil",
        "ar-mu*â*i*ũ": "voyageur",
        "ar-n*a*a*a": "disparaître",
        "ar-sta**a*a": "demander à dévoiler",
        "ar-ta*a*²a*a": "se mettre en route",
        "ar-ta*â*a*a": "se séparer",
    },  # 44
    "ar-sjd": {
        "aa_sens": "prosterner",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "se prosterner",
        "ar-*a*i*a-a": "être enflé",
        "ar-*a*²a*a": "",
        "ar-*a*²â*@ũ": "tapis de prière",
        "ar-*a*²â*ũ": "qui adore sans cesse",
        "ar-*i**@ũ": "prosternation",
        "ar-*ta*a*a": "",
        "ar-*u*û*ũ": "adoration",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "prostré",
        "ar-a**a*a": "pencher la tête",
        "ar-a**a*u": "enflé",
        "ar-a**â*ũ": "capitation",
        "ar-ma**i*ũ": "lieu d'adoration",
        "ar-mu**a*ũ": "membre du prosternement",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 22
    "ar-skn": {
        "aa_sens": "idée de plantage - repos, misère, couteau,...",
        "ar-*a**ũ": "aliment",
        "ar-*a*a*a-u": "être au repos",
        "ar-*a*a*ũ": "demeure",
        "ar-*a*i*@ũ": "repos",
        "ar-*a*u*a": "être misérable",
        "ar-*a*²a*a": "mettre au repos",
        "ar-*a*²â*ũ": "coutelier",
        "ar-*a*î*@ũ": "tranquilité",
        "ar-*a2â2î*iy²ũ": "coutelier",
        "ar-*i*²î*@ũ": "couteau",
        "ar-*i*²î*iy²ũ": "coutelier",
        "ar-*i*²î*ũ": "couteau",
        "ar-*ta*a*a": "se mettre au repos",
        "ar-*u**é": "lieu du séjour",
        "ar-*u*ay*@ũ": "ânesse",
        "ar-*u*ay*ũ": "âne rapide",
        "ar-*u*²â*ũ": "ancre, barre",
        "ar-*u*û*ũ": "repos",
        "ar-*â*i*@ũ": "Sakina",
        "ar-*â*i*ũ": "paisible",
        "ar-a**a*a": "loger",
        "ar-a**a*u": "plus tranquille",
        "ar-ma**a*@ũ": "pauvreté, misère",
        "ar-ma**a*ũ": "demeure",
        "ar-ma**i*ũ": "demeure",
        "ar-ma**î*@ũ": "Médine",
        "ar-ma**î*ũ": "pauvre",
        "ar-mi**î*ũ": "pauvre",
        "ar-mu**i*ũ": "devenu pauvre",
        "ar-ta*a*²a*a": "devenir pauvre",
        "ar-tama**a*a": "tomber dans la misère",
    },  # 32
    "ar-slH": {
        "aa_sens": "arme, excrément",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-a": "fienter",
        "ar-*a*a*ũ": "eau stagnante",
        "ar-*a*²a*a": "armer",
        "ar-*a*²a*ũ": "qui fait souvent caca",
        "ar-*a*î*@ũ": "sorte de laurier",
        "ar-*a*î*ũ": "apôtre",
        "ar-*i**ânũ": "{{p}} poussins de perdrix",
        "ar-*i**ũ": "Armes",
        "ar-*i*â*âtũ": "{{p}} lots d'armes",
        "ar-*i*â*ũ": "arme",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "suc",
        "ar-*u*a*ũ": "poussin de perdrix",
        "ar-*u*â*ũ": "excréments",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "armé",
        "ar-a**a*a": "faire chier",
        "ar-a**i*@ũ": "{{p}} armes",
        "ar-ma**a*@ũ": "lieu dangereux",
        "ar-mu*a*²a*ũ": "armé, renforcé",
        "ar-mu*a*²i*ũ": "armurier",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "renforcement",
        "ar-ta*a*²a*a": "s'armer",
        "ar-ta*a*²u*ũ": "armement",
        "ar-ta*â*a*a": "se battre",
    },  # 30
    "ar-slm": {
        "aa_sens": "rester intact ; être livré ; morsure de serpent",
        "ar-**â*ũ": "le fait de se rendre à Dieu ; islam",
        "ar-*a**ânu": "Salman (prénom) ; meilleure part",
        "ar-*a**é": "({{f}}) plus intacte, plus à l'abri",
        "ar-*a**ũ": "le fait de faire une morsure ; paix",
        "ar-*a*a*@ũ": "pierre",
        "ar-*a*a*a-i": "piquer, faire une morsure",
        "ar-*a*a*â'u": "terre",
        "ar-*a*a*ũ": "payer d'avance ; se livrer ; intact",
        "ar-*a*i*@ũ": "pierre",
        "ar-*a*i*a-a": "rester intact, échapper à quelque chose",
        "ar-*a*²a*a": "préserver du danger ; se soumettre",
        "ar-*a*²â*ũ": "Salomon (prénom)",
        "ar-*a*â*@ũ": "absence de vice ; santé ; sécurité",
        "ar-*a*â*ũ": "paix, sécurité ; bon état ; piqué par un serpent",
        "ar-*a*î*@ũ": "({{f}}) entière, droite, sûre",
        "ar-*a*î*ũ": "entier, droit ; piqué par un serpent ; Sélim (prénom)",
        "ar-*i**ũ": "paix ; obéissance",
        "ar-*i*â*@ũ": "({{p}}) pierres ; ({{f}}) délicate",
        "ar-*ta*a*a": "palper, toucher ; faire la paix",
        "ar-*u*ay*ânu": "Souleïman, Salomon (prénom)",
        "ar-*u*ay*ũ": "Sulaym (prénom)",
        "ar-*u*²a*ũ": "échelle ; marchepied ; étrier",
        "ar-*â*a*a": "faire la paix, vivre en paix",
        "ar-*â*i*@ũ": "({{f}}) saine, en sécurité",
        "ar-*â*i*ũ": "sain, sans défaut ; en sécurité ; régulier",
        "ar-a**a*a": "conserver sain et sauf ; trahir ; abandonner ; devenir musulman",
        "ar-a**a*u": "plus régulier, plus intact, plus en sécurité",
        "ar-el*u*ay*âniy²u": "espèce de liqueur exquise",
        "ar-ma**û*ũ": "qui est piqué par un serpent ; qui est tanné",
        "ar-mu**i*ũ": "qui préserve ; qui se résigne ; musulman",
        "ar-mu*a*²a*ũ": "accordé ; remis, livré",
        "ar-mu*â*a*@ũ": "le fait de vivre en paix",
        "ar-muta*a*²i*ũ": "qui reçoit la livraison ; Mutesellim (chef de canton)",
        "ar-sta**a*a": "se soumettre, obéir ; suivre le droit chemin",
        "ar-ta**î*@ũ": "inclinaison de la tête en priant",
        "ar-ta**î*ũ": "le fait de préserver d'un danger / salutation ; livraison, remise",
        "ar-ta*a*²a*a": "se mettre en possession ; suivre le droit chemin",
        "ar-ta*â*a*a": "faire la paix ; être d'accord",
        "ar-tama**a*a": "se convertir, devenir musulman",
        "ar-u*ay*i*ũ": "artère entre le majeur et l'auriculaire",
    },  # 41
    "ar-smd": {
        "aa_sens": "fumier / redresser",
        "ar-***ũ": "",
        "ar-**a'a*²a": "s'enfler",
        "ar-**a*²a": "s'enfler",
        "ar-*a*a*a-u": "divertir",
        "ar-*a*²a*a": "fumer un champ",
        "ar-*a*â*ũ": "engrais",
        "ar-*a*î*ũ": "pain blanc",
        "ar-*awâ*i*u": "marcheurs",
        "ar-*ta*a*a": "",
        "ar-*u*û*ũ": "se tenir debout",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "s'amusant",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "fertilisation",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 19
    "ar-smk": {
        "aa_sens": "être élevé, supporter, poisson",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "toit",
        "ar-*a*a*@ũ": "poisson",
        "ar-*a*a*a-u": "s’élever",
        "ar-*a*a*ũ": "du poisson",
        "ar-*a*²a*a": "épaissir",
        "ar-*a*²â*ũ": "poissonnier",
        "ar-*a*â*@ũ": "épaisseur",
        "ar-*a*î*ũ": "haut",
        "ar-*i*â*ũ": "support",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "toit",
        "ar-*u*ay*ũ": "petit poisson",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "haut",
        "ar-a**a*a": "",
        "ar-ma**û*âtũ": "les cieux",
        "ar-ma**û*ũ": "long",
        "ar-ma*â*i*ũ": "poissonnerie",
        "ar-mi**â*ũ": "piquet de tente",
        "ar-mu**a*âtũ": "les cieux",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "surpasser",
        "ar-ta*â*a*a": "",
    },  # 27
    "ar-smw": {
        "aa_sens": "hauteur, cieux ; nom",
        "ar-*a**ũ": "le fait de nommer",
        "ar-*a*a*a-u": "s'élever ; monter",
        "ar-*a*a*iy²ũ": "de nom, du nom",
        "ar-*a*a*âtũ": "({{p}}) cieux, toits",
        "ar-*a*i*iy²ũ": "haut, sublime ; homonyme",
        "ar-*a*²a*a": "nommer",
        "ar-*a*â*@ũ": "élévation",
        "ar-*a*â*iy²ũ": "céleste, du ciel",
        "ar-*a*â*âtũ": "({{p}}) cieux, toits",
        "ar-*a*â*ũ": "ciel ; toit",
        "ar-*ta*a*a": "faire visite à quelqu'un",
        "ar-*u**ũ": "renommée",
        "ar-*u*ay*@ũ": "petit toit",
        "ar-*â*a*a": "surpasser en gloire",
        "ar-*â*i*ũ": "haut, élevé",
        "ar-a**a*a": "exhausser, élever",
        "ar-mi**a*@ũ": "guêtre de chasseur",
        "ar-ta*a*²a*a": "être sublime ; être appelé",
        "ar-ta*â*a*a": "rivaliser de gloire ; s'élever",
    },  # 20
    "ar-snw": {
        "aa_sens": "puiser, aridité",
        "ar-**a*²a": "",
        "ar-*a**â'u": "stérile",
        "ar-*a*a*a-u": "arroser",
        "ar-*a*a*ũ": "clarté",
        "ar-*a*i*iy²ũ": "arrosé",
        "ar-*a*â*ũ": "séné",
        "ar-*ta*a*a": "être affligé",
        "ar-*â*i*@ũ": "roue hydraulique",
        "ar-ma**û*ũ": "arrosé",
        "ar-mu*a*²a*@ũ": "digue",
        "ar-n*a*a*a": "",
        "ar-ta*â*a*a": "",
    },  # 13
    "ar-sny": {
        "aa_sens": "élever, éclairer",
        "ar-**a*²a": "",
        "ar-*a*i*a-a": "être élevé",
        "ar-*a*²a*a": "rendre haut",
        "ar-*a*â*@ũ": "le tout",
        "ar-*a*â*ũ": "élévation",
        "ar-*a*î*ũ": "sublime",
        "ar-*u*ay*@ũ": "petite année",
        "ar-*â*a*a": "faire un contrat d'un an",
        "ar-a**a*a": "durer toute l'année",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "trouver sublime",
        "ar-ta*a*²a*a": "vieillir",
        "ar-ta*â*a*a": "",
    },  # 14
    "ar-swd": {
        "aa_sens": "chef",
        "ar-***ũ": "",
        "ar-*a*a*a-u": "gouverner",
        "ar-*a*²a*a": "prendre pour chef",
        "ar-*a*²i*@ũ": "madame",
        "ar-*a*²i*ũ": "chef",
        "ar-*a*â*ũ": "baggages",
        "ar-*i**@ũ": "louve",
        "ar-*i**ân@ũ": "loup",
        "ar-*i**ânũ": "{{p}} loups",
        "ar-*i**ũ": "loup",
        "ar-*i*²a*ũ": "âgé",
        "ar-*i*â*@ũ": "autorité",
        "ar-*i*â*ũ": "rivalité",
        "ar-*ta*a*a": "priver de chef",
        "ar-*u**ũ": "pouvoir",
        "ar-*u*3a3ũ": "dignité de chef",
        "ar-*u*ay*ũ": "cher maître",
        "ar-*â*a*a": "rivaliser",
        "ar-*â*i*ũ": "chef",
        "ar-a**a*a": "avoir un fils gouvernant",
        "ar-a**a*u": "plus puissant",
        "ar-n*a*a*a": "",
        "ar-ta*a*²a*a": "se marier",
        "ar-ta*â*a*a": "",
    },  # 25
    "ar-swq": {
        "aa_sens": "pousser",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "lieutenant",
        "ar-*a**â'u": "{{f}} à longues jambes",
        "ar-*a**ũ": "envoi",
        "ar-*a*a*@ũ": "arrière-garde",
        "ar-*a*a*a-u": "pousser en avant",
        "ar-*a*a*ũ": "jambe",
        "ar-*a*²a*a": "mener",
        "ar-*a*²i*@ũ": "bestiau",
        "ar-*a*²i*ũ": "nuage",
        "ar-*a*²â*@ũ": "prostituée",
        "ar-*a*²â*ũ": "qui poursuit",
        "ar-*a*î*ũ": "qui poursuit",
        "ar-*ta*a*a": "mener",
        "ar-*u**@ũ": "bas peuple",
        "ar-*u**iy²@ũ": "marchands",
        "ar-*u**iy²ũ": "marchand",
        "ar-*u**ũ": "marché",
        "ar-*u*²â*ũ": "à longues jambes",
        "ar-*â*a*a": "marcher en file",
        "ar-a**a*@ũ": "étrivière",
        "ar-a**a*a": "faire conduire",
        "ar-a**a*u": "à longues jambes",
        "ar-ma**a*ũ": "envoi",
        "ar-mu*â*a*@ũ": "marche en file indienne",
        "ar-mun*a*a*ũ": "poussé en avant",
        "ar-n*a*a*a": "être poussé",
        "ar-sta**a*a": "mener",
        "ar-ta*a*²a*a": "vendre au marché",
        "ar-ta*â*a*a": "arriver en file",
    },  # 32
    "ar-swr": {
        "aa_sens": "assaut, rangée",
        "ar-*a*a*a-u": "escalader un mur",
        "ar-*i**ânũ": "{{p}} murailles",
        "ar-*u**ũ": "mur",
        "ar-a**â*ũ": "{{p}} murailles",
    },  # 5
    "ar-syH": {
        "aa_sens": "se répandre",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ânũ": "Cydnus",
        "ar-*a**ũ": "eau qui coule",
        "ar-*a*a*a-i": "voyager",
        "ar-*a*²a*a": "répandre",
        "ar-*a*²â*ũ": "voyageur",
        "ar-*a*î*ũ": "dévot",
        "ar-*i*â*@ũ": "tourisme",
        "ar-*i*â*iy²ũ": "touriste",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "voyageur",
        "ar-a**a*a": "lâcher",
        "ar-ma**a*@ũ": "dimension",
        "ar-ma**a*ũ": "dimension",
        "ar-ma*â*î*u": "{{p}} grands voyageurs",
        "ar-mi**â*ũ": "grand voyageur",
        "ar-mu*a*²a*ũ": "rayé",
        "ar-n*a*a*a": "s'élargir",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 24
    "ar-syq": {
        "aa_sens": "pousser",
        "ar-***ũ": "",
        "ar-*a*a*a-u": "pousser en avant",
        "ar-*i*â*@ũ": "envoi",
        "ar-*i*â*ũ": "agonie",
    },  # 5
    "ar-t3b": {
        "aa_sens": "fatigue",
        "ar-**a*²a": "",
        "ar-*a**ânũ": "fatigué",
        "ar-*a*a*a-u": "",
        "ar-*a*a*ũ": "fatigue",
        "ar-*a*i*a-a": "être fatigué",
        "ar-*a*i*ũ": "fatigué",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "harasser",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "fatiguer, briser",
        "ar-ma**a*@ũ": "coup de fatigue",
        "ar-ma**a*ũ": "coup de fatigue",
        "ar-ma**û*ũ": "fatigué",
        "ar-ma*â*i*ũ": "inconvénients",
        "ar-mu**a*ũ": "fatigué",
        "ar-mu**i*ũ": "pénible",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 22
    "ar-tHf": {
        "aa_sens": "œuvre d'art",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "œuvre d'art",
        "ar-*u*a*@ũ": "œuvre d'art",
        "ar-*u*a*ũ": "{{g}} belles choses",
        "ar-*â*a*a": "",
        "ar-a**a*a": "faire un présent",
        "ar-ma**a*ũ": "musée",
        "ar-mu**a*ũ": "musée",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 17
    "ar-tXm": {
        "aa_sens": "frontière",
        "ar-*a**ũ": "borne",
        "ar-*a*a*a-i": "limiter quelqu'un",
        "ar-*a*i*a-a": "avoir une indigestion",
        "ar-*u**ũ": "borne",
        "ar-*u*a*@ũ": "indigestion",
        "ar-*u*u*ũ": "({{p}}) bornes ; bornage",
        "ar-*u*û*@ũ": "borne",
        "ar-*u*û*ũ": "({{p}}) bornes",
        "ar-*â*a*a": "être limitrophe",
        "ar-a**a*a": "causer une indigestion",
        "ar-ma**a*@ũ": "aliment indigeste",
    },  # 12
    "ar-tb3": {
        "aa_sens": "suivre, continuité",
        "ar-**â*ũ": "action de faire suivre",
        "ar-*a*a*ũ": "sectateur",
        "ar-*a*i*@ũ": "conséquence",
        "ar-*a*i*a-a": "suivre",
        "ar-*a*i*ũ": "assidu, appliqué",
        "ar-*a*²a*a": "poursuivre sans relâche",
        "ar-*a*²û*ũ": "vent de l'aurore",
        "ar-*a*â*@ũ": "conséquence, châtiment",
        "ar-*a*î*ũ": "suivant, sectateur",
        "ar-*i*â*@ũ": "conséquence, châtiment",
        "ar-*i*â*ũ": "suite, ordre",
        "ar-*ta*a*a": "poursuivre",
        "ar-*u*a*ũ": "volubile",
        "ar-*u*²a*ũ": "ombre",
        "ar-*u*²u*ũ": "ombre",
        "ar-*â*a*a": "suivre avec attention",
        "ar-*â*i*@ũ": "suivante, conséquence",
        "ar-*â*i*ũ": "suivant",
        "ar-a**a*a": "se rallier, faire suivre",
        "ar-ma**û*ũ": "qui est suivi",
        "ar-mu**i*ũ": "suivi d'un autre",
        "ar-mu*ta*a*ũ": "poursuivi",
        "ar-mu*â*a*@ũ": "obéissance",
        "ar-mu*â*a*ũ": "bien fait",
        "ar-mu*â*i*ũ": "continuel",
        "ar-muta*â*i*ũ": "successif",
        "ar-sta**a*a": "entraîner à sa suite",
        "ar-sti**â*ũ": "louange doublée",
        "ar-ta*a*²a*a": "étudier avec soin",
        "ar-ta*â*a*a": "se succéder",
    },  # 31
    "ar-tjr": {
        "aa_sens": "commerce",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "être commerçant",
        "ar-*a*²a*a": "",
        "ar-*i*â*@ũ": "trafic ; marchandise",
        "ar-*ta*a*a": "se faire marchand",
        "ar-*â*a*a": "commercer",
        "ar-*â*i*ũ": "marchand, marchandise",
        "ar-a**a*a": "exercer le commerce",
        "ar-a**a*u": "plus adonné au commerce",
        "ar-ma**a*@ũ": "marché",
        "ar-ma**a*ũ": "marchandise, trafic",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 16
    "ar-tlfn": {
        "aa_sens": "téléphone",
        "ar-*a**a*a": "téléphoner",
    },  # 2
    "ar-trk": {
        "aa_sens": "laisser, abandonner",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "chose abandonnée",
        "ar-*a**ũ": "casque",
        "ar-*a*a*a-u": "quitter, abandonner",
        "ar-*a*i*@ũ": "chose laissée, héritage",
        "ar-*a*i*a-a": "épouser une abandonnée",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "rendre turc",
        "ar-*a*²â*ũ": "qui délaisse",
        "ar-*a*â*i": "laissez",
        "ar-*a*î*@ũ": "chose laissée",
        "ar-*a*î*ũ": "grappe vidée de dattes",
        "ar-*ta*a*a": "laisser, abandonner",
        "ar-*u**ũ": "Turc",
        "ar-*â*a*a": "laisser tranquille",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "abandonner",
    },  # 21
    "ar-tys": {
        "aa_sens": "bouc",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**iy²@ũ": "entêtement",
        "ar-*a**u": "stupide",
        "ar-*a**â'u": "chèvre cornue",
        "ar-*a**ũ": "bouc",
        "ar-*a*3û3iy²@ũ": "entêtement",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "dresser",
        "ar-*i**iy²@ũ": "mensonge",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "travailler",
        "ar-a**a*a": "",
        "ar-a**a*u": "stupide",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "devenir bouc",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 19
    "ar-wSl": {
        "aa_sens": "allier, rallier",
        "ar-**a*²a": "",
        "ar-**â*ũ": "don ; union",
        "ar-*a**@ũ": "wasla",
        "ar-*a**ũ": "conjonction",
        "ar-*a*a*a-i": "arriver, confiner à",
        "ar-*a*i*a-a": "récompenser",
        "ar-*a*²a*a": "faire parvenir ; joindre",
        "ar-*a*î*@ũ": "lien ; abondance",
        "ar-*a*î*ũ": "ami intime",
        "ar-*a*û*ũ": "qui donne sans cesse",
        "ar-*i**@ũ": "réunion, don",
        "ar-*i*â*ũ": "réunion",
        "ar-*ta*a*a": "parvenir à",
        "ar-*u**@ũ": "lien, attache",
        "ar-*u**iy²@ũ": "bretelle de raccordement",
        "ar-*u**ũ": "articulation",
        "ar-*u*û*iy²ũ": "arriviste",
        "ar-*u*û*ũ": "arrivée ; reçu",
        "ar-*â*a*a": "être allié",
        "ar-*â*i*@ũ": "cause de maladie",
        "ar-*â*i*ũ": "qui arrive",
        "ar-2i3@ũ": "réunion",
        "ar-a**a*a": "procurer ; unir",
        "ar-a**â*ũ": "les articulations",
        "ar-it²a2a3a": "parvenir à",
        "ar-ma**i*ũ": "jonction",
        "ar-ma**û*@ũ": "pronom relatif",
        "ar-ma**û*ũ": "sabre",
        "ar-mu**i*ũ": "qui conduit à",
        "ar-mu*a*²a*ũ": "graphie liée",
        "ar-musta**i*@ũ": "aux cheveux rallongés",
        "ar-muta*â*i*ũ": "réuni",
        "ar-mut²a2i3ũ": "contigü",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "ne faire qu'un",
        "ar-ta*a*²a*a": "se rattacher à",
        "ar-ta*â*a*a": "s'allier",
        "ar-t²i2â3ũ": "jonction",
    },  # 39
    "ar-wTn": {
        "aa_sens": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "demeure ; patrie",
        "ar-*a*a*a-i": "résider, demeurer",
        "ar-*a*a*ũ": "demeure ; patrie",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "s'établir ; se préparer à",
        "ar-*â*a*a": "",
        "ar-a**a*a": "demeurer, s'acclimater",
        "ar-it²a2a3a": "se fixer, s'implanter",
        "ar-ma**i*ũ": "domicile, logis",
        "ar-mi**â*ũ": "enclos",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "chercher à s'implanter",
        "ar-sti**â*ũ": "domicile",
        "ar-ta*a*²a*a": "demeurer, s'acclimater",
        "ar-ta*â*a*a": "",
    },  # 18
    "ar-wXm": {
        "aa_sens": "indigestion",
        "ar-*a**@ũ": "insalubre",
        "ar-*a**ũ": "enuyeux",
        "ar-*a*a*a-i": "avoir une digestion pénible",
        "ar-*a*a*ũ": "maladie des chamelles",
        "ar-*a*i*@ũ": "malsaine",
        "ar-*a*i*a-a": "avoir une indigestion",
        "ar-*a*u*a": "être indigeste",
        "ar-*a*â*ũ": "pâturage malsain",
        "ar-*a*î*@ũ": "malsaine",
        "ar-*a*î*ũ": "indigeste",
        "ar-*a*û*ũ": "indigeste",
        "ar-*â*a*a": "avoir aussi une indigestion",
        "ar-a**a*a": "être indigeste",
        "ar-it²a2a3a": "être intoxiqué",
        "ar-ma**a*@ũ": "malsaine",
        "ar-ma**i*@ũ": "malsaine",
        "ar-mata*a*²a*ũ": "insalubre",
        "ar-sta**a*a": "devenir malsain",
        "ar-ta*a*²a*a": "être malsain",
    },  # 20
    "ar-wZf": {
        "aa_sens": "aide",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-i": "toucher au pied",
        "ar-*a*²a*a": "pensionner",
        "ar-*a*î*@ũ": "emploi",
        "ar-*a*î*iy²ũ": "fonctionnel",
        "ar-*a*î*ũ": "canon",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "aider",
        "ar-a**a*a": "",
        "ar-mu*a*²a*ũ": "employé",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "prendre tout",
        "ar-ta*a*²a*a": "être employé",
        "ar-ta*â*a*a": "",
    },  # 16
    "ar-whb": {
        "aa_sens": "don",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*ũ": "donnation",
        "ar-*a**@ũ": "pourboire",
        "ar-*a**ũ": "don",
        "ar-*a*a*a-a": "donner",
        "ar-*a*²a*a": "",
        "ar-*a*²â*@ũ": "{{m}} généreux",
        "ar-*a*²â*iy²@ũ": "Wahabisme",
        "ar-*a*²â*iy²ũ": "Wahabite",
        "ar-*a*²â*ũ": "généreux",
        "ar-*a*û*ũ": "généreux",
        "ar-*u*ay*ũ": "Wohaïb",
        "ar-*â*a*a": "rivaliser de générosité",
        "ar-*â*i*ũ": "qui donne",
        "ar-2i3@ũ": "don",
        "ar-a**a*a": "préparer",
        "ar-it²a2a3a": "se faire donner",
        "ar-ma**a*@ũ": "cadeau",
        "ar-ma**a*ũ": "Moweb",
        "ar-ma**i*@ũ": "faveur",
        "ar-ma**i*ũ": "donation",
        "ar-ma**û*ũ": "doué",
        "ar-ma*â*i*u": "{{p}} présents",
        "ar-mu**a*ũ": "préparé",
        "ar-mu**i*ũ": "puissant",
        "ar-musta**i*ũ": "qui demande un don",
        "ar-mut²a2i3ũ": "qui reçoit un don",
        "ar-n*a*a*a": "se faire des cadeaux",
        "ar-sta**a*a": "demander un cadeau",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 33
    "ar-wjb": {
        "aa_sens": "obligation, chute, lâcheté",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-**â*iy²@ũ": "positivisme",
        "ar-**â*iy²ũ": "positif",
        "ar-**â*ũ": "affirmation",
        "ar-*a**@ũ": "repas",
        "ar-*a**ũ": "pari",
        "ar-*a*a*a-i": "être nécessaire",
        "ar-*a*a*ânũ": "que le cœur batte",
        "ar-*a*u*a": "être lâche",
        "ar-*a*²a*a": "rendre nécessaire",
        "ar-*a*²â*@ũ": "lâche",
        "ar-*a*²â*ũ": "poltron, imbécile",
        "ar-*a*â'i*ũ": "{{p}} devoirs",
        "ar-*a*î*@ũ": "pension",
        "ar-*a*î*ũ": "que le cœur batte",
        "ar-*i*â*ũ": "{{p}} grandes outres",
        "ar-*ta*a*a": "",
        "ar-*u*â*ũ": "maladie de chameau",
        "ar-*u*û*@ũ": "lâcheté",
        "ar-*u*û*ũ": "nécessité",
        "ar-*â*a*a": "adjuger",
        "ar-*â*i*@ũ": "devoir",
        "ar-*â*i*ũ": "nécessaire",
        "ar-2i3@ũ": "nécessité",
        "ar-a**a*a": "être cause",
        "ar-ma**a*ũ": "affirmé",
        "ar-ma**û*ũ": "injonction",
        "ar-ma*â*i*u": "gages",
        "ar-mu**a*@ũ": "affirmation",
        "ar-mu**a*ũ": "conséquence",
        "ar-mu**i*@ũ": "action grave",
        "ar-mu**i*ũ": "qui cause",
        "ar-mu*a*²i*ũ": "qui ne fait qu'un repas",
        "ar-mu*â*a*@ũ": "adjudication",
        "ar-musta**i*ũ": "digne de",
        "ar-muta*a*²i*ũ": "devoir",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "regarder comme nécessaire",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 42
    "ar-wjd": {
        "aa_sens": "trouver",
        "ar-**a*²a": "",
        "ar-**â*ũ": "invention",
        "ar-*a**ũ": "affection intense",
        "ar-*a*a*a-i": "trouver",
        "ar-*a*²a*a": "préparer",
        "ar-*a*î*ũ": "égal, uni",
        "ar-*i**ũ": "richesse",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "opulence",
        "ar-*u*û*ũ": "existence",
        "ar-*â*a*a": "",
        "ar-2i3@ũ": "richesse, opulence",
        "ar-a**a*a": "créer",
        "ar-ma**û*ũ": "trouvé, existant",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "être épris",
        "ar-ta*â*a*a": "se plaindre",
    },  # 19
    "ar-wld": {
        "aa_sens": "engendrer",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "engendré, enfants",
        "ar-*a*a*a-i": "engendrer",
        "ar-*a*a*ũ": "enfant, apprenti",
        "ar-*a*²a*a": "enfanter",
        "ar-*a*âyi*u": "{{p}} enfants",
        "ar-*a*î*@ũ": "{{f}} enfant",
        "ar-*a*î*ũ": "enfant",
        "ar-*a*û*iy²@ũ": "enfance",
        "ar-*a*û*ũ": "qui met bas",
        "ar-*i**@ũ": "{{p}} enfant",
        "ar-*i**ânũ": "{{p}} enfant",
        "ar-*i*â*@ũ": "naissance",
        "ar-*i*â*ũ": "naissance",
        "ar-*ta*a*a": "",
        "ar-*u**ũ": "engendré",
        "ar-*u*ay*âtũ": "diminutif",
        "ar-*u*ay*ûna": "diminutif",
        "ar-*u*û*iy²@ũ": "enfance",
        "ar-*â*a*a": "",
        "ar-*â*i*@ũ": "{{f}} qui engendre",
        "ar-*â*i*iy²ũ": "paternel",
        "ar-*â*i*ũ": "qui engendre",
        "ar-2i3@ũ": "procréation",
        "ar-a**a*a": "mettre au monde",
        "ar-a**â*ũ": "{{p}} enfants, apprentis",
        "ar-ma**i*ũ": "naissance",
        "ar-ma**û*ũ": "engendré",
        "ar-ma*â*i*u": "{{p}} parturientes",
        "ar-ma*â*î*u": "{{p}} parturientes",
        "ar-mi**â*ũ": "Noël",
        "ar-mu**i*ũ": "qui accouche",
        "ar-mu*a*²a*@ũ": "chose créée",
        "ar-mu*a*²a*ũ": "étranger, moderne",
        "ar-mu*a*²i*@ũ": "sage-femme",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "vouloir des enfants",
        "ar-ta**î*ũ": "génération",
        "ar-ta*a*²a*a": "naître",
        "ar-ta*a*²u*ũ": "naissance",
        "ar-ta*â*a*a": "croître et multiplier",
    },  # 43
    "ar-wrd": {
        "aa_sens": "accéder à l'eau ; rose",
        "ar-**â*²a": "être fauve",
        "ar-**â*ũ": "revenus",
        "ar-*a**@ũ": "rose",
        "ar-*a**ânu": "canal",
        "ar-*a**ũ": "rose",
        "ar-*a*a*a-i": "arriver",
        "ar-*a*²a*a": "fleurir ; fournir",
        "ar-*a*²â*ũ": "qui descend",
        "ar-*a*î*ũ": "veine",
        "ar-*a*û*ũ": "rapide à la course",
        "ar-*i**ũ": "accès à l'eau",
        "ar-*i*â*ũ": "{{p}} roux",
        "ar-*ta*a*a": "",
        "ar-*u**iy²ũ": "couleur de rose",
        "ar-*u**ũ": "{{p}} roux",
        "ar-*u*û*ũ": "arrivée",
        "ar-*â*a*a": "rencontrer",
        "ar-*â*i*@ũ": "arrivées",
        "ar-*â*i*ũ": "qui arrive",
        "ar-a**a*a": "faire arriver",
        "ar-a**i*@ũ": "{{p}} veines",
        "ar-a**â*ũ": "{{p}} prières privées",
        "ar-ma**i*@ũ": "accès à l'eau",
        "ar-ma**i*ũ": "chemin vers l'eau",
        "ar-ma**û*ũ": "pris d'un accès de fièvre",
        "ar-ma*â*i*ũ": "{{p}} chemins",
        "ar-mu**i*ũ": "riche",
        "ar-mu*a*²a*ũ": "teint en rouge",
        "ar-mu*a*²i*ũ": "fournisseur",
        "ar-mu*â*a*@ũ": "rencontre",
        "ar-muta*a*²i*ũ": "qui descend à l'eau",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "amener",
        "ar-sti**â*ũ": "importation",
        "ar-ta**î*ũ": "floraison",
        "ar-ta*a*²a*a": "arriver insensiblement",
        "ar-ta*a*²u*ũ": "couleur de rose",
        "ar-ta*â*a*a": "arriver en foule",
        "ar-ta*â*u*ũ": "concorde",
    },  # 40
    "ar-wrq": {
        "aa_sens": "feuille, feuillage, branche",
        "ar-**a*²a": "",
        "ar-**â*²a": "se colorer",
        "ar-*a**@ũ": "arc à nœud",
        "ar-*a**ũ": "le fait d'être branchu",
        "ar-*a*a*@ũ": "feuille",
        "ar-*a*a*a-i": "être branchu",
        "ar-*a*a*ũ": "feuille, feuillage",
        "ar-*a*i*@ũ": "{{f}} de {{ar-mot|wariqũ}}",
        "ar-*a*i*a-a": "se ramifier",
        "ar-*a*i*ũ": "touffu",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "ramifier, plier du papier",
        "ar-*a*â*ũ": "le fait de se ramifier",
        "ar-*i**ũ": "(''coll'') argent monnayé",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "couleur cendrée",
        "ar-*u**ũ": "{{p}} de {{ar-mot|awraqũ}}",
        "ar-*â*a*a": "",
        "ar-a**a*a": "se ramifier, être riche, être bredouille",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta**î*ũ": "le fait de ramifier, plier du papier",
        "ar-ta*a*²a*a": "se nourrir de rameaux",
        "ar-ta*â*a*a": "",
    },  # 25
    "ar-wry": {
        "aa_sens": "dissimulation",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "amadou",
        "ar-*a**ũ": "chair grasse",
        "ar-*a*a*a-i": "allumer",
        "ar-*a*a*ũ": "genre humain",
        "ar-*a*i*a-i": "être gras",
        "ar-*a*²a*a": "cacher",
        "ar-*a*â*ũ": "ce qui se cache",
        "ar-*a*î*ũ": "gras",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "cacher",
        "ar-*â*i*@ũ": "maladie des poumons",
        "ar-*â*i*ũ": "substantiel",
        "ar-2i3@ũ": "amadou",
        "ar-a**a*a": "allumer",
        "ar-a**a*u": "mieux caché",
        "ar-mu*a*²i*ũ": "qui dissimule",
        "ar-muta*â*i*ũ": "qui se cache",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "allumer",
        "ar-ta**i*@ũ": "feinte",
        "ar-ta*a*²a*a": "se cacher",
        "ar-ta*â*a*a": "être caché",
    },  # 25
    "ar-wtr": {
        "aa_sens": "tension ; séparation",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "haine",
        "ar-*a*a*@ũ": "connexion charnelle",
        "ar-*a*a*a-i": "haïr",
        "ar-*a*a*iy²ũ": "à corde",
        "ar-*a*a*ũ": "hypoténuse, corde",
        "ar-*a*²a*a": "faire une seule fois",
        "ar-*a*î*@ũ": "rancune",
        "ar-*i**ũ": "haine ; singulier",
        "ar-*i*â*ũ": "faire périodiquement",
        "ar-*ta*a*a": "disperser",
        "ar-*â*a*a": "faire séparément",
        "ar-2i3@ũ": "rancune",
        "ar-a**a*a": "encorder",
        "ar-a**â*ũ": "{{p}} haines",
        "ar-ma**û*ũ": "qui ne se venge pas",
        "ar-mu*a*²a*ũ": "garni de cordes",
        "ar-mu*â*a*@ũ": "faire périodiquement",
        "ar-mu*â*a*ũ": "successif, suivi",
        "ar-muta*a*²i*ũ": "tendu",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "être tendu et dur",
        "ar-ta*a*²u*ũ": "tension",
        "ar-ta*â*a*a": "se suivre",
        "ar-ta*â*u*ũ": "succession",
    },  # 28
    "ar-xDr": {
        "aa_sens": "relatif à la couleur [[vert|verte]], à la [[végétation]]",
        "ar-**a*²a": "être vert ; être sombre",
        "ar-*2aw2a*a": "être très vert",
        "ar-*a**â'u": "noire ; sceau patiné ; troupe nombreuse",
        "ar-*a**âwâtũ": "légumes ; gazon ou espace vert",
        "ar-*a*a*a-u": "couper (un palmier)",
        "ar-*a*a*ũ": "le fait d'être verdoyant ; état de ce qui est encore vert",
        "ar-*a*i*@ũ": "légume vert, verdure",
        "ar-*a*i*a-a": "être vert, verdoyant",
        "ar-*a*i*ũ": "verdoyant ; végétal vert",
        "ar-*a*²a*a": "rendre vert, verdoyant ; faire prospérer",
        "ar-*a*â*iy²ũ": "marchand de légumes verts",
        "ar-*a*â*ũ": "légume qui commence à pousser",
        "ar-*a*î*@ũ": "palmier dont les fruits tombent verts",
        "ar-*a*î*ũ": "verdoyant ; légume vert ; bouse de vache",
        "ar-*a*û*ũ": "verdoyant, riant",
        "ar-*i**ũ": "verdoyant par nature",
        "ar-*ta*a*a": "faucher avant maturité ; violer une mineure ; porter un fardeau",
        "ar-*u**@ũ": "couleur verte, jeunesse",
        "ar-*u*â*@u": "mer",
        "ar-*u*â*@ũ": "(collectif) légumes verts",
        "ar-*â*a*a": "vendre des végétaux encore verts",
        "ar-a**a*a": "rendre vert",
        "ar-a**a*ũ": "vert, foncé, noir ; palmier",
        "ar-el*a**â'u": "le ciel",
        "ar-el*a*i*u": "Khidr, personnage immortel se réincarnant en prophète",
        "ar-el*i**u": "Khidr",
        "ar-ela**a*u": "nuit noire",
        "ar-ela*â*i*u": "les trois choses : l'or, le vin et la viande",
        "ar-mu**a*@ũ": "lieu couvert d'une riche verdure",
        "ar-ta**î*ũ": "le fait de rendre prospère",
        "ar-ta**û*ũ": "vert",
    },  # 32
    "ar-yhd": {
        "aa_sens": "juif",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a*a*a-u": "",
        "ar-*a*²a*a": "",
        "ar-*a*û*iy²@ũ": "juive",
        "ar-*a*û*iy²ũ": "juif",
        "ar-*a*û*ũ": "juifs",
        "ar-*ta*a*a": "",
        "ar-*u**ânũ": "{{p}} juifs",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-el*a*û*iy²@u": "judaisme",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 17
    "ar-zHl": {
        "aa_sens": "s'écarter",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "retrait",
        "ar-*a*a*a-a": "se retirer",
        "ar-*a*a*ũ": "gémissement",
        "ar-*a*i*ũ": "qui s'écarte",
        "ar-*a*²a*a": "soustraire",
        "ar-*a*û*ũ": "éloigné",
        "ar-*ay*a*@ũ": "démarche fière",
        "ar-*i*a*ũ": "qui écarte",
        "ar-*ta*a*a": "",
        "ar-*u*a*@ũ": "qui se terre en reculant",
        "ar-*u*a*u": "Saturne",
        "ar-*u*a*ũ": "qui cesse de travailler",
        "ar-*u*û*ũ": "retrait",
        "ar-*â*a*a": "",
        "ar-a**a*a": "déplacer",
        "ar-ma**a*ũ": "lieu de retraite",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "se retirer",
        "ar-ta*â*a*a": "",
    },  # 23
    "ar-zWj": {
        "aa_sens": "{{ar-zwj|***}}",
        "ar-*da*a*a": "faire la paire",
        "ar-*di*â*ũ": "union d'une paire",
        "ar-mu*da*i*ũ": "rime",
        "ar-muta*a*²i*ũ": "marié",
    },  # 5
    "ar-zWr": {
        "aa_sens": "éloignement",
        "ar-*a*a*ũ": "vice du poitrail",
        "ar-*a*i*a-a": "être penché",
        "ar-*i*â*ũ": "corde d'appui",
        "ar-*â*i*@ũ": "gésier",
        "ar-*â*u*@ũ": "gésier",
        "ar-a**a*ũ": "oblique",
    },  # 7
    "ar-zbb": {
        "aa_sens": "sortir le jus",
        "ar-**a*²a": "",
        "ar-*a*a*@ũ": "{{p}} pénis",
        "ar-*a*a*a-u": "être écumant ; être velu",
        "ar-*a*a*ũ": "duvet, poils",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "sécher des raisins",
        "ar-*a*²â*ũ": "vendeur de fruits secs",
        "ar-*a*â*@ũ": "musaraigne",
        "ar-*a*â*ũ": "musaraignes ; sourd",
        "ar-*a*î*@ũ": "bouton",
        "ar-*a*î*iy²ũ": "vin de raisins secs",
        "ar-*a*î*ũ": "fruits secs",
        "ar-*da*a*a": "être rempli",
        "ar-*i**ũ": "''fistularia vittata''",
        "ar-*u**ũ": "pénis",
        "ar-*â*a*a": "",
        "ar-a**a*a": "laisser sécher",
        "ar-a**a*ũ": "velu",
        "ar-mu**i*ũ": "écumant",
        "ar-mu*a*²i*ũ": "écumant",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "être écumant",
        "ar-ta*â*a*a": "",
    },  # 26
    "ar-zbl": {
        "aa_sens": "fumier, particule",
        "ar-**a*²a": "être couleur fumier",
        "ar-*a*a*@ũ": "petit morceau",
        "ar-*a*a*a-i": "fumer la terre",
        "ar-*a*²a*a": "",
        "ar-*a*²â*ũ": "éboueur",
        "ar-*a*â*@ũ": "fumier",
        "ar-*a*î*ũ": "fumier, panier",
        "ar-*i**ũ": "fumier",
        "ar-*i*²î*ũ": "corbeille",
        "ar-*i*â*ũ": "parcelle",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "bouchée",
        "ar-*u*â*@ũ": "un rien",
        "ar-*u*â*ũ": "parcelle",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-ma**a*@ũ": "boîte à ordures",
        "ar-ma**u*@ũ": "boîte à ordures",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 23
    "ar-zhr": {
        "aa_sens": "briller, fleurir",
        "ar-**â*²a": "être en fleur",
        "ar-*a**@ũ": "fleur ; beauté",
        "ar-*a**iy²@ũ": "éclat, brillant",
        "ar-*a**âwiy²ũ": "enjoué",
        "ar-*a**ũ": "{{p}} fleurs",
        "ar-*a*a*@ũ": "Vénus",
        "ar-*a*a*a-a": "briller",
        "ar-*a*i*a-a": "être éclatant",
        "ar-*a*u*a": "être éclatant",
        "ar-*a*²a*a": "",
        "ar-*a*²â*ũ": "marchand de fleurs",
        "ar-*a*î*âtiy²ũ": "marchand de fleurs",
        "ar-*a*î*ũ": "tintement",
        "ar-*da*a*a": "resplendir",
        "ar-*i**ũ": "ce qui est nécessaire",
        "ar-*u**@ũ": "blancheur ; beauté",
        "ar-*u*a*iy²ũ": "syphilis",
        "ar-*u*a*ũ": "{{p}} premières nuits du mois",
        "ar-*â*a*a": "",
        "ar-*â*i*iy²@ũ": "démarche fière",
        "ar-*â*i*ũ": "en fleur ; éclatant",
        "ar-a**a*a": "donner de l'éclat ; fleurir",
        "ar-a**a*ũ": "blanc, brillant",
        "ar-a**â*ũ": "{{p}} fleurs",
        "ar-a*â*î*u": "{{p}} fleurs",
        "ar-mi**a*ũ": "bonté",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 31
    "ar-zlj": {
        "aa_sens": "glisser",
        "ar-***ũ": "",
        "ar-**a*²a": "",
        "ar-*a**ũ": "endroit glissant",
        "ar-*a*a*a-u": "glisser",
        "ar-*a*a*ũ": "endroit glissant",
        "ar-*a*²a*a": "rendre glissant, faire glisser",
        "ar-*a*î*ũ": "glissant",
        "ar-*a*û*ũ": "véloce",
        "ar-*i*â*ũ": "targette",
        "ar-*ta*a*a": "",
        "ar-*u*ay*iy²ũ": "faïence ornementale",
        "ar-*u*ay*ũ": "carreau de faïence",
        "ar-*u*u*ũ": "pierres lisses",
        "ar-*â*a*a": "",
        "ar-*â*i*ũ": "qui glisse",
        "ar-a**a*a": "faire glisser, raser",
        "ar-mi**a*ũ": "patin à glace",
        "ar-mi**â*ũ": "targette",
        "ar-mu*a*²a*ũ": "qui se glisse",
        "ar-n*a*a*a": "glisser",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "patiner",
        "ar-ta*â*a*a": "",
    },  # 24
    "ar-zmn": {
        "aa_sens": "temps, durée",
        "ar-*a*a*@ũ": "temps",
        "ar-*a*a*ũ": "temps, maladie chronique",
        "ar-*a*i*a-a": "avoir une maladie chronique",
        "ar-*a*i*ũ": "chroniquement malade",
        "ar-*a*â*@ũ": "temps de vicissitude",
        "ar-*a*â*iy²ũ": "de temps",
        "ar-*a*â*ũ": "époque, température",
        "ar-*a*î*ũ": "chroniquement malade",
        "ar-*u*ay*ũ": "petit moment",
        "ar-*â*a*a": "contracter à temps",
        "ar-a**a*a": "durer longtemps",
        "ar-a**â*ũ": "{{p}} temps",
    },  # 13
    "ar-zrq": {
        "aa_sens": "yeux bleus",
        "ar-***ũ": "",
        "ar-**a*²a": "être bleu",
        "ar-**â*²a": "être bleu",
        "ar-*a**@ũ": "porte-bonheur",
        "ar-*a**â'u": "{{f}} bleue",
        "ar-*a**ũ": "regarder en coin",
        "ar-*a*a*a-u": "lancer un javelot",
        "ar-*a*a*ũ": "couleur bleue",
        "ar-*a*i*a-a": "bleuir",
        "ar-*a*²a*a": "",
        "ar-*a2â2î*u": "{{p}} éperviers blancs",
        "ar-*aw*a*ũ": "bateau",
        "ar-*awâ*i*u": "{{p}} bateaux",
        "ar-*ta*a*a": "",
        "ar-*u**@ũ": "livide",
        "ar-*u**ũ": "{{p}} bleus",
        "ar-*u*²a*ũ": "épervier blanc",
        "ar-*â*a*a": "",
        "ar-a**a*a": "tourner ses yeux vers",
        "ar-a**a*u": "bleu",
        "ar-el*a**â'u": "Zarka",
        "ar-el*u**u": "fers de lance",
        "ar-ma*â*î*u": "{{p}} javelots",
        "ar-mi**â*ũ": "javelot",
        "ar-n*a*a*a": "être transpercé",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "être bleu",
        "ar-ta*aw*a*a": "<!--25-->fienter",
        "ar-ta*â*a*a": "",
        "ar-u*ay*i*ũ": "bleuâtre",
    },  # 31
    "ar-zrz": {
        "aa_sens": "prendre cette forme",
        "ar-**a*²a": "",
        "ar-*a**ũ": "<!-- nom d'action forme i -->",
        "ar-*a*a*a-u": "",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "",
        "ar-*ta*a*a": "",
        "ar-*â*a*a": "",
        "ar-a**a*a": "",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "",
    },  # 14
    "ar-zwj": {
        "aa_sens": "apparier",
        "ar-**a*²a": "",
        "ar-*a**@ũ": "épouse",
        "ar-*a**iy²@ũ": "état marital",
        "ar-*a**iy²ũ": "conjugal",
        "ar-*a**ũ": "conjoint",
        "ar-*a*a*a-u": "mettre la zizanie",
        "ar-*a*a*ũ": "vitriol",
        "ar-*a*i*a-a": "",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "unir, accoupler",
        "ar-*a*â*ũ": "mariage",
        "ar-*da*a*a": "",
        "ar-*i**@ũ": "mariage",
        "ar-*i*a*@ũ": "{{p}} maris",
        "ar-*â*a*a": "être réuni",
        "ar-a**a*a": "",
        "ar-mu**a*ũ": "femme qui a eu plusieurs maris",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "",
        "ar-ta*a*²a*a": "se marier",
        "ar-ta*â*a*a": "être réunis",
    },  # 22
    "ar-zwr": {
        "aa_sens": "éloignement",
        "ar-**a*²a": "se détourner",
        "ar-**â*²a": "se détourner",
        "ar-*a**@ũ": "distance ; fois",
        "ar-*a**ũ": "thorax, poitrine",
        "ar-*a*a*@ũ": "troupeau de chameau ; gésier",
        "ar-*a*a*a-u": "visiter",
        "ar-*a*a*iy²ũ": "marchand opulent",
        "ar-*a*u*a": "",
        "ar-*a*²a*a": "altérer, falsifier",
        "ar-*a*²i*ũ": "qui est en colère",
        "ar-*a*î*ũ": "visiteur",
        "ar-*da*a*a": "faire une visite à quelqu'un",
        "ar-*i**@ũ": "organisation du pèlerinage",
        "ar-*i**ũ": "visiteur",
        "ar-*i*a*²ũ": "maître",
        "ar-*i*â*@ũ": "visite",
        "ar-*i*â*ũ": "corde d'appui",
        "ar-*u**ũ": "mensonge, fausseté",
        "ar-*u*ay*ũ": "chef de tribu",
        "ar-*â*a*a": "",
        "ar-a**a*a": "envoyer en visite",
        "ar-ma**a*ũ": "visite",
        "ar-mu*a*²a*ũ": "oblique",
        "ar-mu*â*a*@ũ": "visite",
        "ar-n*a*a*a": "",
        "ar-sta**a*a": "prier de visiter",
        "ar-ta*a*²a*a": "",
        "ar-ta*â*a*a": "se faire des visites",
    },  # 29
}  # 306
# END
